


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'PmSonetPathWidthEnumEnum' : _MetaInfoEnum('PmSonetPathWidthEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper',
        {
            'none':'none',
            'sts1':'sts1',
            'sts3c-stm1':'sts3c_stm1',
            'sts12c-stm4':'sts12c_stm4',
            'sts24c':'sts24c',
            'sts48c-stm16':'sts48c_stm16',
            'sts192c-stm64':'sts192c_stm64',
            'sts768c-stm256':'sts768c_stm256',
        }, 'Cisco-IOS-XR-pmengine-oper', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper']),
    'PmPrbsPatternEtEnum' : _MetaInfoEnum('PmPrbsPatternEtEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper',
        {
            'prbs-none':'prbs_none',
            'pn31':'pn31',
            'pn23':'pn23',
            'pn11':'pn11',
            'inv-pn31':'inv_pn31',
            'inv-pn11':'inv_pn11',
        }, 'Cisco-IOS-XR-pmengine-oper', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper']),
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathBbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathBbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-bb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path',
            False, 
            [
            _MetaInfoClassMember('path-bb-es', REFERENCE_CLASS, 'PathBbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathBbEs', 
                [], [], 
                '''                The number of background block errors
                ''',
                'path_bb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-bbe-rs', REFERENCE_CLASS, 'PathBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathBbeRs', 
                [], [], 
                '''                The number of background block errors
                ''',
                'path_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-bs', REFERENCE_CLASS, 'PathEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathEBs', 
                [], [], 
                '''                The number of Errored blocks
                ''',
                'path_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-ss', REFERENCE_CLASS, 'PathESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-es-rs', REFERENCE_CLASS, 'PathEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathEsRs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-se-ss', REFERENCE_CLASS, 'PathSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ses-rs', REFERENCE_CLASS, 'PathSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathSesRs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'path_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ua-ss', REFERENCE_CLASS, 'PathUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.FePath' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.FePath',
            False, 
            [
            _MetaInfoClassMember('far-end-path-c-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-e-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-se-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-ua-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-path', REFERENCE_CLASS, 'FePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.FePath', 
                [], [], 
                '''                Far End PATH
                ''',
                'fe_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path', 
                [], [], 
                '''                PATH
                ''',
                'path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-hour24-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths',
            False, 
            [
            _MetaInfoClassMember('ho-vc-hour24-path', REFERENCE_LIST, 'HoVcHour24Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path', 
                [], [], 
                '''                port 24 hour Path performance data
                ''',
                'ho_vc_hour24_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-hour24-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24',
            False, 
            [
            _MetaInfoClassMember('ho-vc-hour24-paths', REFERENCE_CLASS, 'HoVcHour24Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths', 
                [], [], 
                '''                port current performance data
                ''',
                'ho_vc_hour24_paths',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-hour24',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathBbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathBbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-bb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path',
            False, 
            [
            _MetaInfoClassMember('path-bb-es', REFERENCE_CLASS, 'PathBbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathBbEs', 
                [], [], 
                '''                The number of background block errors
                ''',
                'path_bb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-bbe-rs', REFERENCE_CLASS, 'PathBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathBbeRs', 
                [], [], 
                '''                The number of background block errors
                ''',
                'path_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-bs', REFERENCE_CLASS, 'PathEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathEBs', 
                [], [], 
                '''                The number of Errored blocks
                ''',
                'path_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-ss', REFERENCE_CLASS, 'PathESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-es-rs', REFERENCE_CLASS, 'PathEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathEsRs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-se-ss', REFERENCE_CLASS, 'PathSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ses-rs', REFERENCE_CLASS, 'PathSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathSesRs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'path_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ua-ss', REFERENCE_CLASS, 'PathUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.FePath' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.FePath',
            False, 
            [
            _MetaInfoClassMember('far-end-path-c-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-e-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-se-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-ua-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-path', REFERENCE_CLASS, 'FePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.FePath', 
                [], [], 
                '''                Far End PATH
                ''',
                'fe_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path', 
                [], [], 
                '''                PATH
                ''',
                'path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-minute15-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths',
            False, 
            [
            _MetaInfoClassMember('ho-vc-minute15-path', REFERENCE_LIST, 'HoVcMinute15Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path', 
                [], [], 
                '''                port 15-minute Path performance data
                ''',
                'ho_vc_minute15_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-minute15-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15',
            False, 
            [
            _MetaInfoClassMember('ho-vc-minute15-paths', REFERENCE_CLASS, 'HoVcMinute15Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths', 
                [], [], 
                '''                port current performance data
                ''',
                'ho_vc_minute15_paths',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-minute15',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent',
            False, 
            [
            _MetaInfoClassMember('ho-vc-hour24', REFERENCE_CLASS, 'HoVcHour24' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24', 
                [], [], 
                '''                port current performance data
                ''',
                'ho_vc_hour24',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ho-vc-minute15', REFERENCE_CLASS, 'HoVcMinute15' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15', 
                [], [], 
                '''                port current performance data
                ''',
                'ho_vc_minute15',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-current',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts.HoVcPort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts.HoVcPort',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ho-vc-current', REFERENCE_CLASS, 'HoVcCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent', 
                [], [], 
                '''                port current performance data
                ''',
                'ho_vc_current',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-port',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc.HoVcPorts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc.HoVcPorts',
            False, 
            [
            _MetaInfoClassMember('ho-vc-port', REFERENCE_LIST, 'HoVcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts.HoVcPort', 
                [], [], 
                '''                Port performance data
                ''',
                'ho_vc_port',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-ports',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.HoVc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.HoVc',
            False, 
            [
            _MetaInfoClassMember('ho-vc-ports', REFERENCE_CLASS, 'HoVcPorts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc.HoVcPorts', 
                [], [], 
                '''                Port performance data
                ''',
                'ho_vc_ports',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxBitErr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxBitErr',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-bit-err',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxInvTyp' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxInvTyp',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-inv-typ',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxCrc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxCrc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-crc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxLfd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxLfd',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-lfd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxCsf' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxCsf',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-csf',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-bit-err', REFERENCE_CLASS, 'RxBitErr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxBitErr', 
                [], [], 
                '''                RX BIT ERR
                ''',
                'rx_bit_err',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-crc', REFERENCE_CLASS, 'RxCrc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxCrc', 
                [], [], 
                '''                RX CRC
                ''',
                'rx_crc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-csf', REFERENCE_CLASS, 'RxCsf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxCsf', 
                [], [], 
                '''                RX CSF
                ''',
                'rx_csf',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-inv-typ', REFERENCE_CLASS, 'RxInvTyp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxInvTyp', 
                [], [], 
                '''                RX INV TYP
                ''',
                'rx_inv_typ',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-lfd', REFERENCE_CLASS, 'RxLfd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxLfd', 
                [], [], 
                '''                RX LFD
                ''',
                'rx_lfd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15gfp',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps',
            False, 
            [
            _MetaInfoClassMember('odu-minute15gfp', REFERENCE_LIST, 'OduMinute15Gfp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'odu_minute15gfp',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15gfps',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses.OduMinute15Prbs.RcvPatt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses.OduMinute15Prbs.RcvPatt',
            False, 
            [
            _MetaInfoClassMember('rcv-patt', REFERENCE_ENUM_CLASS, 'PmPrbsPatternEtEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmPrbsPatternEtEnum', 
                [], [], 
                '''                RCVD PTRN
                ''',
                'rcv_patt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rcv-patt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses.OduMinute15Prbs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses.OduMinute15Prbs',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('conf-patt', REFERENCE_ENUM_CLASS, 'PmPrbsPatternEtEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmPrbsPatternEtEnum', 
                [], [], 
                '''                CONFIG PTRN
                ''',
                'conf_patt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ebc', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                EBC
                ''',
                'ebc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('found-at-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                FOUND AT TS
                ''',
                'found_at_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FOUND COUNT
                ''',
                'found_count',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lost-at-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                LOST AT TS
                ''',
                'lost_at_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lost-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LOST COUNT
                ''',
                'lost_count',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rcv-patt', REFERENCE_CLASS, 'RcvPatt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses.OduMinute15Prbs.RcvPatt', 
                [], [], 
                '''                RCVD PTRN
                ''',
                'rcv_patt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15prbs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses',
            False, 
            [
            _MetaInfoClassMember('odu-minute15prbs', REFERENCE_LIST, 'OduMinute15Prbs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses.OduMinute15Prbs', 
                [], [], 
                '''                port 15-minute prbs performance data
                ''',
                'odu_minute15prbs',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15prbses',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15otn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns',
            False, 
            [
            _MetaInfoClassMember('odu-minute15otn', REFERENCE_LIST, 'OduMinute15Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'odu_minute15otn',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15otns',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15',
            False, 
            [
            _MetaInfoClassMember('odu-minute15gfps', REFERENCE_CLASS, 'OduMinute15Gfps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_minute15gfps',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('odu-minute15otns', REFERENCE_CLASS, 'OduMinute15Otns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_minute15otns',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('odu-minute15prbses', REFERENCE_CLASS, 'OduMinute15Prbses' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_minute15prbses',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses.OduHour24Prbs.RcvPatt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses.OduHour24Prbs.RcvPatt',
            False, 
            [
            _MetaInfoClassMember('rcv-patt', REFERENCE_ENUM_CLASS, 'PmPrbsPatternEtEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmPrbsPatternEtEnum', 
                [], [], 
                '''                RCVD PTRN
                ''',
                'rcv_patt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rcv-patt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses.OduHour24Prbs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses.OduHour24Prbs',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('conf-patt', REFERENCE_ENUM_CLASS, 'PmPrbsPatternEtEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmPrbsPatternEtEnum', 
                [], [], 
                '''                CONFIG PTRN
                ''',
                'conf_patt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ebc', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                EBC
                ''',
                'ebc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('found-at-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                FOUND AT TS
                ''',
                'found_at_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FOUND COUNT
                ''',
                'found_count',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lost-at-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                LOST AT TS
                ''',
                'lost_at_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lost-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LOST COUNT
                ''',
                'lost_count',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rcv-patt', REFERENCE_CLASS, 'RcvPatt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses.OduHour24Prbs.RcvPatt', 
                [], [], 
                '''                RCVD PTRN
                ''',
                'rcv_patt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24prbs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses',
            False, 
            [
            _MetaInfoClassMember('odu-hour24prbs', REFERENCE_LIST, 'OduHour24Prbs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses.OduHour24Prbs', 
                [], [], 
                '''                port 24 hour otn performance data
                ''',
                'odu_hour24prbs',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24prbses',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxBitErr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxBitErr',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-bit-err',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxInvTyp' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxInvTyp',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-inv-typ',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxCrc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxCrc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-crc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxLfd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxLfd',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-lfd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxCsf' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxCsf',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-csf',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-bit-err', REFERENCE_CLASS, 'RxBitErr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxBitErr', 
                [], [], 
                '''                RX BIT ERR
                ''',
                'rx_bit_err',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-crc', REFERENCE_CLASS, 'RxCrc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxCrc', 
                [], [], 
                '''                RX CRC
                ''',
                'rx_crc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-csf', REFERENCE_CLASS, 'RxCsf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxCsf', 
                [], [], 
                '''                RX CSF
                ''',
                'rx_csf',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-inv-typ', REFERENCE_CLASS, 'RxInvTyp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxInvTyp', 
                [], [], 
                '''                RX INV TYP
                ''',
                'rx_inv_typ',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-lfd', REFERENCE_CLASS, 'RxLfd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxLfd', 
                [], [], 
                '''                RX LFD
                ''',
                'rx_lfd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24gfp',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps',
            False, 
            [
            _MetaInfoClassMember('odu-hour24gfp', REFERENCE_LIST, 'OduHour24Gfp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp', 
                [], [], 
                '''                port 24 hour otn performance data
                ''',
                'odu_hour24gfp',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24gfps',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24otn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns',
            False, 
            [
            _MetaInfoClassMember('odu-hour24otn', REFERENCE_LIST, 'OduHour24Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn', 
                [], [], 
                '''                port 24 hour otn performance data
                ''',
                'odu_hour24otn',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24otns',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24',
            False, 
            [
            _MetaInfoClassMember('odu-hour24gfps', REFERENCE_CLASS, 'OduHour24Gfps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'odu_hour24gfps',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('odu-hour24otns', REFERENCE_CLASS, 'OduHour24Otns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'odu_hour24otns',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('odu-hour24prbses', REFERENCE_CLASS, 'OduHour24Prbses' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'odu_hour24prbses',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent',
            False, 
            [
            _MetaInfoClassMember('odu-hour24', REFERENCE_CLASS, 'OduHour24' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_hour24',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('odu-minute15', REFERENCE_CLASS, 'OduMinute15' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_minute15',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-current',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts.OduPort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts.OduPort',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('odu-current', REFERENCE_CLASS, 'OduCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_current',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-port',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu.OduPorts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu.OduPorts',
            False, 
            [
            _MetaInfoClassMember('odu-port', REFERENCE_LIST, 'OduPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts.OduPort', 
                [], [], 
                '''                Port performance data
                ''',
                'odu_port',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-ports',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Odu' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Odu',
            False, 
            [
            _MetaInfoClassMember('odu-ports', REFERENCE_CLASS, 'OduPorts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu.OduPorts', 
                [], [], 
                '''                Port performance data
                ''',
                'odu_ports',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15fec',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs',
            False, 
            [
            _MetaInfoClassMember('otu-minute15fec', REFERENCE_LIST, 'OtuMinute15Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec', 
                [], [], 
                '''                port 15-minute fec performance data
                ''',
                'otu_minute15fec',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15fecs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15otn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns',
            False, 
            [
            _MetaInfoClassMember('otu-minute15otn', REFERENCE_LIST, 'OtuMinute15Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'otu_minute15otn',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15otns',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15',
            False, 
            [
            _MetaInfoClassMember('otu-minute15fecs', REFERENCE_CLASS, 'OtuMinute15Fecs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_minute15fecs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('otu-minute15otns', REFERENCE_CLASS, 'OtuMinute15Otns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_minute15otns',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30fec',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs',
            False, 
            [
            _MetaInfoClassMember('otu-second30fec', REFERENCE_LIST, 'OtuSecond30Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec', 
                [], [], 
                '''                port 30-sec fec performance data
                ''',
                'otu_second30fec',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30fecs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30otn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns',
            False, 
            [
            _MetaInfoClassMember('otu-second30otn', REFERENCE_LIST, 'OtuSecond30Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn', 
                [], [], 
                '''                port 30-sec otn performance data
                ''',
                'otu_second30otn',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30otns',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30',
            False, 
            [
            _MetaInfoClassMember('otu-second30fecs', REFERENCE_CLASS, 'OtuSecond30Fecs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_second30fecs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('otu-second30otns', REFERENCE_CLASS, 'OtuSecond30Otns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_second30otns',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24fec',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs',
            False, 
            [
            _MetaInfoClassMember('otu-hour24fec', REFERENCE_LIST, 'OtuHour24Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec', 
                [], [], 
                '''                port 24 hour fec performance data
                ''',
                'otu_hour24fec',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24fecs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24otn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns',
            False, 
            [
            _MetaInfoClassMember('otu-hour24otn', REFERENCE_LIST, 'OtuHour24Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn', 
                [], [], 
                '''                port 24 hour otn performance data
                ''',
                'otu_hour24otn',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24otns',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24',
            False, 
            [
            _MetaInfoClassMember('otu-hour24fecs', REFERENCE_CLASS, 'OtuHour24Fecs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_hour24fecs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('otu-hour24otns', REFERENCE_CLASS, 'OtuHour24Otns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'otu_hour24otns',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent',
            False, 
            [
            _MetaInfoClassMember('otu-hour24', REFERENCE_CLASS, 'OtuHour24' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_hour24',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('otu-minute15', REFERENCE_CLASS, 'OtuMinute15' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_minute15',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('otu-second30', REFERENCE_CLASS, 'OtuSecond30' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_second30',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-current',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts.OtuPort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts.OtuPort',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('otu-current', REFERENCE_CLASS, 'OtuCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_current',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-port',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu.OtuPorts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu.OtuPorts',
            False, 
            [
            _MetaInfoClassMember('otu-port', REFERENCE_LIST, 'OtuPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts.OtuPort', 
                [], [], 
                '''                Port performance data
                ''',
                'otu_port',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-ports',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Otu' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Otu',
            False, 
            [
            _MetaInfoClassMember('otu-ports', REFERENCE_CLASS, 'OtuPorts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu.OtuPorts', 
                [], [], 
                '''                Port performance data
                ''',
                'otu_ports',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionBbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionBbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-bb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section',
            False, 
            [
            _MetaInfoClassMember('section-bb-es', REFERENCE_CLASS, 'SectionBbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionBbEs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'section_bb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-bbe-rs', REFERENCE_CLASS, 'SectionBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionBbeRs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'section_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-bs', REFERENCE_CLASS, 'SectionEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionEBs', 
                [], [], 
                '''                The number of Errored Block Second
                ''',
                'section_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-ss', REFERENCE_CLASS, 'SectionESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'section_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-es-rs', REFERENCE_CLASS, 'SectionEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionEsRs', 
                [], [], 
                '''                The number of Errored Seconds Ratio
                ''',
                'section_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-se-ss', REFERENCE_CLASS, 'SectionSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionSeSs', 
                [], [], 
                '''                The number of Severely Errored Second
                ''',
                'section_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-ses-rs', REFERENCE_CLASS, 'SectionSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionSesRs', 
                [], [], 
                '''                The number of Severely Errored Second Ratio
                ''',
                'section_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'section_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-ua-ss', REFERENCE_CLASS, 'SectionUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionUaSs', 
                [], [], 
                '''                The number of Unavailable Second
                ''',
                'section_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineBbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineBbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-bb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line',
            False, 
            [
            _MetaInfoClassMember('line-bb-es', REFERENCE_CLASS, 'LineBbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineBbEs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'line_bb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-bbe-rs', REFERENCE_CLASS, 'LineBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineBbeRs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'line_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-bs', REFERENCE_CLASS, 'LineEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineEBs', 
                [], [], 
                '''                The number of Errored Block Second
                ''',
                'line_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-ss', REFERENCE_CLASS, 'LineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-es-rs', REFERENCE_CLASS, 'LineEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineEsRs', 
                [], [], 
                '''                The number of Errored Seconds Ratio
                ''',
                'line_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-se-ss', REFERENCE_CLASS, 'LineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineSeSs', 
                [], [], 
                '''                The number of Severely Errored Second
                ''',
                'line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ses-rs', REFERENCE_CLASS, 'LineSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineSesRs', 
                [], [], 
                '''                The number of Severely Errored Second Ratio
                ''',
                'line_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'line_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ua-ss', REFERENCE_CLASS, 'LineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineUaSs', 
                [], [], 
                '''                The number of Unavailable Second
                ''',
                'line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineEbbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineEbbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ebb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine',
            False, 
            [
            _MetaInfoClassMember('far-end-line-bbe-rs', REFERENCE_CLASS, 'FarEndLineBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineBbeRs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'far_end_line_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-bs', REFERENCE_CLASS, 'FarEndLineEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineEBs', 
                [], [], 
                '''                The number of Errored Block Second
                ''',
                'far_end_line_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-ss', REFERENCE_CLASS, 'FarEndLineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ebb-es', REFERENCE_CLASS, 'FarEndLineEbbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineEbbEs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'far_end_line_ebb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-es-rs', REFERENCE_CLASS, 'FarEndLineEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineEsRs', 
                [], [], 
                '''                The number of Errored Seconds Ratio
                ''',
                'far_end_line_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-se-ss', REFERENCE_CLASS, 'FarEndLineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineSeSs', 
                [], [], 
                '''                The number of Severely Errored Second
                ''',
                'far_end_line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ses-rs', REFERENCE_CLASS, 'FarEndLineSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineSesRs', 
                [], [], 
                '''                The number of Severely Errored Second Ratio
                ''',
                'far_end_line_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ua-ss', REFERENCE_CLASS, 'FarEndLineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineUaSs', 
                [], [], 
                '''                The number of Unavailable Second
                ''',
                'far_end_line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-line', REFERENCE_CLASS, 'FeLine' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine', 
                [], [], 
                '''                FarEnd LINE
                ''',
                'fe_line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line', 
                [], [], 
                '''                LINE
                ''',
                'line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section', 
                [], [], 
                '''                SECTION
                ''',
                'section',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-hour24stm',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms',
            False, 
            [
            _MetaInfoClassMember('stm-hour24stm', REFERENCE_LIST, 'StmHour24Stm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm', 
                [], [], 
                '''                port 24 hour stm performance data
                ''',
                'stm_hour24stm',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-hour24stms',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24',
            False, 
            [
            _MetaInfoClassMember('stm-hour24stms', REFERENCE_CLASS, 'StmHour24Stms' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms', 
                [], [], 
                '''                port current performance data
                ''',
                'stm_hour24stms',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-hour24',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionBbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionBbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-bb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section',
            False, 
            [
            _MetaInfoClassMember('section-bb-es', REFERENCE_CLASS, 'SectionBbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionBbEs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'section_bb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-bbe-rs', REFERENCE_CLASS, 'SectionBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionBbeRs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'section_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-bs', REFERENCE_CLASS, 'SectionEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionEBs', 
                [], [], 
                '''                The number of Errored Block Second
                ''',
                'section_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-ss', REFERENCE_CLASS, 'SectionESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'section_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-es-rs', REFERENCE_CLASS, 'SectionEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionEsRs', 
                [], [], 
                '''                The number of Errored Seconds Ratio
                ''',
                'section_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-se-ss', REFERENCE_CLASS, 'SectionSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionSeSs', 
                [], [], 
                '''                The number of Severely Errored Second
                ''',
                'section_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-ses-rs', REFERENCE_CLASS, 'SectionSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionSesRs', 
                [], [], 
                '''                The number of Severely Errored Second Ratio
                ''',
                'section_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'section_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-ua-ss', REFERENCE_CLASS, 'SectionUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionUaSs', 
                [], [], 
                '''                The number of Unavailable Second
                ''',
                'section_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineBbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineBbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-bb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line',
            False, 
            [
            _MetaInfoClassMember('line-bb-es', REFERENCE_CLASS, 'LineBbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineBbEs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'line_bb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-bbe-rs', REFERENCE_CLASS, 'LineBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineBbeRs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'line_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-bs', REFERENCE_CLASS, 'LineEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineEBs', 
                [], [], 
                '''                The number of Errored Block Second
                ''',
                'line_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-ss', REFERENCE_CLASS, 'LineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-es-rs', REFERENCE_CLASS, 'LineEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineEsRs', 
                [], [], 
                '''                The number of Errored Seconds Ratio
                ''',
                'line_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-se-ss', REFERENCE_CLASS, 'LineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineSeSs', 
                [], [], 
                '''                The number of Severely Errored Second
                ''',
                'line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ses-rs', REFERENCE_CLASS, 'LineSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineSesRs', 
                [], [], 
                '''                The number of Severely Errored Second Ratio
                ''',
                'line_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'line_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ua-ss', REFERENCE_CLASS, 'LineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineUaSs', 
                [], [], 
                '''                The number of Unavailable Second
                ''',
                'line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineEbbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineEbbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ebb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine',
            False, 
            [
            _MetaInfoClassMember('far-end-line-bbe-rs', REFERENCE_CLASS, 'FarEndLineBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineBbeRs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'far_end_line_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-bs', REFERENCE_CLASS, 'FarEndLineEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineEBs', 
                [], [], 
                '''                The number of Errored Block Second
                ''',
                'far_end_line_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-ss', REFERENCE_CLASS, 'FarEndLineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ebb-es', REFERENCE_CLASS, 'FarEndLineEbbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineEbbEs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'far_end_line_ebb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-es-rs', REFERENCE_CLASS, 'FarEndLineEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineEsRs', 
                [], [], 
                '''                The number of Errored Seconds Ratio
                ''',
                'far_end_line_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-se-ss', REFERENCE_CLASS, 'FarEndLineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineSeSs', 
                [], [], 
                '''                The number of Severely Errored Second
                ''',
                'far_end_line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ses-rs', REFERENCE_CLASS, 'FarEndLineSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineSesRs', 
                [], [], 
                '''                The number of Severely Errored Second Ratio
                ''',
                'far_end_line_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ua-ss', REFERENCE_CLASS, 'FarEndLineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineUaSs', 
                [], [], 
                '''                The number of Unavailable Second
                ''',
                'far_end_line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-line', REFERENCE_CLASS, 'FeLine' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine', 
                [], [], 
                '''                FarEnd LINE
                ''',
                'fe_line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line', 
                [], [], 
                '''                LINE
                ''',
                'line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section', 
                [], [], 
                '''                SECTION
                ''',
                'section',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-minute15stm',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms',
            False, 
            [
            _MetaInfoClassMember('stm-minute15stm', REFERENCE_LIST, 'StmMinute15Stm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm', 
                [], [], 
                '''                port 15-minute stm performance data
                ''',
                'stm_minute15stm',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-minute15stms',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15',
            False, 
            [
            _MetaInfoClassMember('stm-minute15stms', REFERENCE_CLASS, 'StmMinute15Stms' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms', 
                [], [], 
                '''                port current performance data
                ''',
                'stm_minute15stms',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-minute15',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent',
            False, 
            [
            _MetaInfoClassMember('stm-hour24', REFERENCE_CLASS, 'StmHour24' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24', 
                [], [], 
                '''                port current performance data
                ''',
                'stm_hour24',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('stm-minute15', REFERENCE_CLASS, 'StmMinute15' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15', 
                [], [], 
                '''                port current performance data
                ''',
                'stm_minute15',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-current',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts.StmPort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts.StmPort',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('stm-current', REFERENCE_CLASS, 'StmCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent', 
                [], [], 
                '''                port current performance data
                ''',
                'stm_current',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-port',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm.StmPorts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm.StmPorts',
            False, 
            [
            _MetaInfoClassMember('stm-port', REFERENCE_LIST, 'StmPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts.StmPort', 
                [], [], 
                '''                Port performance data
                ''',
                'stm_port',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-ports',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Stm' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Stm',
            False, 
            [
            _MetaInfoClassMember('stm-ports', REFERENCE_CLASS, 'StmPorts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm.StmPorts', 
                [], [], 
                '''                Port performance data
                ''',
                'stm_ports',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path',
            False, 
            [
            _MetaInfoClassMember('path-c-vs', REFERENCE_CLASS, 'PathCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-ss', REFERENCE_CLASS, 'PathESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-se-ss', REFERENCE_CLASS, 'PathSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'path_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ua-ss', REFERENCE_CLASS, 'PathUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-width', REFERENCE_ENUM_CLASS, 'PmSonetPathWidthEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmSonetPathWidthEnumEnum', 
                [], [], 
                '''                Indicates the type of the SONET/SDH Path
                ''',
                'path_width',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.FePath' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.FePath',
            False, 
            [
            _MetaInfoClassMember('far-end-path-c-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-e-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-se-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-ua-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-path', REFERENCE_CLASS, 'FePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.FePath', 
                [], [], 
                '''                Far End PATH
                ''',
                'fe_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path', 
                [], [], 
                '''                PATH
                ''',
                'path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths',
            False, 
            [
            _MetaInfoClassMember('sonet-minute15-path', REFERENCE_LIST, 'SonetMinute15Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path', 
                [], [], 
                '''                port 15-minute Path performance data
                ''',
                'sonet_minute15_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionSefSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionSefSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-sef-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section',
            False, 
            [
            _MetaInfoClassMember('section-c-vs', REFERENCE_CLASS, 'SectionCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'section_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-ss', REFERENCE_CLASS, 'SectionESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'section_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-se-ss', REFERENCE_CLASS, 'SectionSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'section_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-sef-ss', REFERENCE_CLASS, 'SectionSefSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionSefSs', 
                [], [], 
                '''                The number of Severely Errored Framing Seconds
                ''',
                'section_sef_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'section_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line',
            False, 
            [
            _MetaInfoClassMember('line-c-vs', REFERENCE_CLASS, 'LineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-ss', REFERENCE_CLASS, 'LineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-fc-ls', REFERENCE_CLASS, 'LineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-se-ss', REFERENCE_CLASS, 'LineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'line_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ua-ss', REFERENCE_CLASS, 'LineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine',
            False, 
            [
            _MetaInfoClassMember('far-end-line-c-vs', REFERENCE_CLASS, 'FarEndLineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-ss', REFERENCE_CLASS, 'FarEndLineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-fc-ls', REFERENCE_CLASS, 'FarEndLineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'far_end_line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-se-ss', REFERENCE_CLASS, 'FarEndLineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ua-ss', REFERENCE_CLASS, 'FarEndLineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-line', REFERENCE_CLASS, 'FeLine' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine', 
                [], [], 
                '''                FarEnd LINE
                ''',
                'fe_line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line', 
                [], [], 
                '''                LINE
                ''',
                'line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section', 
                [], [], 
                '''                SECTION
                ''',
                'section',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15ocn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns',
            False, 
            [
            _MetaInfoClassMember('sonet-minute15ocn', REFERENCE_LIST, 'SonetMinute15Ocn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn', 
                [], [], 
                '''                port 15-minute ocn performance data
                ''',
                'sonet_minute15ocn',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15ocns',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15',
            False, 
            [
            _MetaInfoClassMember('sonet-minute15-paths', REFERENCE_CLASS, 'SonetMinute15Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_minute15_paths',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sonet-minute15ocns', REFERENCE_CLASS, 'SonetMinute15Ocns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_minute15ocns',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionSefSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionSefSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-sef-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section',
            False, 
            [
            _MetaInfoClassMember('section-c-vs', REFERENCE_CLASS, 'SectionCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'section_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-ss', REFERENCE_CLASS, 'SectionESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'section_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-se-ss', REFERENCE_CLASS, 'SectionSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'section_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-sef-ss', REFERENCE_CLASS, 'SectionSefSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionSefSs', 
                [], [], 
                '''                The number of Severely Errored Framing Seconds
                ''',
                'section_sef_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'section_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line',
            False, 
            [
            _MetaInfoClassMember('line-c-vs', REFERENCE_CLASS, 'LineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-ss', REFERENCE_CLASS, 'LineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-fc-ls', REFERENCE_CLASS, 'LineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-se-ss', REFERENCE_CLASS, 'LineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'line_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ua-ss', REFERENCE_CLASS, 'LineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine',
            False, 
            [
            _MetaInfoClassMember('far-end-line-c-vs', REFERENCE_CLASS, 'FarEndLineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-ss', REFERENCE_CLASS, 'FarEndLineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-fc-ls', REFERENCE_CLASS, 'FarEndLineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'far_end_line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-se-ss', REFERENCE_CLASS, 'FarEndLineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ua-ss', REFERENCE_CLASS, 'FarEndLineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-line', REFERENCE_CLASS, 'FeLine' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine', 
                [], [], 
                '''                FarEnd LINE
                ''',
                'fe_line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line', 
                [], [], 
                '''                LINE
                ''',
                'line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section', 
                [], [], 
                '''                SECTION
                ''',
                'section',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24ocn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns',
            False, 
            [
            _MetaInfoClassMember('sonet-hour24ocn', REFERENCE_LIST, 'SonetHour24Ocn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn', 
                [], [], 
                '''                port 24 hour ocn performance data
                ''',
                'sonet_hour24ocn',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24ocns',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path',
            False, 
            [
            _MetaInfoClassMember('path-c-vs', REFERENCE_CLASS, 'PathCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-ss', REFERENCE_CLASS, 'PathESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-se-ss', REFERENCE_CLASS, 'PathSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'path_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ua-ss', REFERENCE_CLASS, 'PathUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-width', REFERENCE_ENUM_CLASS, 'PmSonetPathWidthEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmSonetPathWidthEnumEnum', 
                [], [], 
                '''                Indicates the type of the SONET/SDH Path
                ''',
                'path_width',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.FePath' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.FePath',
            False, 
            [
            _MetaInfoClassMember('far-end-path-c-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-e-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-se-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-ua-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-path', REFERENCE_CLASS, 'FePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.FePath', 
                [], [], 
                '''                Far End PATH
                ''',
                'fe_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path', 
                [], [], 
                '''                PATH
                ''',
                'path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths',
            False, 
            [
            _MetaInfoClassMember('sonet-hour24-path', REFERENCE_LIST, 'SonetHour24Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path', 
                [], [], 
                '''                port 24 hour Path performance data
                ''',
                'sonet_hour24_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24',
            False, 
            [
            _MetaInfoClassMember('sonet-hour24-paths', REFERENCE_CLASS, 'SonetHour24Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_hour24_paths',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sonet-hour24ocns', REFERENCE_CLASS, 'SonetHour24Ocns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_hour24ocns',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent',
            False, 
            [
            _MetaInfoClassMember('sonet-hour24', REFERENCE_CLASS, 'SonetHour24' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_hour24',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sonet-minute15', REFERENCE_CLASS, 'SonetMinute15' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_minute15',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-current',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts.SonetPort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts.SonetPort',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('sonet-current', REFERENCE_CLASS, 'SonetCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_current',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-port',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet.SonetPorts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet.SonetPorts',
            False, 
            [
            _MetaInfoClassMember('sonet-port', REFERENCE_LIST, 'SonetPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts.SonetPort', 
                [], [], 
                '''                Port performance data
                ''',
                'sonet_port',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-ports',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sonet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sonet',
            False, 
            [
            _MetaInfoClassMember('sonet-ports', REFERENCE_CLASS, 'SonetPorts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet.SonetPorts', 
                [], [], 
                '''                Port performance data
                ''',
                'sonet_ports',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Lbc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.LbcPc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.LbcPc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc-pc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Opt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Opt',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Opr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Opr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Cd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Cd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'cd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Dgd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Dgd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dgd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pmd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pmd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pmd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Osnr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Osnr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'osnr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.CenterWavelength' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.CenterWavelength',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'center-wavelength',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pdl' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pdl',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pdl',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pcr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pcr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pcr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pn',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.RxSigPow' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.RxSigPow',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-sig-pow',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.LowSigFreqOff' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.LowSigFreqOff',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'low-sig-freq-off',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('cd', REFERENCE_CLASS, 'Cd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Cd', 
                [], [], 
                '''                Chromatic Dispersion
                ''',
                'cd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('center-wavelength', REFERENCE_CLASS, 'CenterWavelength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.CenterWavelength', 
                [], [], 
                '''                Center Wavelength/Frequency
                ''',
                'center_wavelength',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dgd', REFERENCE_CLASS, 'Dgd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Dgd', 
                [], [], 
                '''                Differential group Delay
                ''',
                'dgd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc-pc', REFERENCE_CLASS, 'LbcPc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.LbcPc', 
                [], [], 
                '''                LBC in percentage
                ''',
                'lbc_pc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('low-sig-freq-off', REFERENCE_CLASS, 'LowSigFreqOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.LowSigFreqOff', 
                [], [], 
                '''                low freq sig off
                ''',
                'low_sig_freq_off',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opr', REFERENCE_CLASS, 'Opr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Opr', 
                [], [], 
                '''                OPR
                ''',
                'opr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opt', REFERENCE_CLASS, 'Opt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Opt', 
                [], [], 
                '''                OPT
                ''',
                'opt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('osnr', REFERENCE_CLASS, 'Osnr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Osnr', 
                [], [], 
                '''                Optical Signal to Noise Ratio
                ''',
                'osnr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pcr', REFERENCE_CLASS, 'Pcr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pcr', 
                [], [], 
                '''                Polarization Change Rate
                ''',
                'pcr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pdl', REFERENCE_CLASS, 'Pdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pdl', 
                [], [], 
                '''                Polarization Dependent Loss
                ''',
                'pdl',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pmd', REFERENCE_CLASS, 'Pmd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pmd', 
                [], [], 
                '''                Polarization Mode Dispersion
                ''',
                'pmd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pn', REFERENCE_CLASS, 'Pn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pn', 
                [], [], 
                '''                Phase Noise
                ''',
                'pn',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-sig-pow', REFERENCE_CLASS, 'RxSigPow' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.RxSigPow', 
                [], [], 
                '''                Rx signal power
                ''',
                'rx_sig_pow',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24-optic',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics',
            False, 
            [
            _MetaInfoClassMember('optics-hour24-optic', REFERENCE_LIST, 'OpticsHour24Optic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic', 
                [], [], 
                '''                port 24 hour optics performance data
                ''',
                'optics_hour24_optic',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24-optics',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24fec',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs',
            False, 
            [
            _MetaInfoClassMember('optics-hour24fec', REFERENCE_LIST, 'OpticsHour24Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec', 
                [], [], 
                '''                port 24 hour fec performance data
                ''',
                'optics_hour24fec',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24fecs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24',
            False, 
            [
            _MetaInfoClassMember('optics-hour24-optics', REFERENCE_CLASS, 'OpticsHour24Optics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'optics_hour24_optics',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('optics-hour24fecs', REFERENCE_CLASS, 'OpticsHour24Fecs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_hour24fecs',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Lbc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.LbcPc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.LbcPc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc-pc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Opt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Opt',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Opr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Opr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Cd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Cd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'cd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Dgd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Dgd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dgd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pmd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pmd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pmd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Osnr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Osnr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'osnr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.CenterWavelength' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.CenterWavelength',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'center-wavelength',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pdl' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pdl',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pdl',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pcr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pcr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pcr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pn',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.RxSigPow' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.RxSigPow',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-sig-pow',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.LowSigFreqOff' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.LowSigFreqOff',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'low-sig-freq-off',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('cd', REFERENCE_CLASS, 'Cd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Cd', 
                [], [], 
                '''                Chromatic Dispersion
                ''',
                'cd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('center-wavelength', REFERENCE_CLASS, 'CenterWavelength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.CenterWavelength', 
                [], [], 
                '''                Center Wavelength/Frequency
                ''',
                'center_wavelength',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dgd', REFERENCE_CLASS, 'Dgd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Dgd', 
                [], [], 
                '''                Differential group Delay
                ''',
                'dgd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc-pc', REFERENCE_CLASS, 'LbcPc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.LbcPc', 
                [], [], 
                '''                LBC in percentage
                ''',
                'lbc_pc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('low-sig-freq-off', REFERENCE_CLASS, 'LowSigFreqOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.LowSigFreqOff', 
                [], [], 
                '''                low freq sig off
                ''',
                'low_sig_freq_off',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opr', REFERENCE_CLASS, 'Opr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Opr', 
                [], [], 
                '''                OPR
                ''',
                'opr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opt', REFERENCE_CLASS, 'Opt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Opt', 
                [], [], 
                '''                OPT
                ''',
                'opt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('osnr', REFERENCE_CLASS, 'Osnr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Osnr', 
                [], [], 
                '''                Optical Signal to Noise Ratio
                ''',
                'osnr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pcr', REFERENCE_CLASS, 'Pcr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pcr', 
                [], [], 
                '''                Polarization Change Rate
                ''',
                'pcr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pdl', REFERENCE_CLASS, 'Pdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pdl', 
                [], [], 
                '''                Polarization Dependent Loss
                ''',
                'pdl',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pmd', REFERENCE_CLASS, 'Pmd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pmd', 
                [], [], 
                '''                Polarization Mode Dispersion
                ''',
                'pmd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pn', REFERENCE_CLASS, 'Pn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pn', 
                [], [], 
                '''                Phase Noise
                ''',
                'pn',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-sig-pow', REFERENCE_CLASS, 'RxSigPow' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.RxSigPow', 
                [], [], 
                '''                Rx signal power
                ''',
                'rx_sig_pow',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15-optic',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics',
            False, 
            [
            _MetaInfoClassMember('optics-minute15-optic', REFERENCE_LIST, 'OpticsMinute15Optic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic', 
                [], [], 
                '''                port 15-minute optics performance data
                ''',
                'optics_minute15_optic',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15-optics',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15fec',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs',
            False, 
            [
            _MetaInfoClassMember('optics-minute15fec', REFERENCE_LIST, 'OpticsMinute15Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec', 
                [], [], 
                '''                port 15-minute fec performance data
                ''',
                'optics_minute15fec',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15fecs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15',
            False, 
            [
            _MetaInfoClassMember('optics-minute15-optics', REFERENCE_CLASS, 'OpticsMinute15Optics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_minute15_optics',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('optics-minute15fecs', REFERENCE_CLASS, 'OpticsMinute15Fecs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_minute15fecs',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30fec',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs',
            False, 
            [
            _MetaInfoClassMember('optics-second30fec', REFERENCE_LIST, 'OpticsSecond30Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec', 
                [], [], 
                '''                port 30-second fec performance data
                ''',
                'optics_second30fec',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30fecs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Lbc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.LbcPc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.LbcPc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc-pc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Opt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Opt',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Opr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Opr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Cd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Cd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'cd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Dgd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Dgd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dgd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pmd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pmd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pmd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Osnr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Osnr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'osnr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.CenterWavelength' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.CenterWavelength',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'center-wavelength',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pdl' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pdl',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pdl',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pcr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pcr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pcr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pn',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.RxSigPow' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.RxSigPow',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-sig-pow',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.LowSigFreqOff' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.LowSigFreqOff',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'low-sig-freq-off',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('cd', REFERENCE_CLASS, 'Cd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Cd', 
                [], [], 
                '''                Chromatic Dispersion
                ''',
                'cd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('center-wavelength', REFERENCE_CLASS, 'CenterWavelength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.CenterWavelength', 
                [], [], 
                '''                Center Wavelength/Frequency
                ''',
                'center_wavelength',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dgd', REFERENCE_CLASS, 'Dgd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Dgd', 
                [], [], 
                '''                Differential group Delay
                ''',
                'dgd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc-pc', REFERENCE_CLASS, 'LbcPc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.LbcPc', 
                [], [], 
                '''                LBC in percentage
                ''',
                'lbc_pc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('low-sig-freq-off', REFERENCE_CLASS, 'LowSigFreqOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.LowSigFreqOff', 
                [], [], 
                '''                low freq sig off
                ''',
                'low_sig_freq_off',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opr', REFERENCE_CLASS, 'Opr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Opr', 
                [], [], 
                '''                OPR
                ''',
                'opr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opt', REFERENCE_CLASS, 'Opt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Opt', 
                [], [], 
                '''                OPT
                ''',
                'opt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('osnr', REFERENCE_CLASS, 'Osnr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Osnr', 
                [], [], 
                '''                Optical Signal to Noise Ratio
                ''',
                'osnr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pcr', REFERENCE_CLASS, 'Pcr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pcr', 
                [], [], 
                '''                Polarization Change Rate
                ''',
                'pcr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pdl', REFERENCE_CLASS, 'Pdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pdl', 
                [], [], 
                '''                Polarization Dependent Loss
                ''',
                'pdl',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pmd', REFERENCE_CLASS, 'Pmd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pmd', 
                [], [], 
                '''                Polarization Mode Dispersion
                ''',
                'pmd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pn', REFERENCE_CLASS, 'Pn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pn', 
                [], [], 
                '''                Phase Noise
                ''',
                'pn',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-sig-pow', REFERENCE_CLASS, 'RxSigPow' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.RxSigPow', 
                [], [], 
                '''                Rx signal power
                ''',
                'rx_sig_pow',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30-optic',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics',
            False, 
            [
            _MetaInfoClassMember('optics-second30-optic', REFERENCE_LIST, 'OpticsSecond30Optic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic', 
                [], [], 
                '''                port 30-second optics performance data
                ''',
                'optics_second30_optic',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30-optics',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30',
            False, 
            [
            _MetaInfoClassMember('optics-second30-optics', REFERENCE_CLASS, 'OpticsSecond30Optics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_second30_optics',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('optics-second30fecs', REFERENCE_CLASS, 'OpticsSecond30Fecs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_second30fecs',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent',
            False, 
            [
            _MetaInfoClassMember('optics-hour24', REFERENCE_CLASS, 'OpticsHour24' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_hour24',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('optics-minute15', REFERENCE_CLASS, 'OpticsMinute15' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_minute15',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('optics-second30', REFERENCE_CLASS, 'OpticsSecond30' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_second30',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-current',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts.OpticsPort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts.OpticsPort',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('optics-current', REFERENCE_CLASS, 'OpticsCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_current',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-port',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics.OpticsPorts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics.OpticsPorts',
            False, 
            [
            _MetaInfoClassMember('optics-port', REFERENCE_LIST, 'OpticsPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts.OpticsPort', 
                [], [], 
                '''                Port performance data
                ''',
                'optics_port',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-ports',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Optics' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Optics',
            False, 
            [
            _MetaInfoClassMember('optics-ports', REFERENCE_CLASS, 'OpticsPorts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics.OpticsPorts', 
                [], [], 
                '''                Port performance data
                ''',
                'optics_ports',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path',
            False, 
            [
            _MetaInfoClassMember('path-c-vs', REFERENCE_CLASS, 'PathCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-ss', REFERENCE_CLASS, 'PathESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-se-ss', REFERENCE_CLASS, 'PathSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'path_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ua-ss', REFERENCE_CLASS, 'PathUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-width', REFERENCE_ENUM_CLASS, 'PmSonetPathWidthEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmSonetPathWidthEnumEnum', 
                [], [], 
                '''                Indicates the type of the SONET/SDH Path
                ''',
                'path_width',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.FePath' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.FePath',
            False, 
            [
            _MetaInfoClassMember('far-end-path-c-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-e-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-se-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-ua-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-path', REFERENCE_CLASS, 'FePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.FePath', 
                [], [], 
                '''                Far End PATH
                ''',
                'fe_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path', 
                [], [], 
                '''                PATH
                ''',
                'path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-minute15-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths',
            False, 
            [
            _MetaInfoClassMember('sts-minute15-path', REFERENCE_LIST, 'StsMinute15Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path', 
                [], [], 
                '''                port 15-minute Path performance data
                ''',
                'sts_minute15_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-minute15-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15',
            False, 
            [
            _MetaInfoClassMember('sts-minute15-paths', REFERENCE_CLASS, 'StsMinute15Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths', 
                [], [], 
                '''                port current performance data
                ''',
                'sts_minute15_paths',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-minute15',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path',
            False, 
            [
            _MetaInfoClassMember('path-c-vs', REFERENCE_CLASS, 'PathCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-ss', REFERENCE_CLASS, 'PathESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-se-ss', REFERENCE_CLASS, 'PathSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'path_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ua-ss', REFERENCE_CLASS, 'PathUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-width', REFERENCE_ENUM_CLASS, 'PmSonetPathWidthEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmSonetPathWidthEnumEnum', 
                [], [], 
                '''                Indicates the type of the SONET/SDH Path
                ''',
                'path_width',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.FePath' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.FePath',
            False, 
            [
            _MetaInfoClassMember('far-end-path-c-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-e-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-se-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-ua-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-path', REFERENCE_CLASS, 'FePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.FePath', 
                [], [], 
                '''                Far End PATH
                ''',
                'fe_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path', 
                [], [], 
                '''                PATH
                ''',
                'path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-hour24-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths',
            False, 
            [
            _MetaInfoClassMember('sts-hour24-path', REFERENCE_LIST, 'StsHour24Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path', 
                [], [], 
                '''                port 24 hour Path performance data
                ''',
                'sts_hour24_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-hour24-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24',
            False, 
            [
            _MetaInfoClassMember('sts-hour24-paths', REFERENCE_CLASS, 'StsHour24Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths', 
                [], [], 
                '''                port current performance data
                ''',
                'sts_hour24_paths',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-hour24',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent',
            False, 
            [
            _MetaInfoClassMember('sts-hour24', REFERENCE_CLASS, 'StsHour24' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24', 
                [], [], 
                '''                port current performance data
                ''',
                'sts_hour24',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sts-minute15', REFERENCE_CLASS, 'StsMinute15' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15', 
                [], [], 
                '''                port current performance data
                ''',
                'sts_minute15',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-current',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts.StsPort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts.StsPort',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('sts-current', REFERENCE_CLASS, 'StsCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent', 
                [], [], 
                '''                port current performance data
                ''',
                'sts_current',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-port',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts.StsPorts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts.StsPorts',
            False, 
            [
            _MetaInfoClassMember('sts-port', REFERENCE_LIST, 'StsPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts.StsPort', 
                [], [], 
                '''                Port performance data
                ''',
                'sts_port',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-ports',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Sts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Sts',
            False, 
            [
            _MetaInfoClassMember('sts-ports', REFERENCE_CLASS, 'StsPorts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts.StsPorts', 
                [], [], 
                '''                Port performance data
                ''',
                'sts_ports',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15fec',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs',
            False, 
            [
            _MetaInfoClassMember('dwdm-minute15fec', REFERENCE_LIST, 'DwdmMinute15Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec', 
                [], [], 
                '''                port 15-minute fec performance data
                ''',
                'dwdm_minute15fec',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15fecs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Lbc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.LbcPc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.LbcPc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc-pc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Opt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Opt',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Opr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Opr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Cd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Cd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'cd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Dgd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Dgd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dgd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pmd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pmd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pmd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Osnr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Osnr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'osnr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.CenterWavelength' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.CenterWavelength',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'center-wavelength',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pdl' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pdl',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pdl',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pcr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pcr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pcr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pn',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.RxSigPow' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.RxSigPow',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-sig-pow',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.LowSigFreqOff' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.LowSigFreqOff',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'low-sig-freq-off',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('cd', REFERENCE_CLASS, 'Cd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Cd', 
                [], [], 
                '''                Chromatic Dispersion
                ''',
                'cd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('center-wavelength', REFERENCE_CLASS, 'CenterWavelength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.CenterWavelength', 
                [], [], 
                '''                Center Wavelength/Frequency
                ''',
                'center_wavelength',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dgd', REFERENCE_CLASS, 'Dgd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Dgd', 
                [], [], 
                '''                Differential group Delay
                ''',
                'dgd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc-pc', REFERENCE_CLASS, 'LbcPc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.LbcPc', 
                [], [], 
                '''                LBC in percentage
                ''',
                'lbc_pc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('low-sig-freq-off', REFERENCE_CLASS, 'LowSigFreqOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.LowSigFreqOff', 
                [], [], 
                '''                low freq sig off
                ''',
                'low_sig_freq_off',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opr', REFERENCE_CLASS, 'Opr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Opr', 
                [], [], 
                '''                OPR
                ''',
                'opr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opt', REFERENCE_CLASS, 'Opt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Opt', 
                [], [], 
                '''                OPT
                ''',
                'opt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('osnr', REFERENCE_CLASS, 'Osnr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Osnr', 
                [], [], 
                '''                Optical Signal to Noise Ratio
                ''',
                'osnr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pcr', REFERENCE_CLASS, 'Pcr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pcr', 
                [], [], 
                '''                Polarization Change Rate
                ''',
                'pcr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pdl', REFERENCE_CLASS, 'Pdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pdl', 
                [], [], 
                '''                Polarization Dependent Loss
                ''',
                'pdl',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pmd', REFERENCE_CLASS, 'Pmd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pmd', 
                [], [], 
                '''                Polarization Mode Dispersion
                ''',
                'pmd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pn', REFERENCE_CLASS, 'Pn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pn', 
                [], [], 
                '''                Phase Noise
                ''',
                'pn',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-sig-pow', REFERENCE_CLASS, 'RxSigPow' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.RxSigPow', 
                [], [], 
                '''                Rx signal power
                ''',
                'rx_sig_pow',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15-optic',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics',
            False, 
            [
            _MetaInfoClassMember('dwdm-minute15-optic', REFERENCE_LIST, 'DwdmMinute15Optic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic', 
                [], [], 
                '''                port 15-minute optics performance data
                ''',
                'dwdm_minute15_optic',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15-optics',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15otn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns',
            False, 
            [
            _MetaInfoClassMember('dwdm-minute15otn', REFERENCE_LIST, 'DwdmMinute15Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'dwdm_minute15otn',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15otns',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15',
            False, 
            [
            _MetaInfoClassMember('dwdm-minute15-optics', REFERENCE_CLASS, 'DwdmMinute15Optics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_minute15_optics',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dwdm-minute15fecs', REFERENCE_CLASS, 'DwdmMinute15Fecs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_minute15fecs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dwdm-minute15otns', REFERENCE_CLASS, 'DwdmMinute15Otns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_minute15otns',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Lbc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.LbcPc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.LbcPc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc-pc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Opt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Opt',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Opr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Opr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Cd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Cd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'cd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Dgd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Dgd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dgd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pmd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pmd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pmd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Osnr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Osnr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'osnr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.CenterWavelength' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.CenterWavelength',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'center-wavelength',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pdl' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pdl',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pdl',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pcr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pcr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pcr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pn',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.RxSigPow' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.RxSigPow',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-sig-pow',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.LowSigFreqOff' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.LowSigFreqOff',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'low-sig-freq-off',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('cd', REFERENCE_CLASS, 'Cd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Cd', 
                [], [], 
                '''                Chromatic Dispersion
                ''',
                'cd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('center-wavelength', REFERENCE_CLASS, 'CenterWavelength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.CenterWavelength', 
                [], [], 
                '''                Center Wavelength/Frequency
                ''',
                'center_wavelength',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dgd', REFERENCE_CLASS, 'Dgd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Dgd', 
                [], [], 
                '''                Differential group Delay
                ''',
                'dgd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc-pc', REFERENCE_CLASS, 'LbcPc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.LbcPc', 
                [], [], 
                '''                LBC in percentage
                ''',
                'lbc_pc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('low-sig-freq-off', REFERENCE_CLASS, 'LowSigFreqOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.LowSigFreqOff', 
                [], [], 
                '''                low freq sig off
                ''',
                'low_sig_freq_off',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opr', REFERENCE_CLASS, 'Opr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Opr', 
                [], [], 
                '''                OPR
                ''',
                'opr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opt', REFERENCE_CLASS, 'Opt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Opt', 
                [], [], 
                '''                OPT
                ''',
                'opt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('osnr', REFERENCE_CLASS, 'Osnr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Osnr', 
                [], [], 
                '''                Optical Signal to Noise Ratio
                ''',
                'osnr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pcr', REFERENCE_CLASS, 'Pcr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pcr', 
                [], [], 
                '''                Polarization Change Rate
                ''',
                'pcr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pdl', REFERENCE_CLASS, 'Pdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pdl', 
                [], [], 
                '''                Polarization Dependent Loss
                ''',
                'pdl',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pmd', REFERENCE_CLASS, 'Pmd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pmd', 
                [], [], 
                '''                Polarization Mode Dispersion
                ''',
                'pmd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pn', REFERENCE_CLASS, 'Pn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pn', 
                [], [], 
                '''                Phase Noise
                ''',
                'pn',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-sig-pow', REFERENCE_CLASS, 'RxSigPow' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.RxSigPow', 
                [], [], 
                '''                Rx signal power
                ''',
                'rx_sig_pow',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24-optic',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics',
            False, 
            [
            _MetaInfoClassMember('dwdm-hour24-optic', REFERENCE_LIST, 'DwdmHour24Optic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic', 
                [], [], 
                '''                port 24 hour optics performance data
                ''',
                'dwdm_hour24_optic',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24-optics',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24fec',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs',
            False, 
            [
            _MetaInfoClassMember('dwdm-hour24fec', REFERENCE_LIST, 'DwdmHour24Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec', 
                [], [], 
                '''                port 24 hour fec performance data
                ''',
                'dwdm_hour24fec',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24fecs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24otn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns',
            False, 
            [
            _MetaInfoClassMember('dwdm-hour24otn', REFERENCE_LIST, 'DwdmHour24Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn', 
                [], [], 
                '''                port 24 hour otn performance data
                ''',
                'dwdm_hour24otn',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24otns',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24',
            False, 
            [
            _MetaInfoClassMember('dwdm-hour24-optics', REFERENCE_CLASS, 'DwdmHour24Optics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'dwdm_hour24_optics',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dwdm-hour24fecs', REFERENCE_CLASS, 'DwdmHour24Fecs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_hour24fecs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dwdm-hour24otns', REFERENCE_CLASS, 'DwdmHour24Otns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'dwdm_hour24otns',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent',
            False, 
            [
            _MetaInfoClassMember('dwdm-hour24', REFERENCE_CLASS, 'DwdmHour24' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_hour24',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dwdm-minute15', REFERENCE_CLASS, 'DwdmMinute15' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_minute15',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-current',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts.DwdmPort',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('dwdm-current', REFERENCE_CLASS, 'DwdmCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_current',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-port',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm.DwdmPorts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm.DwdmPorts',
            False, 
            [
            _MetaInfoClassMember('dwdm-port', REFERENCE_LIST, 'DwdmPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts.DwdmPort', 
                [], [], 
                '''                Port performance data
                ''',
                'dwdm_port',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-ports',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Dwdm' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Dwdm',
            False, 
            [
            _MetaInfoClassMember('dwdm-ports', REFERENCE_CLASS, 'DwdmPorts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm.DwdmPorts', 
                [], [], 
                '''                Port performance data
                ''',
                'dwdm_ports',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionSefSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionSefSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-sef-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section',
            False, 
            [
            _MetaInfoClassMember('section-c-vs', REFERENCE_CLASS, 'SectionCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'section_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-ss', REFERENCE_CLASS, 'SectionESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'section_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-se-ss', REFERENCE_CLASS, 'SectionSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'section_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-sef-ss', REFERENCE_CLASS, 'SectionSefSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionSefSs', 
                [], [], 
                '''                The number of Severely Errored Framing Seconds
                ''',
                'section_sef_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'section_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line',
            False, 
            [
            _MetaInfoClassMember('line-c-vs', REFERENCE_CLASS, 'LineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-ss', REFERENCE_CLASS, 'LineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-fc-ls', REFERENCE_CLASS, 'LineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-se-ss', REFERENCE_CLASS, 'LineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'line_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ua-ss', REFERENCE_CLASS, 'LineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine',
            False, 
            [
            _MetaInfoClassMember('far-end-line-c-vs', REFERENCE_CLASS, 'FarEndLineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-ss', REFERENCE_CLASS, 'FarEndLineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-fc-ls', REFERENCE_CLASS, 'FarEndLineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'far_end_line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-se-ss', REFERENCE_CLASS, 'FarEndLineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ua-ss', REFERENCE_CLASS, 'FarEndLineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-line', REFERENCE_CLASS, 'FeLine' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine', 
                [], [], 
                '''                FarEnd LINE
                ''',
                'fe_line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line', 
                [], [], 
                '''                LINE
                ''',
                'line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section', 
                [], [], 
                '''                SECTION
                ''',
                'section',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-hour24ocn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns',
            False, 
            [
            _MetaInfoClassMember('oc-hour24ocn', REFERENCE_LIST, 'OcHour24Ocn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn', 
                [], [], 
                '''                port 24 hour ocn performance data
                ''',
                'oc_hour24ocn',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-hour24ocns',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24',
            False, 
            [
            _MetaInfoClassMember('oc-hour24ocns', REFERENCE_CLASS, 'OcHour24Ocns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns', 
                [], [], 
                '''                port current performance data
                ''',
                'oc_hour24ocns',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-hour24',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionSefSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionSefSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-sef-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section',
            False, 
            [
            _MetaInfoClassMember('section-c-vs', REFERENCE_CLASS, 'SectionCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'section_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-ss', REFERENCE_CLASS, 'SectionESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'section_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-se-ss', REFERENCE_CLASS, 'SectionSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'section_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-sef-ss', REFERENCE_CLASS, 'SectionSefSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionSefSs', 
                [], [], 
                '''                The number of Severely Errored Framing Seconds
                ''',
                'section_sef_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'section_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line',
            False, 
            [
            _MetaInfoClassMember('line-c-vs', REFERENCE_CLASS, 'LineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-ss', REFERENCE_CLASS, 'LineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-fc-ls', REFERENCE_CLASS, 'LineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-se-ss', REFERENCE_CLASS, 'LineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'line_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ua-ss', REFERENCE_CLASS, 'LineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine',
            False, 
            [
            _MetaInfoClassMember('far-end-line-c-vs', REFERENCE_CLASS, 'FarEndLineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-ss', REFERENCE_CLASS, 'FarEndLineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-fc-ls', REFERENCE_CLASS, 'FarEndLineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'far_end_line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-se-ss', REFERENCE_CLASS, 'FarEndLineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ua-ss', REFERENCE_CLASS, 'FarEndLineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-line', REFERENCE_CLASS, 'FeLine' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine', 
                [], [], 
                '''                FarEnd LINE
                ''',
                'fe_line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line', 
                [], [], 
                '''                LINE
                ''',
                'line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section', 
                [], [], 
                '''                SECTION
                ''',
                'section',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-minute15ocn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns',
            False, 
            [
            _MetaInfoClassMember('oc-minute15ocn', REFERENCE_LIST, 'OcMinute15Ocn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn', 
                [], [], 
                '''                port 15-minute ocn performance data
                ''',
                'oc_minute15ocn',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-minute15ocns',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15',
            False, 
            [
            _MetaInfoClassMember('oc-minute15ocns', REFERENCE_CLASS, 'OcMinute15Ocns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns', 
                [], [], 
                '''                port current performance data
                ''',
                'oc_minute15ocns',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-minute15',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent',
            False, 
            [
            _MetaInfoClassMember('oc-hour24', REFERENCE_CLASS, 'OcHour24' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24', 
                [], [], 
                '''                port current performance data
                ''',
                'oc_hour24',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('oc-minute15', REFERENCE_CLASS, 'OcMinute15' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15', 
                [], [], 
                '''                port current performance data
                ''',
                'oc_minute15',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-current',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts.OcPort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts.OcPort',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('oc-current', REFERENCE_CLASS, 'OcCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent', 
                [], [], 
                '''                port current performance data
                ''',
                'oc_current',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-port',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc.OcPorts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc.OcPorts',
            False, 
            [
            _MetaInfoClassMember('oc-port', REFERENCE_LIST, 'OcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts.OcPort', 
                [], [], 
                '''                Port performance data
                ''',
                'oc_port',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-ports',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Oc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Oc',
            False, 
            [
            _MetaInfoClassMember('oc-ports', REFERENCE_CLASS, 'OcPorts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc.OcPorts', 
                [], [], 
                '''                Port performance data
                ''',
                'oc_ports',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.RxPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.RxPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.StatPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.StatPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stat-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OctetStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OctetStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'octet-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OversizePktStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OversizePktStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oversize-pkt-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.FcsErrorsStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.FcsErrorsStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fcs-errors-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.LongFramesStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.LongFramesStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'long-frames-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.JabberStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.JabberStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'jabber-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether64Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether64Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether64-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether65127Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether65127Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether65127-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether128255Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether128255Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether128255-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether256511Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether256511Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether256511-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether5121023Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether5121023Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether5121023-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether10241518Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether10241518Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether10241518-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InUcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InUcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-ucast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InBcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InBcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-bcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutUcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutUcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-ucast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutBcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutBcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-bcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutMcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutMcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-mcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.IfInErrors' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.IfInErrors',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'if-in-errors',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.IfInOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.IfInOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'if-in-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.EtherStatMulticastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.EtherStatMulticastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-multicast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.EtherStatBroadcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.EtherStatBroadcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-broadcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.EtherStatUndersizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.EtherStatUndersizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-undersized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPauseFrame' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPauseFrame',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pause-frame',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InGoodBytes' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InGoodBytes',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-good-bytes',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.In8021QFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.In8021QFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in8021q-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts1519MaxOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts1519MaxOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts1519-max-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InGoodPkts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InGoodPkts',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-good-pkts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropOverrun' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropOverrun',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-overrun',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropAbort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropAbort',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-abort',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropInvalidVlan' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropInvalidVlan',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropInvalidDmac' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropInvalidDmac',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-dmac',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropInvalidEncap' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropInvalidEncap',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-encap',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMibGiant' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMibGiant',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mib-giant',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMibJabber' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMibJabber',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mib-jabber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMibcrc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMibcrc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mibcrc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorCollisions' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorCollisions',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-collisions',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorSymbol' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorSymbol',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-symbol',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutGoodBytes' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutGoodBytes',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-good-bytes',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Out8021QFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Out8021QFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out8021q-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPauseFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPauseFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pause-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts1519MaxOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts1519MaxOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts1519-max-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutGoodPkts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutGoodPkts',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-good-pkts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutDropUnderrun' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutDropUnderrun',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-underrun',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutDropAbort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutDropAbort',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-abort',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutDropOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutDropOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutErrorOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutErrorOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-error-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorGiant' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorGiant',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-giant',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorRunt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorRunt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-runt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorJabbers' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorJabbers',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-jabbers',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorFragments' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorFragments',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkt64Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkt64Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkt64-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts65To127Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts65To127Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts65-to127-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts128To255Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts128To255Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts128-to255-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts256To511Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts256To511Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts256-to511-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts512To1023Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts512To1023Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts512-to1023-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts1024To1518Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts1024To1518Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts1024-to1518-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Outpkt64Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Outpkt64Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'outpkt64octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts65127Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts65127Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts65127-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts128255Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts128255Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts128255-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts256511Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts256511Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts256511-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts5121023Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts5121023Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts5121023-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts10241518Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts10241518Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts10241518-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.RxUtil' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.RxUtil',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-util',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxUtil' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxUtil',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-util',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxUndersizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxUndersizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-undersized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxOversizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxOversizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-oversized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxFragments' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxFragments',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxJabber' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxJabber',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-jabber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxBadFcs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxBadFcs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-bad-fcs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether',
            False, 
            [
            _MetaInfoClassMember('slot-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                interval slot number
                ''',
                'slot_number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ether10241518-octet', REFERENCE_CLASS, 'Ether10241518Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether10241518Octet', 
                [], [], 
                '''                OFO OCTET
                ''',
                'ether10241518_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether128255-octet', REFERENCE_CLASS, 'Ether128255Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether128255Octet', 
                [], [], 
                '''                TFF OCTET
                ''',
                'ether128255_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether256511-octet', REFERENCE_CLASS, 'Ether256511Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether256511Octet', 
                [], [], 
                '''                FOO OCTET
                ''',
                'ether256511_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether5121023-octet', REFERENCE_CLASS, 'Ether5121023Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether5121023Octet', 
                [], [], 
                '''                OZTT OCTET
                ''',
                'ether5121023_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether64-octets', REFERENCE_CLASS, 'Ether64Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether64Octets', 
                [], [], 
                '''                SIXTY FOUR OCTET
                ''',
                'ether64_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether65127-octet', REFERENCE_CLASS, 'Ether65127Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether65127Octet', 
                [], [], 
                '''                OCTET
                ''',
                'ether65127_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-broadcast-pkt', REFERENCE_CLASS, 'EtherStatBroadcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.EtherStatBroadcastPkt', 
                [], [], 
                '''                ETHER STAT BROADCAST PKT
                ''',
                'ether_stat_broadcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-multicast-pkt', REFERENCE_CLASS, 'EtherStatMulticastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.EtherStatMulticastPkt', 
                [], [], 
                '''                ETHER STAT MULTICAST PKT
                ''',
                'ether_stat_multicast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-undersized-pkt', REFERENCE_CLASS, 'EtherStatUndersizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.EtherStatUndersizedPkt', 
                [], [], 
                '''                ETHER STAT UNDERSIZED PKT
                ''',
                'ether_stat_undersized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fcs-errors-stat', REFERENCE_CLASS, 'FcsErrorsStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.FcsErrorsStat', 
                [], [], 
                '''                FCS ERR
                ''',
                'fcs_errors_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('if-in-errors', REFERENCE_CLASS, 'IfInErrors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.IfInErrors', 
                [], [], 
                '''                IFIN ERRORS
                ''',
                'if_in_errors',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('if-in-octets', REFERENCE_CLASS, 'IfInOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.IfInOctets', 
                [], [], 
                '''                IFIN OCTETS
                ''',
                'if_in_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in8021q-frames', REFERENCE_CLASS, 'In8021QFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.In8021QFrames', 
                [], [], 
                '''                INPUT 802 1Q FRAMES
                ''',
                'in8021q_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-bcast-pkt', REFERENCE_CLASS, 'InBcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InBcastPkt', 
                [], [], 
                '''                IN BCAST
                ''',
                'in_bcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-abort', REFERENCE_CLASS, 'InDropAbort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropAbort', 
                [], [], 
                '''                INPUT DROP ABORT
                ''',
                'in_drop_abort',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-dmac', REFERENCE_CLASS, 'InDropInvalidDmac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropInvalidDmac', 
                [], [], 
                '''                INPUT DROP INVALID DMAC
                ''',
                'in_drop_invalid_dmac',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-encap', REFERENCE_CLASS, 'InDropInvalidEncap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropInvalidEncap', 
                [], [], 
                '''                INPUT DROP INVALID ENCAP
                ''',
                'in_drop_invalid_encap',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-vlan', REFERENCE_CLASS, 'InDropInvalidVlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropInvalidVlan', 
                [], [], 
                '''                INPUT DROP INVALID VLAN
                ''',
                'in_drop_invalid_vlan',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-other', REFERENCE_CLASS, 'InDropOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropOther', 
                [], [], 
                '''                INPUT DROP OTHER
                ''',
                'in_drop_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-overrun', REFERENCE_CLASS, 'InDropOverrun' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropOverrun', 
                [], [], 
                '''                INPUT DROP OVERRUN
                ''',
                'in_drop_overrun',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-collisions', REFERENCE_CLASS, 'InErrorCollisions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorCollisions', 
                [], [], 
                '''                IN ERROR COLLISIONS
                ''',
                'in_error_collisions',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-fragments', REFERENCE_CLASS, 'InErrorFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorFragments', 
                [], [], 
                '''                IN ERROR FRAGMENTS
                ''',
                'in_error_fragments',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-giant', REFERENCE_CLASS, 'InErrorGiant' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorGiant', 
                [], [], 
                '''                IN ERROR GIANT
                ''',
                'in_error_giant',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-jabbers', REFERENCE_CLASS, 'InErrorJabbers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorJabbers', 
                [], [], 
                '''                IN ERROR JABBERS
                ''',
                'in_error_jabbers',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-other', REFERENCE_CLASS, 'InErrorOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorOther', 
                [], [], 
                '''                IN ERROR OTHER
                ''',
                'in_error_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-runt', REFERENCE_CLASS, 'InErrorRunt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorRunt', 
                [], [], 
                '''                IN ERROR RUNT
                ''',
                'in_error_runt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-symbol', REFERENCE_CLASS, 'InErrorSymbol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorSymbol', 
                [], [], 
                '''                IN ERROR SYMBOL
                ''',
                'in_error_symbol',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-good-bytes', REFERENCE_CLASS, 'InGoodBytes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InGoodBytes', 
                [], [], 
                '''                INPUT GOOD BYTES
                ''',
                'in_good_bytes',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-good-pkts', REFERENCE_CLASS, 'InGoodPkts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InGoodPkts', 
                [], [], 
                '''                INPUT GOOD PKTS
                ''',
                'in_good_pkts',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mcast-pkt', REFERENCE_CLASS, 'InMcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMcastPkt', 
                [], [], 
                '''                IN MCAST
                ''',
                'in_mcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mib-giant', REFERENCE_CLASS, 'InMibGiant' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMibGiant', 
                [], [], 
                '''                INPUT MIB GIANT
                ''',
                'in_mib_giant',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mib-jabber', REFERENCE_CLASS, 'InMibJabber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMibJabber', 
                [], [], 
                '''                INPUT MIB JABBER
                ''',
                'in_mib_jabber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mibcrc', REFERENCE_CLASS, 'InMibcrc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMibcrc', 
                [], [], 
                '''                IN MIB CRC
                ''',
                'in_mibcrc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pause-frame', REFERENCE_CLASS, 'InPauseFrame' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPauseFrame', 
                [], [], 
                '''                INPUT PAUSE FRAME
                ''',
                'in_pause_frame',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkt64-octet', REFERENCE_CLASS, 'InPkt64Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkt64Octet', 
                [], [], 
                '''                IN PKT 64 OCTET
                ''',
                'in_pkt64_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts1024-to1518-octets', REFERENCE_CLASS, 'InPkts1024To1518Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts1024To1518Octets', 
                [], [], 
                '''                IN PKTS 1024 1518 OCTETS
                ''',
                'in_pkts1024_to1518_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts128-to255-octets', REFERENCE_CLASS, 'InPkts128To255Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts128To255Octets', 
                [], [], 
                '''                IN PKTS 128 255 OCTETS
                ''',
                'in_pkts128_to255_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts1519-max-octets', REFERENCE_CLASS, 'InPkts1519MaxOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts1519MaxOctets', 
                [], [], 
                '''                INPUT PKTS 1519MAX OCTETS
                ''',
                'in_pkts1519_max_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts256-to511-octets', REFERENCE_CLASS, 'InPkts256To511Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts256To511Octets', 
                [], [], 
                '''                IN PKTS 256 511 OCTETS
                ''',
                'in_pkts256_to511_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts512-to1023-octets', REFERENCE_CLASS, 'InPkts512To1023Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts512To1023Octets', 
                [], [], 
                '''                IN PKTS 512 1023 OCTETS
                ''',
                'in_pkts512_to1023_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts65-to127-octets', REFERENCE_CLASS, 'InPkts65To127Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts65To127Octets', 
                [], [], 
                '''                IN PKTS 65 127OCTETS
                ''',
                'in_pkts65_to127_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-ucast-pkt', REFERENCE_CLASS, 'InUcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InUcastPkt', 
                [], [], 
                '''                IN UCAST
                ''',
                'in_ucast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('jabber-stat', REFERENCE_CLASS, 'JabberStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.JabberStat', 
                [], [], 
                '''                JABBER STATS
                ''',
                'jabber_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('long-frames-stat', REFERENCE_CLASS, 'LongFramesStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.LongFramesStat', 
                [], [], 
                '''                LONG FRAMES
                ''',
                'long_frames_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('octet-stat', REFERENCE_CLASS, 'OctetStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OctetStat', 
                [], [], 
                '''                OCTET STAT
                ''',
                'octet_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out8021q-frames', REFERENCE_CLASS, 'Out8021QFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Out8021QFrames', 
                [], [], 
                '''                OUT 802 1Q FRAMES
                ''',
                'out8021q_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-bcast-pkt', REFERENCE_CLASS, 'OutBcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutBcastPkt', 
                [], [], 
                '''                OUT BCAST
                ''',
                'out_bcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-abort', REFERENCE_CLASS, 'OutDropAbort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutDropAbort', 
                [], [], 
                '''                OUT DROP ABORT
                ''',
                'out_drop_abort',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-other', REFERENCE_CLASS, 'OutDropOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutDropOther', 
                [], [], 
                '''                OUT DROP OTHER
                ''',
                'out_drop_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-underrun', REFERENCE_CLASS, 'OutDropUnderrun' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutDropUnderrun', 
                [], [], 
                '''                OUT DROP UNDERRUN
                ''',
                'out_drop_underrun',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-error-other', REFERENCE_CLASS, 'OutErrorOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutErrorOther', 
                [], [], 
                '''                OUT ERROR OTHER
                ''',
                'out_error_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-good-bytes', REFERENCE_CLASS, 'OutGoodBytes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutGoodBytes', 
                [], [], 
                '''                OUT GOOD BYTES
                ''',
                'out_good_bytes',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-good-pkts', REFERENCE_CLASS, 'OutGoodPkts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutGoodPkts', 
                [], [], 
                '''                OUT GOOD PKTS
                ''',
                'out_good_pkts',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-mcast-pkt', REFERENCE_CLASS, 'OutMcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutMcastPkt', 
                [], [], 
                '''                OUT MCAST
                ''',
                'out_mcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-octets', REFERENCE_CLASS, 'OutOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutOctets', 
                [], [], 
                '''                OUT OCTET
                ''',
                'out_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pause-frames', REFERENCE_CLASS, 'OutPauseFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPauseFrames', 
                [], [], 
                '''                OUT PAUSE FRAMES
                ''',
                'out_pause_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts10241518-octets', REFERENCE_CLASS, 'OutPkts10241518Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts10241518Octets', 
                [], [], 
                '''                OUT PKTS 1024 1518 OCTETS
                ''',
                'out_pkts10241518_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts128255-octets', REFERENCE_CLASS, 'OutPkts128255Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts128255Octets', 
                [], [], 
                '''                OUT PKTS 128 255 OCTETS
                ''',
                'out_pkts128255_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts1519-max-octets', REFERENCE_CLASS, 'OutPkts1519MaxOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts1519MaxOctets', 
                [], [], 
                '''                OUT PKTS 1519 MAX OCTETS
                ''',
                'out_pkts1519_max_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts256511-octets', REFERENCE_CLASS, 'OutPkts256511Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts256511Octets', 
                [], [], 
                '''                OUT PKTS 256 511 OCTETS
                ''',
                'out_pkts256511_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts5121023-octets', REFERENCE_CLASS, 'OutPkts5121023Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts5121023Octets', 
                [], [], 
                '''                OUT PKTS 512 1023 OCTETS
                ''',
                'out_pkts5121023_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts65127-octets', REFERENCE_CLASS, 'OutPkts65127Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts65127Octets', 
                [], [], 
                '''                OUT PKTS 65 127OCTETS
                ''',
                'out_pkts65127_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-ucast-pkt', REFERENCE_CLASS, 'OutUcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutUcastPkt', 
                [], [], 
                '''                OUT UCAST
                ''',
                'out_ucast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('outpkt64octet', REFERENCE_CLASS, 'Outpkt64Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Outpkt64Octet', 
                [], [], 
                '''                OUT PKT 64 OCTET
                ''',
                'outpkt64octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('oversize-pkt-stat', REFERENCE_CLASS, 'OversizePktStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OversizePktStat', 
                [], [], 
                '''                OVERSIZE PKT
                ''',
                'oversize_pkt_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-pkt', REFERENCE_CLASS, 'RxPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.RxPkt', 
                [], [], 
                '''                RX PKT
                ''',
                'rx_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-util', REFERENCE_CLASS, 'RxUtil' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.RxUtil', 
                [], [], 
                '''                Rx Utilization in Percent
                ''',
                'rx_util',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('stat-pkt', REFERENCE_CLASS, 'StatPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.StatPkt', 
                [], [], 
                '''                STAT PKT
                ''',
                'stat_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-bad-fcs', REFERENCE_CLASS, 'TxBadFcs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxBadFcs', 
                [], [], 
                '''                TX Bad Fcs
                ''',
                'tx_bad_fcs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-fragments', REFERENCE_CLASS, 'TxFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxFragments', 
                [], [], 
                '''                TX Fragments
                ''',
                'tx_fragments',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-jabber', REFERENCE_CLASS, 'TxJabber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxJabber', 
                [], [], 
                '''                TX Jabber
                ''',
                'tx_jabber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-oversized-pkt', REFERENCE_CLASS, 'TxOversizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxOversizedPkt', 
                [], [], 
                '''                TX Oversized Pkt
                ''',
                'tx_oversized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-pkt', REFERENCE_CLASS, 'TxPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxPkt', 
                [], [], 
                '''                TX PKT
                ''',
                'tx_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-undersized-pkt', REFERENCE_CLASS, 'TxUndersizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxUndersizedPkt', 
                [], [], 
                '''                TX Undersized Pkt
                ''',
                'tx_undersized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-util', REFERENCE_CLASS, 'TxUtil' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxUtil', 
                [], [], 
                '''                Tx Utilization in Percent
                ''',
                'tx_util',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'second30-ether',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers',
            False, 
            [
            _MetaInfoClassMember('second30-ether', REFERENCE_LIST, 'Second30Ether' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether', 
                [], [], 
                '''                ETHERNET port 30 second ether performance
                data
                ''',
                'second30_ether',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'second30-ethers',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30',
            False, 
            [
            _MetaInfoClassMember('second30-ethers', REFERENCE_CLASS, 'Second30Ethers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers', 
                [], [], 
                '''                ETHERNET port interval performance data
                ''',
                'second30_ethers',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-second30',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.RxPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.RxPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.StatPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.StatPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stat-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OctetStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OctetStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'octet-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OversizePktStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OversizePktStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oversize-pkt-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.FcsErrorsStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.FcsErrorsStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fcs-errors-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.LongFramesStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.LongFramesStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'long-frames-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.JabberStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.JabberStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'jabber-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether64Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether64Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether64-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether65127Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether65127Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether65127-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether128255Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether128255Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether128255-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether256511Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether256511Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether256511-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether5121023Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether5121023Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether5121023-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether10241518Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether10241518Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether10241518-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InUcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InUcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-ucast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InBcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InBcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-bcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutUcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutUcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-ucast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutBcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutBcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-bcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutMcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutMcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-mcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.IfInErrors' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.IfInErrors',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'if-in-errors',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.IfInOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.IfInOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'if-in-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.EtherStatMulticastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.EtherStatMulticastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-multicast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.EtherStatBroadcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.EtherStatBroadcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-broadcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.EtherStatUndersizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.EtherStatUndersizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-undersized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPauseFrame' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPauseFrame',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pause-frame',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InGoodBytes' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InGoodBytes',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-good-bytes',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.In8021QFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.In8021QFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in8021q-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts1519MaxOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts1519MaxOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts1519-max-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InGoodPkts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InGoodPkts',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-good-pkts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropOverrun' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropOverrun',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-overrun',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropAbort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropAbort',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-abort',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropInvalidVlan' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropInvalidVlan',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropInvalidDmac' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropInvalidDmac',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-dmac',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropInvalidEncap' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropInvalidEncap',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-encap',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMibGiant' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMibGiant',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mib-giant',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMibJabber' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMibJabber',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mib-jabber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMibcrc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMibcrc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mibcrc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorCollisions' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorCollisions',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-collisions',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorSymbol' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorSymbol',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-symbol',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutGoodBytes' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutGoodBytes',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-good-bytes',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Out8021QFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Out8021QFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out8021q-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPauseFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPauseFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pause-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts1519MaxOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts1519MaxOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts1519-max-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutGoodPkts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutGoodPkts',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-good-pkts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutDropUnderrun' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutDropUnderrun',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-underrun',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutDropAbort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutDropAbort',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-abort',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutDropOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutDropOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutErrorOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutErrorOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-error-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorGiant' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorGiant',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-giant',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorRunt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorRunt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-runt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorJabbers' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorJabbers',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-jabbers',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorFragments' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorFragments',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkt64Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkt64Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkt64-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts65To127Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts65To127Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts65-to127-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts128To255Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts128To255Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts128-to255-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts256To511Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts256To511Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts256-to511-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts512To1023Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts512To1023Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts512-to1023-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts1024To1518Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts1024To1518Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts1024-to1518-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Outpkt64Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Outpkt64Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'outpkt64octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts65127Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts65127Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts65127-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts128255Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts128255Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts128255-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts256511Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts256511Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts256511-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts5121023Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts5121023Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts5121023-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts10241518Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts10241518Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts10241518-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.RxUtil' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.RxUtil',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-util',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxUtil' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxUtil',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-util',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxUndersizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxUndersizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-undersized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxOversizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxOversizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-oversized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxFragments' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxFragments',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxJabber' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxJabber',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-jabber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxBadFcs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxBadFcs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-bad-fcs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ether10241518-octet', REFERENCE_CLASS, 'Ether10241518Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether10241518Octet', 
                [], [], 
                '''                OFO OCTET
                ''',
                'ether10241518_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether128255-octet', REFERENCE_CLASS, 'Ether128255Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether128255Octet', 
                [], [], 
                '''                TFF OCTET
                ''',
                'ether128255_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether256511-octet', REFERENCE_CLASS, 'Ether256511Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether256511Octet', 
                [], [], 
                '''                FOO OCTET
                ''',
                'ether256511_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether5121023-octet', REFERENCE_CLASS, 'Ether5121023Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether5121023Octet', 
                [], [], 
                '''                OZTT OCTET
                ''',
                'ether5121023_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether64-octets', REFERENCE_CLASS, 'Ether64Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether64Octets', 
                [], [], 
                '''                SIXTY FOUR OCTET
                ''',
                'ether64_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether65127-octet', REFERENCE_CLASS, 'Ether65127Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether65127Octet', 
                [], [], 
                '''                OCTET
                ''',
                'ether65127_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-broadcast-pkt', REFERENCE_CLASS, 'EtherStatBroadcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.EtherStatBroadcastPkt', 
                [], [], 
                '''                ETHER STAT BROADCAST PKT
                ''',
                'ether_stat_broadcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-multicast-pkt', REFERENCE_CLASS, 'EtherStatMulticastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.EtherStatMulticastPkt', 
                [], [], 
                '''                ETHER STAT MULTICAST PKT
                ''',
                'ether_stat_multicast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-undersized-pkt', REFERENCE_CLASS, 'EtherStatUndersizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.EtherStatUndersizedPkt', 
                [], [], 
                '''                ETHER STAT UNDERSIZED PKT
                ''',
                'ether_stat_undersized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fcs-errors-stat', REFERENCE_CLASS, 'FcsErrorsStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.FcsErrorsStat', 
                [], [], 
                '''                FCS ERR
                ''',
                'fcs_errors_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('if-in-errors', REFERENCE_CLASS, 'IfInErrors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.IfInErrors', 
                [], [], 
                '''                IFIN ERRORS
                ''',
                'if_in_errors',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('if-in-octets', REFERENCE_CLASS, 'IfInOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.IfInOctets', 
                [], [], 
                '''                IFIN OCTETS
                ''',
                'if_in_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in8021q-frames', REFERENCE_CLASS, 'In8021QFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.In8021QFrames', 
                [], [], 
                '''                INPUT 802 1Q FRAMES
                ''',
                'in8021q_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-bcast-pkt', REFERENCE_CLASS, 'InBcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InBcastPkt', 
                [], [], 
                '''                IN BCAST
                ''',
                'in_bcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-abort', REFERENCE_CLASS, 'InDropAbort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropAbort', 
                [], [], 
                '''                INPUT DROP ABORT
                ''',
                'in_drop_abort',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-dmac', REFERENCE_CLASS, 'InDropInvalidDmac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropInvalidDmac', 
                [], [], 
                '''                INPUT DROP INVALID DMAC
                ''',
                'in_drop_invalid_dmac',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-encap', REFERENCE_CLASS, 'InDropInvalidEncap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropInvalidEncap', 
                [], [], 
                '''                INPUT DROP INVALID ENCAP
                ''',
                'in_drop_invalid_encap',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-vlan', REFERENCE_CLASS, 'InDropInvalidVlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropInvalidVlan', 
                [], [], 
                '''                INPUT DROP INVALID VLAN
                ''',
                'in_drop_invalid_vlan',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-other', REFERENCE_CLASS, 'InDropOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropOther', 
                [], [], 
                '''                INPUT DROP OTHER
                ''',
                'in_drop_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-overrun', REFERENCE_CLASS, 'InDropOverrun' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropOverrun', 
                [], [], 
                '''                INPUT DROP OVERRUN
                ''',
                'in_drop_overrun',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-collisions', REFERENCE_CLASS, 'InErrorCollisions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorCollisions', 
                [], [], 
                '''                IN ERROR COLLISIONS
                ''',
                'in_error_collisions',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-fragments', REFERENCE_CLASS, 'InErrorFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorFragments', 
                [], [], 
                '''                IN ERROR FRAGMENTS
                ''',
                'in_error_fragments',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-giant', REFERENCE_CLASS, 'InErrorGiant' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorGiant', 
                [], [], 
                '''                IN ERROR GIANT
                ''',
                'in_error_giant',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-jabbers', REFERENCE_CLASS, 'InErrorJabbers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorJabbers', 
                [], [], 
                '''                IN ERROR JABBERS
                ''',
                'in_error_jabbers',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-other', REFERENCE_CLASS, 'InErrorOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorOther', 
                [], [], 
                '''                IN ERROR OTHER
                ''',
                'in_error_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-runt', REFERENCE_CLASS, 'InErrorRunt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorRunt', 
                [], [], 
                '''                IN ERROR RUNT
                ''',
                'in_error_runt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-symbol', REFERENCE_CLASS, 'InErrorSymbol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorSymbol', 
                [], [], 
                '''                IN ERROR SYMBOL
                ''',
                'in_error_symbol',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-good-bytes', REFERENCE_CLASS, 'InGoodBytes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InGoodBytes', 
                [], [], 
                '''                INPUT GOOD BYTES
                ''',
                'in_good_bytes',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-good-pkts', REFERENCE_CLASS, 'InGoodPkts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InGoodPkts', 
                [], [], 
                '''                INPUT GOOD PKTS
                ''',
                'in_good_pkts',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mcast-pkt', REFERENCE_CLASS, 'InMcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMcastPkt', 
                [], [], 
                '''                IN MCAST
                ''',
                'in_mcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mib-giant', REFERENCE_CLASS, 'InMibGiant' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMibGiant', 
                [], [], 
                '''                INPUT MIB GIANT
                ''',
                'in_mib_giant',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mib-jabber', REFERENCE_CLASS, 'InMibJabber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMibJabber', 
                [], [], 
                '''                INPUT MIB JABBER
                ''',
                'in_mib_jabber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mibcrc', REFERENCE_CLASS, 'InMibcrc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMibcrc', 
                [], [], 
                '''                IN MIB CRC
                ''',
                'in_mibcrc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pause-frame', REFERENCE_CLASS, 'InPauseFrame' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPauseFrame', 
                [], [], 
                '''                INPUT PAUSE FRAME
                ''',
                'in_pause_frame',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkt64-octet', REFERENCE_CLASS, 'InPkt64Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkt64Octet', 
                [], [], 
                '''                IN PKT 64 OCTET
                ''',
                'in_pkt64_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts1024-to1518-octets', REFERENCE_CLASS, 'InPkts1024To1518Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts1024To1518Octets', 
                [], [], 
                '''                IN PKTS 1024 1518 OCTETS
                ''',
                'in_pkts1024_to1518_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts128-to255-octets', REFERENCE_CLASS, 'InPkts128To255Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts128To255Octets', 
                [], [], 
                '''                IN PKTS 128 255 OCTETS
                ''',
                'in_pkts128_to255_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts1519-max-octets', REFERENCE_CLASS, 'InPkts1519MaxOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts1519MaxOctets', 
                [], [], 
                '''                INPUT PKTS 1519MAX OCTETS
                ''',
                'in_pkts1519_max_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts256-to511-octets', REFERENCE_CLASS, 'InPkts256To511Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts256To511Octets', 
                [], [], 
                '''                IN PKTS 256 511 OCTETS
                ''',
                'in_pkts256_to511_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts512-to1023-octets', REFERENCE_CLASS, 'InPkts512To1023Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts512To1023Octets', 
                [], [], 
                '''                IN PKTS 512 1023 OCTETS
                ''',
                'in_pkts512_to1023_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts65-to127-octets', REFERENCE_CLASS, 'InPkts65To127Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts65To127Octets', 
                [], [], 
                '''                IN PKTS 65 127OCTETS
                ''',
                'in_pkts65_to127_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-ucast-pkt', REFERENCE_CLASS, 'InUcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InUcastPkt', 
                [], [], 
                '''                IN UCAST
                ''',
                'in_ucast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('jabber-stat', REFERENCE_CLASS, 'JabberStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.JabberStat', 
                [], [], 
                '''                JABBER STATS
                ''',
                'jabber_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('long-frames-stat', REFERENCE_CLASS, 'LongFramesStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.LongFramesStat', 
                [], [], 
                '''                LONG FRAMES
                ''',
                'long_frames_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('octet-stat', REFERENCE_CLASS, 'OctetStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OctetStat', 
                [], [], 
                '''                OCTET STAT
                ''',
                'octet_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out8021q-frames', REFERENCE_CLASS, 'Out8021QFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Out8021QFrames', 
                [], [], 
                '''                OUT 802 1Q FRAMES
                ''',
                'out8021q_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-bcast-pkt', REFERENCE_CLASS, 'OutBcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutBcastPkt', 
                [], [], 
                '''                OUT BCAST
                ''',
                'out_bcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-abort', REFERENCE_CLASS, 'OutDropAbort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutDropAbort', 
                [], [], 
                '''                OUT DROP ABORT
                ''',
                'out_drop_abort',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-other', REFERENCE_CLASS, 'OutDropOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutDropOther', 
                [], [], 
                '''                OUT DROP OTHER
                ''',
                'out_drop_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-underrun', REFERENCE_CLASS, 'OutDropUnderrun' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutDropUnderrun', 
                [], [], 
                '''                OUT DROP UNDERRUN
                ''',
                'out_drop_underrun',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-error-other', REFERENCE_CLASS, 'OutErrorOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutErrorOther', 
                [], [], 
                '''                OUT ERROR OTHER
                ''',
                'out_error_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-good-bytes', REFERENCE_CLASS, 'OutGoodBytes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutGoodBytes', 
                [], [], 
                '''                OUT GOOD BYTES
                ''',
                'out_good_bytes',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-good-pkts', REFERENCE_CLASS, 'OutGoodPkts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutGoodPkts', 
                [], [], 
                '''                OUT GOOD PKTS
                ''',
                'out_good_pkts',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-mcast-pkt', REFERENCE_CLASS, 'OutMcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutMcastPkt', 
                [], [], 
                '''                OUT MCAST
                ''',
                'out_mcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-octets', REFERENCE_CLASS, 'OutOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutOctets', 
                [], [], 
                '''                OUT OCTET
                ''',
                'out_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pause-frames', REFERENCE_CLASS, 'OutPauseFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPauseFrames', 
                [], [], 
                '''                OUT PAUSE FRAMES
                ''',
                'out_pause_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts10241518-octets', REFERENCE_CLASS, 'OutPkts10241518Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts10241518Octets', 
                [], [], 
                '''                OUT PKTS 1024 1518 OCTETS
                ''',
                'out_pkts10241518_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts128255-octets', REFERENCE_CLASS, 'OutPkts128255Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts128255Octets', 
                [], [], 
                '''                OUT PKTS 128 255 OCTETS
                ''',
                'out_pkts128255_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts1519-max-octets', REFERENCE_CLASS, 'OutPkts1519MaxOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts1519MaxOctets', 
                [], [], 
                '''                OUT PKTS 1519 MAX OCTETS
                ''',
                'out_pkts1519_max_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts256511-octets', REFERENCE_CLASS, 'OutPkts256511Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts256511Octets', 
                [], [], 
                '''                OUT PKTS 256 511 OCTETS
                ''',
                'out_pkts256511_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts5121023-octets', REFERENCE_CLASS, 'OutPkts5121023Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts5121023Octets', 
                [], [], 
                '''                OUT PKTS 512 1023 OCTETS
                ''',
                'out_pkts5121023_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts65127-octets', REFERENCE_CLASS, 'OutPkts65127Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts65127Octets', 
                [], [], 
                '''                OUT PKTS 65 127OCTETS
                ''',
                'out_pkts65127_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-ucast-pkt', REFERENCE_CLASS, 'OutUcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutUcastPkt', 
                [], [], 
                '''                OUT UCAST
                ''',
                'out_ucast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('outpkt64octet', REFERENCE_CLASS, 'Outpkt64Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Outpkt64Octet', 
                [], [], 
                '''                OUT PKT 64 OCTET
                ''',
                'outpkt64octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('oversize-pkt-stat', REFERENCE_CLASS, 'OversizePktStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OversizePktStat', 
                [], [], 
                '''                OVERSIZE PKT
                ''',
                'oversize_pkt_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-pkt', REFERENCE_CLASS, 'RxPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.RxPkt', 
                [], [], 
                '''                RX PKT
                ''',
                'rx_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-util', REFERENCE_CLASS, 'RxUtil' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.RxUtil', 
                [], [], 
                '''                Rx Utilization in Percent
                ''',
                'rx_util',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('stat-pkt', REFERENCE_CLASS, 'StatPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.StatPkt', 
                [], [], 
                '''                STAT PKT
                ''',
                'stat_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-bad-fcs', REFERENCE_CLASS, 'TxBadFcs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxBadFcs', 
                [], [], 
                '''                TX Bad Fcs
                ''',
                'tx_bad_fcs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-fragments', REFERENCE_CLASS, 'TxFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxFragments', 
                [], [], 
                '''                TX Fragments
                ''',
                'tx_fragments',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-jabber', REFERENCE_CLASS, 'TxJabber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxJabber', 
                [], [], 
                '''                TX Jabber
                ''',
                'tx_jabber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-oversized-pkt', REFERENCE_CLASS, 'TxOversizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxOversizedPkt', 
                [], [], 
                '''                TX Oversized Pkt
                ''',
                'tx_oversized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-pkt', REFERENCE_CLASS, 'TxPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxPkt', 
                [], [], 
                '''                TX PKT
                ''',
                'tx_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-undersized-pkt', REFERENCE_CLASS, 'TxUndersizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxUndersizedPkt', 
                [], [], 
                '''                TX Undersized Pkt
                ''',
                'tx_undersized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-util', REFERENCE_CLASS, 'TxUtil' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxUtil', 
                [], [], 
                '''                Tx Utilization in Percent
                ''',
                'tx_util',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-hour24-ether',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS',
            False, 
            [
            _MetaInfoClassMember('ethernet-hour24-ether', REFERENCE_LIST, 'EthernetHour24Ether' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether', 
                [], [], 
                '''                port 24 hour ethernet performance data
                ''',
                'ethernet_hour24_ether',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-hour24-ether-s',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24',
            False, 
            [
            _MetaInfoClassMember('ethernet-hour24-ether-s', REFERENCE_CLASS, 'EthernetHour24EtherS' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS', 
                [], [], 
                '''                port current performance data
                ''',
                'ethernet_hour24_ether_s',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-hour24',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.RxPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.RxPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.StatPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.StatPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stat-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OctetStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OctetStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'octet-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OversizePktStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OversizePktStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oversize-pkt-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.FcsErrorsStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.FcsErrorsStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fcs-errors-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.LongFramesStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.LongFramesStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'long-frames-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.JabberStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.JabberStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'jabber-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether64Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether64Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether64-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether65127Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether65127Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether65127-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether128255Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether128255Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether128255-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether256511Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether256511Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether256511-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether5121023Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether5121023Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether5121023-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether10241518Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether10241518Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether10241518-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InUcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InUcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-ucast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InBcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InBcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-bcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutUcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutUcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-ucast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutBcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutBcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-bcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutMcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutMcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-mcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.IfInErrors' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.IfInErrors',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'if-in-errors',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.IfInOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.IfInOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'if-in-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.EtherStatMulticastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.EtherStatMulticastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-multicast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.EtherStatBroadcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.EtherStatBroadcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-broadcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.EtherStatUndersizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.EtherStatUndersizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-undersized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPauseFrame' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPauseFrame',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pause-frame',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InGoodBytes' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InGoodBytes',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-good-bytes',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.In8021QFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.In8021QFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in8021q-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts1519MaxOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts1519MaxOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts1519-max-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InGoodPkts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InGoodPkts',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-good-pkts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropOverrun' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropOverrun',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-overrun',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropAbort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropAbort',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-abort',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropInvalidVlan' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropInvalidVlan',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropInvalidDmac' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropInvalidDmac',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-dmac',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropInvalidEncap' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropInvalidEncap',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-encap',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMibGiant' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMibGiant',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mib-giant',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMibJabber' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMibJabber',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mib-jabber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMibcrc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMibcrc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mibcrc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorCollisions' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorCollisions',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-collisions',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorSymbol' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorSymbol',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-symbol',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutGoodBytes' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutGoodBytes',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-good-bytes',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Out8021QFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Out8021QFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out8021q-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPauseFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPauseFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pause-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts1519MaxOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts1519MaxOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts1519-max-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutGoodPkts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutGoodPkts',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-good-pkts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutDropUnderrun' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutDropUnderrun',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-underrun',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutDropAbort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutDropAbort',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-abort',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutDropOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutDropOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutErrorOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutErrorOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-error-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorGiant' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorGiant',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-giant',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorRunt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorRunt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-runt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorJabbers' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorJabbers',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-jabbers',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorFragments' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorFragments',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkt64Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkt64Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkt64-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts65To127Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts65To127Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts65-to127-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts128To255Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts128To255Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts128-to255-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts256To511Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts256To511Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts256-to511-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts512To1023Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts512To1023Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts512-to1023-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts1024To1518Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts1024To1518Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts1024-to1518-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Outpkt64Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Outpkt64Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'outpkt64octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts65127Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts65127Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts65127-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts128255Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts128255Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts128255-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts256511Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts256511Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts256511-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts5121023Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts5121023Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts5121023-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts10241518Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts10241518Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts10241518-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.RxUtil' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.RxUtil',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-util',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxUtil' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxUtil',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-util',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxUndersizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxUndersizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-undersized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxOversizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxOversizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-oversized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxFragments' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxFragments',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxJabber' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxJabber',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-jabber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxBadFcs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxBadFcs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-bad-fcs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether',
            False, 
            [
            _MetaInfoClassMember('slot-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                interval slot number
                ''',
                'slot_number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ether10241518-octet', REFERENCE_CLASS, 'Ether10241518Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether10241518Octet', 
                [], [], 
                '''                OFO OCTET
                ''',
                'ether10241518_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether128255-octet', REFERENCE_CLASS, 'Ether128255Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether128255Octet', 
                [], [], 
                '''                TFF OCTET
                ''',
                'ether128255_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether256511-octet', REFERENCE_CLASS, 'Ether256511Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether256511Octet', 
                [], [], 
                '''                FOO OCTET
                ''',
                'ether256511_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether5121023-octet', REFERENCE_CLASS, 'Ether5121023Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether5121023Octet', 
                [], [], 
                '''                OZTT OCTET
                ''',
                'ether5121023_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether64-octets', REFERENCE_CLASS, 'Ether64Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether64Octets', 
                [], [], 
                '''                SIXTY FOUR OCTET
                ''',
                'ether64_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether65127-octet', REFERENCE_CLASS, 'Ether65127Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether65127Octet', 
                [], [], 
                '''                OCTET
                ''',
                'ether65127_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-broadcast-pkt', REFERENCE_CLASS, 'EtherStatBroadcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.EtherStatBroadcastPkt', 
                [], [], 
                '''                ETHER STAT BROADCAST PKT
                ''',
                'ether_stat_broadcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-multicast-pkt', REFERENCE_CLASS, 'EtherStatMulticastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.EtherStatMulticastPkt', 
                [], [], 
                '''                ETHER STAT MULTICAST PKT
                ''',
                'ether_stat_multicast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-undersized-pkt', REFERENCE_CLASS, 'EtherStatUndersizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.EtherStatUndersizedPkt', 
                [], [], 
                '''                ETHER STAT UNDERSIZED PKT
                ''',
                'ether_stat_undersized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fcs-errors-stat', REFERENCE_CLASS, 'FcsErrorsStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.FcsErrorsStat', 
                [], [], 
                '''                FCS ERR
                ''',
                'fcs_errors_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('if-in-errors', REFERENCE_CLASS, 'IfInErrors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.IfInErrors', 
                [], [], 
                '''                IFIN ERRORS
                ''',
                'if_in_errors',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('if-in-octets', REFERENCE_CLASS, 'IfInOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.IfInOctets', 
                [], [], 
                '''                IFIN OCTETS
                ''',
                'if_in_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in8021q-frames', REFERENCE_CLASS, 'In8021QFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.In8021QFrames', 
                [], [], 
                '''                INPUT 802 1Q FRAMES
                ''',
                'in8021q_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-bcast-pkt', REFERENCE_CLASS, 'InBcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InBcastPkt', 
                [], [], 
                '''                IN BCAST
                ''',
                'in_bcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-abort', REFERENCE_CLASS, 'InDropAbort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropAbort', 
                [], [], 
                '''                INPUT DROP ABORT
                ''',
                'in_drop_abort',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-dmac', REFERENCE_CLASS, 'InDropInvalidDmac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropInvalidDmac', 
                [], [], 
                '''                INPUT DROP INVALID DMAC
                ''',
                'in_drop_invalid_dmac',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-encap', REFERENCE_CLASS, 'InDropInvalidEncap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropInvalidEncap', 
                [], [], 
                '''                INPUT DROP INVALID ENCAP
                ''',
                'in_drop_invalid_encap',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-vlan', REFERENCE_CLASS, 'InDropInvalidVlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropInvalidVlan', 
                [], [], 
                '''                INPUT DROP INVALID VLAN
                ''',
                'in_drop_invalid_vlan',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-other', REFERENCE_CLASS, 'InDropOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropOther', 
                [], [], 
                '''                INPUT DROP OTHER
                ''',
                'in_drop_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-overrun', REFERENCE_CLASS, 'InDropOverrun' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropOverrun', 
                [], [], 
                '''                INPUT DROP OVERRUN
                ''',
                'in_drop_overrun',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-collisions', REFERENCE_CLASS, 'InErrorCollisions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorCollisions', 
                [], [], 
                '''                IN ERROR COLLISIONS
                ''',
                'in_error_collisions',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-fragments', REFERENCE_CLASS, 'InErrorFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorFragments', 
                [], [], 
                '''                IN ERROR FRAGMENTS
                ''',
                'in_error_fragments',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-giant', REFERENCE_CLASS, 'InErrorGiant' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorGiant', 
                [], [], 
                '''                IN ERROR GIANT
                ''',
                'in_error_giant',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-jabbers', REFERENCE_CLASS, 'InErrorJabbers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorJabbers', 
                [], [], 
                '''                IN ERROR JABBERS
                ''',
                'in_error_jabbers',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-other', REFERENCE_CLASS, 'InErrorOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorOther', 
                [], [], 
                '''                IN ERROR OTHER
                ''',
                'in_error_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-runt', REFERENCE_CLASS, 'InErrorRunt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorRunt', 
                [], [], 
                '''                IN ERROR RUNT
                ''',
                'in_error_runt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-symbol', REFERENCE_CLASS, 'InErrorSymbol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorSymbol', 
                [], [], 
                '''                IN ERROR SYMBOL
                ''',
                'in_error_symbol',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-good-bytes', REFERENCE_CLASS, 'InGoodBytes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InGoodBytes', 
                [], [], 
                '''                INPUT GOOD BYTES
                ''',
                'in_good_bytes',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-good-pkts', REFERENCE_CLASS, 'InGoodPkts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InGoodPkts', 
                [], [], 
                '''                INPUT GOOD PKTS
                ''',
                'in_good_pkts',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mcast-pkt', REFERENCE_CLASS, 'InMcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMcastPkt', 
                [], [], 
                '''                IN MCAST
                ''',
                'in_mcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mib-giant', REFERENCE_CLASS, 'InMibGiant' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMibGiant', 
                [], [], 
                '''                INPUT MIB GIANT
                ''',
                'in_mib_giant',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mib-jabber', REFERENCE_CLASS, 'InMibJabber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMibJabber', 
                [], [], 
                '''                INPUT MIB JABBER
                ''',
                'in_mib_jabber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mibcrc', REFERENCE_CLASS, 'InMibcrc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMibcrc', 
                [], [], 
                '''                IN MIB CRC
                ''',
                'in_mibcrc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pause-frame', REFERENCE_CLASS, 'InPauseFrame' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPauseFrame', 
                [], [], 
                '''                INPUT PAUSE FRAME
                ''',
                'in_pause_frame',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkt64-octet', REFERENCE_CLASS, 'InPkt64Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkt64Octet', 
                [], [], 
                '''                IN PKT 64 OCTET
                ''',
                'in_pkt64_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts1024-to1518-octets', REFERENCE_CLASS, 'InPkts1024To1518Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts1024To1518Octets', 
                [], [], 
                '''                IN PKTS 1024 1518 OCTETS
                ''',
                'in_pkts1024_to1518_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts128-to255-octets', REFERENCE_CLASS, 'InPkts128To255Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts128To255Octets', 
                [], [], 
                '''                IN PKTS 128 255 OCTETS
                ''',
                'in_pkts128_to255_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts1519-max-octets', REFERENCE_CLASS, 'InPkts1519MaxOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts1519MaxOctets', 
                [], [], 
                '''                INPUT PKTS 1519MAX OCTETS
                ''',
                'in_pkts1519_max_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts256-to511-octets', REFERENCE_CLASS, 'InPkts256To511Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts256To511Octets', 
                [], [], 
                '''                IN PKTS 256 511 OCTETS
                ''',
                'in_pkts256_to511_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts512-to1023-octets', REFERENCE_CLASS, 'InPkts512To1023Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts512To1023Octets', 
                [], [], 
                '''                IN PKTS 512 1023 OCTETS
                ''',
                'in_pkts512_to1023_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts65-to127-octets', REFERENCE_CLASS, 'InPkts65To127Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts65To127Octets', 
                [], [], 
                '''                IN PKTS 65 127OCTETS
                ''',
                'in_pkts65_to127_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-ucast-pkt', REFERENCE_CLASS, 'InUcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InUcastPkt', 
                [], [], 
                '''                IN UCAST
                ''',
                'in_ucast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('jabber-stat', REFERENCE_CLASS, 'JabberStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.JabberStat', 
                [], [], 
                '''                JABBER STATS
                ''',
                'jabber_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('long-frames-stat', REFERENCE_CLASS, 'LongFramesStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.LongFramesStat', 
                [], [], 
                '''                LONG FRAMES
                ''',
                'long_frames_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('octet-stat', REFERENCE_CLASS, 'OctetStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OctetStat', 
                [], [], 
                '''                OCTET STAT
                ''',
                'octet_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out8021q-frames', REFERENCE_CLASS, 'Out8021QFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Out8021QFrames', 
                [], [], 
                '''                OUT 802 1Q FRAMES
                ''',
                'out8021q_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-bcast-pkt', REFERENCE_CLASS, 'OutBcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutBcastPkt', 
                [], [], 
                '''                OUT BCAST
                ''',
                'out_bcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-abort', REFERENCE_CLASS, 'OutDropAbort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutDropAbort', 
                [], [], 
                '''                OUT DROP ABORT
                ''',
                'out_drop_abort',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-other', REFERENCE_CLASS, 'OutDropOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutDropOther', 
                [], [], 
                '''                OUT DROP OTHER
                ''',
                'out_drop_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-underrun', REFERENCE_CLASS, 'OutDropUnderrun' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutDropUnderrun', 
                [], [], 
                '''                OUT DROP UNDERRUN
                ''',
                'out_drop_underrun',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-error-other', REFERENCE_CLASS, 'OutErrorOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutErrorOther', 
                [], [], 
                '''                OUT ERROR OTHER
                ''',
                'out_error_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-good-bytes', REFERENCE_CLASS, 'OutGoodBytes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutGoodBytes', 
                [], [], 
                '''                OUT GOOD BYTES
                ''',
                'out_good_bytes',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-good-pkts', REFERENCE_CLASS, 'OutGoodPkts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutGoodPkts', 
                [], [], 
                '''                OUT GOOD PKTS
                ''',
                'out_good_pkts',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-mcast-pkt', REFERENCE_CLASS, 'OutMcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutMcastPkt', 
                [], [], 
                '''                OUT MCAST
                ''',
                'out_mcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-octets', REFERENCE_CLASS, 'OutOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutOctets', 
                [], [], 
                '''                OUT OCTET
                ''',
                'out_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pause-frames', REFERENCE_CLASS, 'OutPauseFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPauseFrames', 
                [], [], 
                '''                OUT PAUSE FRAMES
                ''',
                'out_pause_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts10241518-octets', REFERENCE_CLASS, 'OutPkts10241518Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts10241518Octets', 
                [], [], 
                '''                OUT PKTS 1024 1518 OCTETS
                ''',
                'out_pkts10241518_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts128255-octets', REFERENCE_CLASS, 'OutPkts128255Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts128255Octets', 
                [], [], 
                '''                OUT PKTS 128 255 OCTETS
                ''',
                'out_pkts128255_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts1519-max-octets', REFERENCE_CLASS, 'OutPkts1519MaxOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts1519MaxOctets', 
                [], [], 
                '''                OUT PKTS 1519 MAX OCTETS
                ''',
                'out_pkts1519_max_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts256511-octets', REFERENCE_CLASS, 'OutPkts256511Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts256511Octets', 
                [], [], 
                '''                OUT PKTS 256 511 OCTETS
                ''',
                'out_pkts256511_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts5121023-octets', REFERENCE_CLASS, 'OutPkts5121023Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts5121023Octets', 
                [], [], 
                '''                OUT PKTS 512 1023 OCTETS
                ''',
                'out_pkts5121023_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts65127-octets', REFERENCE_CLASS, 'OutPkts65127Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts65127Octets', 
                [], [], 
                '''                OUT PKTS 65 127OCTETS
                ''',
                'out_pkts65127_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-ucast-pkt', REFERENCE_CLASS, 'OutUcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutUcastPkt', 
                [], [], 
                '''                OUT UCAST
                ''',
                'out_ucast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('outpkt64octet', REFERENCE_CLASS, 'Outpkt64Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Outpkt64Octet', 
                [], [], 
                '''                OUT PKT 64 OCTET
                ''',
                'outpkt64octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('oversize-pkt-stat', REFERENCE_CLASS, 'OversizePktStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OversizePktStat', 
                [], [], 
                '''                OVERSIZE PKT
                ''',
                'oversize_pkt_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-pkt', REFERENCE_CLASS, 'RxPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.RxPkt', 
                [], [], 
                '''                RX PKT
                ''',
                'rx_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-util', REFERENCE_CLASS, 'RxUtil' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.RxUtil', 
                [], [], 
                '''                Rx Utilization in Percent
                ''',
                'rx_util',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('stat-pkt', REFERENCE_CLASS, 'StatPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.StatPkt', 
                [], [], 
                '''                STAT PKT
                ''',
                'stat_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-bad-fcs', REFERENCE_CLASS, 'TxBadFcs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxBadFcs', 
                [], [], 
                '''                TX Bad Fcs
                ''',
                'tx_bad_fcs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-fragments', REFERENCE_CLASS, 'TxFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxFragments', 
                [], [], 
                '''                TX Fragments
                ''',
                'tx_fragments',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-jabber', REFERENCE_CLASS, 'TxJabber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxJabber', 
                [], [], 
                '''                TX Jabber
                ''',
                'tx_jabber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-oversized-pkt', REFERENCE_CLASS, 'TxOversizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxOversizedPkt', 
                [], [], 
                '''                TX Oversized Pkt
                ''',
                'tx_oversized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-pkt', REFERENCE_CLASS, 'TxPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxPkt', 
                [], [], 
                '''                TX PKT
                ''',
                'tx_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-undersized-pkt', REFERENCE_CLASS, 'TxUndersizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxUndersizedPkt', 
                [], [], 
                '''                TX Undersized Pkt
                ''',
                'tx_undersized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-util', REFERENCE_CLASS, 'TxUtil' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxUtil', 
                [], [], 
                '''                Tx Utilization in Percent
                ''',
                'tx_util',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'minute15-ether',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers',
            False, 
            [
            _MetaInfoClassMember('minute15-ether', REFERENCE_LIST, 'Minute15Ether' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether', 
                [], [], 
                '''                ETHERNET port 15-minute ether performance
                data
                ''',
                'minute15_ether',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'minute15-ethers',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15',
            False, 
            [
            _MetaInfoClassMember('minute15-ethers', REFERENCE_CLASS, 'Minute15Ethers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers', 
                [], [], 
                '''                ETHERNET port interval performance data
                ''',
                'minute15_ethers',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'minute15',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent',
            False, 
            [
            _MetaInfoClassMember('ethernet-hour24', REFERENCE_CLASS, 'EthernetHour24' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24', 
                [], [], 
                '''                port current performance data
                ''',
                'ethernet_hour24',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ethernet-second30', REFERENCE_CLASS, 'EthernetSecond30' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30', 
                [], [], 
                '''                port current performance data
                ''',
                'ethernet_second30',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minute15', REFERENCE_CLASS, 'Minute15' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15', 
                [], [], 
                '''                port current performance data
                ''',
                'minute15',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-current',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts.EthernetPort',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ethernet-current', REFERENCE_CLASS, 'EthernetCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent', 
                [], [], 
                '''                port current performance data
                ''',
                'ethernet_current',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-port',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet.EthernetPorts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet.EthernetPorts',
            False, 
            [
            _MetaInfoClassMember('ethernet-port', REFERENCE_LIST, 'EthernetPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts.EthernetPort', 
                [], [], 
                '''                Port performance data
                ''',
                'ethernet_port',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-ports',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement.Ethernet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement.Ethernet',
            False, 
            [
            _MetaInfoClassMember('ethernet-ports', REFERENCE_CLASS, 'EthernetPorts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet.EthernetPorts', 
                [], [], 
                '''                Port performance data
                ''',
                'ethernet_ports',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagement' : {
        'meta_info' : _MetaInfoClass('PerformanceManagement',
            False, 
            [
            _MetaInfoClassMember('dwdm', REFERENCE_CLASS, 'Dwdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Dwdm', 
                [], [], 
                '''                DWDM controller performance data
                ''',
                'dwdm',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Ethernet', 
                [], [], 
                '''                EHERNET controller performance data
                ''',
                'ethernet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ho-vc', REFERENCE_CLASS, 'HoVc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.HoVc', 
                [], [], 
                '''                HO_VC controller performance data
                ''',
                'ho_vc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('oc', REFERENCE_CLASS, 'Oc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Oc', 
                [], [], 
                '''                OC controller performance data
                ''',
                'oc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('odu', REFERENCE_CLASS, 'Odu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Odu', 
                [], [], 
                '''                ODU controller performance data
                ''',
                'odu',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('optics', REFERENCE_CLASS, 'Optics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Optics', 
                [], [], 
                '''                OPTICS controller performance data
                ''',
                'optics',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('otu', REFERENCE_CLASS, 'Otu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Otu', 
                [], [], 
                '''                OTU controller performance data
                ''',
                'otu',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sonet', REFERENCE_CLASS, 'Sonet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sonet', 
                [], [], 
                '''                SONET controller performance data
                ''',
                'sonet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('stm', REFERENCE_CLASS, 'Stm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Stm', 
                [], [], 
                '''                STM controller performance data
                ''',
                'stm',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sts', REFERENCE_CLASS, 'Sts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagement.Sts', 
                [], [], 
                '''                STS controller performance data
                ''',
                'sts',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'performance-management',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionSefSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionSefSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-sef-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section',
            False, 
            [
            _MetaInfoClassMember('section-c-vs', REFERENCE_CLASS, 'SectionCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'section_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-ss', REFERENCE_CLASS, 'SectionESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'section_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-se-ss', REFERENCE_CLASS, 'SectionSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'section_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-sef-ss', REFERENCE_CLASS, 'SectionSefSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionSefSs', 
                [], [], 
                '''                The number of Severely Errored Framing Seconds
                ''',
                'section_sef_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'section_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line',
            False, 
            [
            _MetaInfoClassMember('line-c-vs', REFERENCE_CLASS, 'LineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-ss', REFERENCE_CLASS, 'LineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-fc-ls', REFERENCE_CLASS, 'LineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-se-ss', REFERENCE_CLASS, 'LineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'line_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ua-ss', REFERENCE_CLASS, 'LineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine',
            False, 
            [
            _MetaInfoClassMember('far-end-line-c-vs', REFERENCE_CLASS, 'FarEndLineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-ss', REFERENCE_CLASS, 'FarEndLineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-fc-ls', REFERENCE_CLASS, 'FarEndLineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'far_end_line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-se-ss', REFERENCE_CLASS, 'FarEndLineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ua-ss', REFERENCE_CLASS, 'FarEndLineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-line', REFERENCE_CLASS, 'FeLine' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine', 
                [], [], 
                '''                FarEnd LINE
                ''',
                'fe_line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line', 
                [], [], 
                '''                LINE
                ''',
                'line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section', 
                [], [], 
                '''                SECTION
                ''',
                'section',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15ocn-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('sonet-minute15ocn-time-line-instance', REFERENCE_LIST, 'SonetMinute15OcnTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'sonet_minute15ocn_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15ocn-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('sonet-minute15ocn-time-line-instances', REFERENCE_CLASS, 'SonetMinute15OcnTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_minute15ocn_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15ocn-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories',
            False, 
            [
            _MetaInfoClassMember('sonet-minute15ocn-history', REFERENCE_LIST, 'SonetMinute15OcnHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory', 
                [], [], 
                '''                port 15-minute ocn performance data
                ''',
                'sonet_minute15ocn_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15ocn-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path',
            False, 
            [
            _MetaInfoClassMember('path-c-vs', REFERENCE_CLASS, 'PathCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-ss', REFERENCE_CLASS, 'PathESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-se-ss', REFERENCE_CLASS, 'PathSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'path_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ua-ss', REFERENCE_CLASS, 'PathUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-width', REFERENCE_ENUM_CLASS, 'PmSonetPathWidthEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmSonetPathWidthEnumEnum', 
                [], [], 
                '''                Indicates the type of the SONET/SDH Path
                ''',
                'path_width',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.FePath' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.FePath',
            False, 
            [
            _MetaInfoClassMember('far-end-path-c-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-e-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-se-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-ua-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-path', REFERENCE_CLASS, 'FePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.FePath', 
                [], [], 
                '''                Far End PATH
                ''',
                'fe_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path', 
                [], [], 
                '''                PATH
                ''',
                'path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15-path-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('sonet-minute15-path-time-line-instance', REFERENCE_LIST, 'SonetMinute15PathTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'sonet_minute15_path_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15-path-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('sonet-minute15-path-time-line-instances', REFERENCE_CLASS, 'SonetMinute15PathTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_minute15_path_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15-path-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories',
            False, 
            [
            _MetaInfoClassMember('sonet-minute15-path-history', REFERENCE_LIST, 'SonetMinute15PathHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory', 
                [], [], 
                '''                port 15-minute Path performance data
                ''',
                'sonet_minute15_path_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15-path-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History',
            False, 
            [
            _MetaInfoClassMember('sonet-minute15-path-histories', REFERENCE_CLASS, 'SonetMinute15PathHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_minute15_path_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sonet-minute15ocn-histories', REFERENCE_CLASS, 'SonetMinute15OcnHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_minute15ocn_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-minute15-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path',
            False, 
            [
            _MetaInfoClassMember('path-c-vs', REFERENCE_CLASS, 'PathCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-ss', REFERENCE_CLASS, 'PathESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-se-ss', REFERENCE_CLASS, 'PathSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'path_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ua-ss', REFERENCE_CLASS, 'PathUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-width', REFERENCE_ENUM_CLASS, 'PmSonetPathWidthEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmSonetPathWidthEnumEnum', 
                [], [], 
                '''                Indicates the type of the SONET/SDH Path
                ''',
                'path_width',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.FePath' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.FePath',
            False, 
            [
            _MetaInfoClassMember('far-end-path-c-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-e-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-se-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-ua-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-path', REFERENCE_CLASS, 'FePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.FePath', 
                [], [], 
                '''                Far End PATH
                ''',
                'fe_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path', 
                [], [], 
                '''                PATH
                ''',
                'path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24-path-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('sonet-hour24-path-time-line-instance', REFERENCE_LIST, 'SonetHour24PathTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'sonet_hour24_path_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24-path-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('sonet-hour24-path-time-line-instances', REFERENCE_CLASS, 'SonetHour24PathTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_hour24_path_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24-path-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories',
            False, 
            [
            _MetaInfoClassMember('sonet-hour24-path-history', REFERENCE_LIST, 'SonetHour24PathHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory', 
                [], [], 
                '''                port 24 hour Path performance data
                ''',
                'sonet_hour24_path_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24-path-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionSefSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionSefSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-sef-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section',
            False, 
            [
            _MetaInfoClassMember('section-c-vs', REFERENCE_CLASS, 'SectionCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'section_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-ss', REFERENCE_CLASS, 'SectionESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'section_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-se-ss', REFERENCE_CLASS, 'SectionSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'section_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-sef-ss', REFERENCE_CLASS, 'SectionSefSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionSefSs', 
                [], [], 
                '''                The number of Severely Errored Framing Seconds
                ''',
                'section_sef_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'section_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line',
            False, 
            [
            _MetaInfoClassMember('line-c-vs', REFERENCE_CLASS, 'LineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-ss', REFERENCE_CLASS, 'LineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-fc-ls', REFERENCE_CLASS, 'LineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-se-ss', REFERENCE_CLASS, 'LineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'line_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ua-ss', REFERENCE_CLASS, 'LineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine',
            False, 
            [
            _MetaInfoClassMember('far-end-line-c-vs', REFERENCE_CLASS, 'FarEndLineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-ss', REFERENCE_CLASS, 'FarEndLineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-fc-ls', REFERENCE_CLASS, 'FarEndLineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'far_end_line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-se-ss', REFERENCE_CLASS, 'FarEndLineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ua-ss', REFERENCE_CLASS, 'FarEndLineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-line', REFERENCE_CLASS, 'FeLine' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine', 
                [], [], 
                '''                FarEnd LINE
                ''',
                'fe_line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line', 
                [], [], 
                '''                LINE
                ''',
                'line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section', 
                [], [], 
                '''                SECTION
                ''',
                'section',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24ocn-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('sonet-hour24ocn-time-line-instance', REFERENCE_LIST, 'SonetHour24OcnTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'sonet_hour24ocn_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24ocn-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('sonet-hour24ocn-time-line-instances', REFERENCE_CLASS, 'SonetHour24OcnTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_hour24ocn_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24ocn-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories',
            False, 
            [
            _MetaInfoClassMember('sonet-hour24ocn-history', REFERENCE_LIST, 'SonetHour24OcnHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory', 
                [], [], 
                '''                port 24 hour ocn performance data
                ''',
                'sonet_hour24ocn_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24ocn-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History',
            False, 
            [
            _MetaInfoClassMember('sonet-hour24-path-histories', REFERENCE_CLASS, 'SonetHour24PathHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_hour24_path_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sonet-hour24ocn-histories', REFERENCE_CLASS, 'SonetHour24OcnHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_hour24ocn_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-hour24-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('sonet-hour24-history', REFERENCE_CLASS, 'SonetHour24History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_hour24_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sonet-minute15-history', REFERENCE_CLASS, 'SonetMinute15History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History', 
                [], [], 
                '''                port current performance data
                ''',
                'sonet_minute15_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-port-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories',
            False, 
            [
            _MetaInfoClassMember('sonet-port-history', REFERENCE_LIST, 'SonetPortHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory', 
                [], [], 
                '''                Port performance data
                ''',
                'sonet_port_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-port-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.SonetHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.SonetHistory',
            False, 
            [
            _MetaInfoClassMember('sonet-port-histories', REFERENCE_CLASS, 'SonetPortHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories', 
                [], [], 
                '''                Port performance data
                ''',
                'sonet_port_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sonet-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path',
            False, 
            [
            _MetaInfoClassMember('path-c-vs', REFERENCE_CLASS, 'PathCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-ss', REFERENCE_CLASS, 'PathESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-se-ss', REFERENCE_CLASS, 'PathSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'path_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ua-ss', REFERENCE_CLASS, 'PathUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-width', REFERENCE_ENUM_CLASS, 'PmSonetPathWidthEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmSonetPathWidthEnumEnum', 
                [], [], 
                '''                Indicates the type of the SONET/SDH Path
                ''',
                'path_width',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.FePath' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.FePath',
            False, 
            [
            _MetaInfoClassMember('far-end-path-c-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-e-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-se-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-ua-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-path', REFERENCE_CLASS, 'FePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.FePath', 
                [], [], 
                '''                Far End PATH
                ''',
                'fe_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path', 
                [], [], 
                '''                PATH
                ''',
                'path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-minute15-path-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('sts-minute15-path-time-line-instance', REFERENCE_LIST, 'StsMinute15PathTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'sts_minute15_path_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-minute15-path-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('sts-minute15-path-time-line-instances', REFERENCE_CLASS, 'StsMinute15PathTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'sts_minute15_path_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-minute15-path-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories',
            False, 
            [
            _MetaInfoClassMember('sts-minute15-path-history', REFERENCE_LIST, 'StsMinute15PathHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory', 
                [], [], 
                '''                port 15-minute Path performance data
                ''',
                'sts_minute15_path_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-minute15-path-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History',
            False, 
            [
            _MetaInfoClassMember('sts-minute15-path-histories', REFERENCE_CLASS, 'StsMinute15PathHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'sts_minute15_path_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-minute15-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path',
            False, 
            [
            _MetaInfoClassMember('path-c-vs', REFERENCE_CLASS, 'PathCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-ss', REFERENCE_CLASS, 'PathESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-se-ss', REFERENCE_CLASS, 'PathSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'path_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ua-ss', REFERENCE_CLASS, 'PathUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-width', REFERENCE_ENUM_CLASS, 'PmSonetPathWidthEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmSonetPathWidthEnumEnum', 
                [], [], 
                '''                Indicates the type of the SONET/SDH Path
                ''',
                'path_width',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.FePath' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.FePath',
            False, 
            [
            _MetaInfoClassMember('far-end-path-c-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-e-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-se-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-ua-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-path', REFERENCE_CLASS, 'FePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.FePath', 
                [], [], 
                '''                Far End PATH
                ''',
                'fe_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path', 
                [], [], 
                '''                PATH
                ''',
                'path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-hour24-path-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('sts-hour24-path-time-line-instance', REFERENCE_LIST, 'StsHour24PathTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance', 
                [], [], 
                '''                port 15-minute sts performance data
                ''',
                'sts_hour24_path_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-hour24-path-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('sts-hour24-path-time-line-instances', REFERENCE_CLASS, 'StsHour24PathTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'sts_hour24_path_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-hour24-path-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories',
            False, 
            [
            _MetaInfoClassMember('sts-hour24-path-history', REFERENCE_LIST, 'StsHour24PathHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory', 
                [], [], 
                '''                port 24 hour Path performance data
                ''',
                'sts_hour24_path_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-hour24-path-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History',
            False, 
            [
            _MetaInfoClassMember('sts-hour24-path-histories', REFERENCE_CLASS, 'StsHour24PathHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'sts_hour24_path_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-hour24-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('sts-hour24-history', REFERENCE_CLASS, 'StsHour24History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History', 
                [], [], 
                '''                port current performance data
                ''',
                'sts_hour24_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sts-minute15-history', REFERENCE_CLASS, 'StsMinute15History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History', 
                [], [], 
                '''                port current performance data
                ''',
                'sts_minute15_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-port-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories',
            False, 
            [
            _MetaInfoClassMember('sts-port-history', REFERENCE_LIST, 'StsPortHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory', 
                [], [], 
                '''                Port performance data
                ''',
                'sts_port_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-port-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StsHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StsHistory',
            False, 
            [
            _MetaInfoClassMember('sts-port-histories', REFERENCE_CLASS, 'StsPortHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories', 
                [], [], 
                '''                Port performance data
                ''',
                'sts_port_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sts-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.RxPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.RxPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.StatPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.StatPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stat-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OctetStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OctetStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'octet-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OversizePktStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OversizePktStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oversize-pkt-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.FcsErrorsStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.FcsErrorsStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fcs-errors-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.LongFramesStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.LongFramesStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'long-frames-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.JabberStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.JabberStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'jabber-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether64Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether64Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether64-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether65127Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether65127Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether65127-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether128255Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether128255Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether128255-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether256511Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether256511Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether256511-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether5121023Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether5121023Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether5121023-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether10241518Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether10241518Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether10241518-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InUcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InUcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-ucast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InBcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InBcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-bcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutUcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutUcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-ucast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutBcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutBcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-bcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutMcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutMcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-mcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.IfInErrors' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.IfInErrors',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'if-in-errors',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.IfInOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.IfInOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'if-in-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.EtherStatMulticastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.EtherStatMulticastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-multicast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.EtherStatBroadcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.EtherStatBroadcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-broadcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.EtherStatUndersizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.EtherStatUndersizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-undersized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPauseFrame' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPauseFrame',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pause-frame',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InGoodBytes' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InGoodBytes',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-good-bytes',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.In8021QFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.In8021QFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in8021q-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts1519MaxOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts1519MaxOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts1519-max-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InGoodPkts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InGoodPkts',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-good-pkts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropOverrun' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropOverrun',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-overrun',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropAbort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropAbort',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-abort',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropInvalidVlan' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropInvalidVlan',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropInvalidDmac' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropInvalidDmac',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-dmac',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropInvalidEncap' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropInvalidEncap',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-encap',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMibGiant' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMibGiant',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mib-giant',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMibJabber' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMibJabber',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mib-jabber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMibcrc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMibcrc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mibcrc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorCollisions' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorCollisions',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-collisions',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorSymbol' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorSymbol',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-symbol',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutGoodBytes' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutGoodBytes',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-good-bytes',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Out8021QFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Out8021QFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out8021q-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPauseFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPauseFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pause-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts1519MaxOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts1519MaxOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts1519-max-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutGoodPkts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutGoodPkts',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-good-pkts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutDropUnderrun' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutDropUnderrun',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-underrun',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutDropAbort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutDropAbort',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-abort',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutDropOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutDropOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutErrorOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutErrorOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-error-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorGiant' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorGiant',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-giant',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorRunt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorRunt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-runt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorJabbers' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorJabbers',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-jabbers',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorFragments' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorFragments',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkt64Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkt64Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkt64-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts65To127Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts65To127Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts65-to127-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts128To255Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts128To255Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts128-to255-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts256To511Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts256To511Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts256-to511-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts512To1023Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts512To1023Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts512-to1023-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts1024To1518Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts1024To1518Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts1024-to1518-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Outpkt64Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Outpkt64Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'outpkt64octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts65127Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts65127Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts65127-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts128255Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts128255Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts128255-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts256511Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts256511Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts256511-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts5121023Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts5121023Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts5121023-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts10241518Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts10241518Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts10241518-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.RxUtil' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.RxUtil',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-util',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxUtil' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxUtil',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-util',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxUndersizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxUndersizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-undersized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxOversizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxOversizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-oversized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxFragments' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxFragments',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxJabber' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxJabber',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-jabber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxBadFcs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxBadFcs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-bad-fcs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ether10241518-octet', REFERENCE_CLASS, 'Ether10241518Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether10241518Octet', 
                [], [], 
                '''                OFO OCTET
                ''',
                'ether10241518_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether128255-octet', REFERENCE_CLASS, 'Ether128255Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether128255Octet', 
                [], [], 
                '''                TFF OCTET
                ''',
                'ether128255_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether256511-octet', REFERENCE_CLASS, 'Ether256511Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether256511Octet', 
                [], [], 
                '''                FOO OCTET
                ''',
                'ether256511_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether5121023-octet', REFERENCE_CLASS, 'Ether5121023Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether5121023Octet', 
                [], [], 
                '''                OZTT OCTET
                ''',
                'ether5121023_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether64-octets', REFERENCE_CLASS, 'Ether64Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether64Octets', 
                [], [], 
                '''                SIXTY FOUR OCTET
                ''',
                'ether64_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether65127-octet', REFERENCE_CLASS, 'Ether65127Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether65127Octet', 
                [], [], 
                '''                OCTET
                ''',
                'ether65127_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-broadcast-pkt', REFERENCE_CLASS, 'EtherStatBroadcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.EtherStatBroadcastPkt', 
                [], [], 
                '''                ETHER STAT BROADCAST PKT
                ''',
                'ether_stat_broadcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-multicast-pkt', REFERENCE_CLASS, 'EtherStatMulticastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.EtherStatMulticastPkt', 
                [], [], 
                '''                ETHER STAT MULTICAST PKT
                ''',
                'ether_stat_multicast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-undersized-pkt', REFERENCE_CLASS, 'EtherStatUndersizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.EtherStatUndersizedPkt', 
                [], [], 
                '''                ETHER STAT UNDERSIZED PKT
                ''',
                'ether_stat_undersized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fcs-errors-stat', REFERENCE_CLASS, 'FcsErrorsStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.FcsErrorsStat', 
                [], [], 
                '''                FCS ERR
                ''',
                'fcs_errors_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('if-in-errors', REFERENCE_CLASS, 'IfInErrors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.IfInErrors', 
                [], [], 
                '''                IFIN ERRORS
                ''',
                'if_in_errors',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('if-in-octets', REFERENCE_CLASS, 'IfInOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.IfInOctets', 
                [], [], 
                '''                IFIN OCTETS
                ''',
                'if_in_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in8021q-frames', REFERENCE_CLASS, 'In8021QFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.In8021QFrames', 
                [], [], 
                '''                INPUT 802 1Q FRAMES
                ''',
                'in8021q_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-bcast-pkt', REFERENCE_CLASS, 'InBcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InBcastPkt', 
                [], [], 
                '''                IN BCAST
                ''',
                'in_bcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-abort', REFERENCE_CLASS, 'InDropAbort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropAbort', 
                [], [], 
                '''                INPUT DROP ABORT
                ''',
                'in_drop_abort',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-dmac', REFERENCE_CLASS, 'InDropInvalidDmac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropInvalidDmac', 
                [], [], 
                '''                INPUT DROP INVALID DMAC
                ''',
                'in_drop_invalid_dmac',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-encap', REFERENCE_CLASS, 'InDropInvalidEncap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropInvalidEncap', 
                [], [], 
                '''                INPUT DROP INVALID ENCAP
                ''',
                'in_drop_invalid_encap',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-vlan', REFERENCE_CLASS, 'InDropInvalidVlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropInvalidVlan', 
                [], [], 
                '''                INPUT DROP INVALID VLAN
                ''',
                'in_drop_invalid_vlan',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-other', REFERENCE_CLASS, 'InDropOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropOther', 
                [], [], 
                '''                INPUT DROP OTHER
                ''',
                'in_drop_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-overrun', REFERENCE_CLASS, 'InDropOverrun' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropOverrun', 
                [], [], 
                '''                INPUT DROP OVERRUN
                ''',
                'in_drop_overrun',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-collisions', REFERENCE_CLASS, 'InErrorCollisions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorCollisions', 
                [], [], 
                '''                IN ERROR COLLISIONS
                ''',
                'in_error_collisions',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-fragments', REFERENCE_CLASS, 'InErrorFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorFragments', 
                [], [], 
                '''                IN ERROR FRAGMENTS
                ''',
                'in_error_fragments',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-giant', REFERENCE_CLASS, 'InErrorGiant' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorGiant', 
                [], [], 
                '''                IN ERROR GIANT
                ''',
                'in_error_giant',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-jabbers', REFERENCE_CLASS, 'InErrorJabbers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorJabbers', 
                [], [], 
                '''                IN ERROR JABBERS
                ''',
                'in_error_jabbers',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-other', REFERENCE_CLASS, 'InErrorOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorOther', 
                [], [], 
                '''                IN ERROR OTHER
                ''',
                'in_error_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-runt', REFERENCE_CLASS, 'InErrorRunt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorRunt', 
                [], [], 
                '''                IN ERROR RUNT
                ''',
                'in_error_runt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-symbol', REFERENCE_CLASS, 'InErrorSymbol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorSymbol', 
                [], [], 
                '''                IN ERROR SYMBOL
                ''',
                'in_error_symbol',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-good-bytes', REFERENCE_CLASS, 'InGoodBytes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InGoodBytes', 
                [], [], 
                '''                INPUT GOOD BYTES
                ''',
                'in_good_bytes',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-good-pkts', REFERENCE_CLASS, 'InGoodPkts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InGoodPkts', 
                [], [], 
                '''                INPUT GOOD PKTS
                ''',
                'in_good_pkts',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mcast-pkt', REFERENCE_CLASS, 'InMcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMcastPkt', 
                [], [], 
                '''                IN MCAST
                ''',
                'in_mcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mib-giant', REFERENCE_CLASS, 'InMibGiant' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMibGiant', 
                [], [], 
                '''                INPUT MIB GIANT
                ''',
                'in_mib_giant',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mib-jabber', REFERENCE_CLASS, 'InMibJabber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMibJabber', 
                [], [], 
                '''                INPUT MIB JABBER
                ''',
                'in_mib_jabber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mibcrc', REFERENCE_CLASS, 'InMibcrc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMibcrc', 
                [], [], 
                '''                IN MIB CRC
                ''',
                'in_mibcrc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pause-frame', REFERENCE_CLASS, 'InPauseFrame' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPauseFrame', 
                [], [], 
                '''                INPUT PAUSE FRAME
                ''',
                'in_pause_frame',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkt64-octet', REFERENCE_CLASS, 'InPkt64Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkt64Octet', 
                [], [], 
                '''                IN PKT 64 OCTET
                ''',
                'in_pkt64_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts1024-to1518-octets', REFERENCE_CLASS, 'InPkts1024To1518Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts1024To1518Octets', 
                [], [], 
                '''                IN PKTS 1024 1518 OCTETS
                ''',
                'in_pkts1024_to1518_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts128-to255-octets', REFERENCE_CLASS, 'InPkts128To255Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts128To255Octets', 
                [], [], 
                '''                IN PKTS 128 255 OCTETS
                ''',
                'in_pkts128_to255_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts1519-max-octets', REFERENCE_CLASS, 'InPkts1519MaxOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts1519MaxOctets', 
                [], [], 
                '''                INPUT PKTS 1519MAX OCTETS
                ''',
                'in_pkts1519_max_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts256-to511-octets', REFERENCE_CLASS, 'InPkts256To511Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts256To511Octets', 
                [], [], 
                '''                IN PKTS 256 511 OCTETS
                ''',
                'in_pkts256_to511_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts512-to1023-octets', REFERENCE_CLASS, 'InPkts512To1023Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts512To1023Octets', 
                [], [], 
                '''                IN PKTS 512 1023 OCTETS
                ''',
                'in_pkts512_to1023_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts65-to127-octets', REFERENCE_CLASS, 'InPkts65To127Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts65To127Octets', 
                [], [], 
                '''                IN PKTS 65 127OCTETS
                ''',
                'in_pkts65_to127_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-ucast-pkt', REFERENCE_CLASS, 'InUcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InUcastPkt', 
                [], [], 
                '''                IN UCAST
                ''',
                'in_ucast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('jabber-stat', REFERENCE_CLASS, 'JabberStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.JabberStat', 
                [], [], 
                '''                JABBER STATS
                ''',
                'jabber_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('long-frames-stat', REFERENCE_CLASS, 'LongFramesStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.LongFramesStat', 
                [], [], 
                '''                LONG FRAMES
                ''',
                'long_frames_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('octet-stat', REFERENCE_CLASS, 'OctetStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OctetStat', 
                [], [], 
                '''                OCTET STAT
                ''',
                'octet_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out8021q-frames', REFERENCE_CLASS, 'Out8021QFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Out8021QFrames', 
                [], [], 
                '''                OUT 802 1Q FRAMES
                ''',
                'out8021q_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-bcast-pkt', REFERENCE_CLASS, 'OutBcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutBcastPkt', 
                [], [], 
                '''                OUT BCAST
                ''',
                'out_bcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-abort', REFERENCE_CLASS, 'OutDropAbort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutDropAbort', 
                [], [], 
                '''                OUT DROP ABORT
                ''',
                'out_drop_abort',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-other', REFERENCE_CLASS, 'OutDropOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutDropOther', 
                [], [], 
                '''                OUT DROP OTHER
                ''',
                'out_drop_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-underrun', REFERENCE_CLASS, 'OutDropUnderrun' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutDropUnderrun', 
                [], [], 
                '''                OUT DROP UNDERRUN
                ''',
                'out_drop_underrun',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-error-other', REFERENCE_CLASS, 'OutErrorOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutErrorOther', 
                [], [], 
                '''                OUT ERROR OTHER
                ''',
                'out_error_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-good-bytes', REFERENCE_CLASS, 'OutGoodBytes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutGoodBytes', 
                [], [], 
                '''                OUT GOOD BYTES
                ''',
                'out_good_bytes',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-good-pkts', REFERENCE_CLASS, 'OutGoodPkts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutGoodPkts', 
                [], [], 
                '''                OUT GOOD PKTS
                ''',
                'out_good_pkts',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-mcast-pkt', REFERENCE_CLASS, 'OutMcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutMcastPkt', 
                [], [], 
                '''                OUT MCAST
                ''',
                'out_mcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-octets', REFERENCE_CLASS, 'OutOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutOctets', 
                [], [], 
                '''                OUT OCTET
                ''',
                'out_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pause-frames', REFERENCE_CLASS, 'OutPauseFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPauseFrames', 
                [], [], 
                '''                OUT PAUSE FRAMES
                ''',
                'out_pause_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts10241518-octets', REFERENCE_CLASS, 'OutPkts10241518Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts10241518Octets', 
                [], [], 
                '''                OUT PKTS 1024 1518 OCTETS
                ''',
                'out_pkts10241518_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts128255-octets', REFERENCE_CLASS, 'OutPkts128255Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts128255Octets', 
                [], [], 
                '''                OUT PKTS 128 255 OCTETS
                ''',
                'out_pkts128255_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts1519-max-octets', REFERENCE_CLASS, 'OutPkts1519MaxOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts1519MaxOctets', 
                [], [], 
                '''                OUT PKTS 1519 MAX OCTETS
                ''',
                'out_pkts1519_max_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts256511-octets', REFERENCE_CLASS, 'OutPkts256511Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts256511Octets', 
                [], [], 
                '''                OUT PKTS 256 511 OCTETS
                ''',
                'out_pkts256511_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts5121023-octets', REFERENCE_CLASS, 'OutPkts5121023Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts5121023Octets', 
                [], [], 
                '''                OUT PKTS 512 1023 OCTETS
                ''',
                'out_pkts5121023_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts65127-octets', REFERENCE_CLASS, 'OutPkts65127Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts65127Octets', 
                [], [], 
                '''                OUT PKTS 65 127OCTETS
                ''',
                'out_pkts65127_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-ucast-pkt', REFERENCE_CLASS, 'OutUcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutUcastPkt', 
                [], [], 
                '''                OUT UCAST
                ''',
                'out_ucast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('outpkt64octet', REFERENCE_CLASS, 'Outpkt64Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Outpkt64Octet', 
                [], [], 
                '''                OUT PKT 64 OCTET
                ''',
                'outpkt64octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('oversize-pkt-stat', REFERENCE_CLASS, 'OversizePktStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OversizePktStat', 
                [], [], 
                '''                OVERSIZE PKT
                ''',
                'oversize_pkt_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-pkt', REFERENCE_CLASS, 'RxPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.RxPkt', 
                [], [], 
                '''                RX PKT
                ''',
                'rx_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-util', REFERENCE_CLASS, 'RxUtil' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.RxUtil', 
                [], [], 
                '''                Rx Utilization in Percent
                ''',
                'rx_util',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('stat-pkt', REFERENCE_CLASS, 'StatPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.StatPkt', 
                [], [], 
                '''                STAT PKT
                ''',
                'stat_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-bad-fcs', REFERENCE_CLASS, 'TxBadFcs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxBadFcs', 
                [], [], 
                '''                TX Bad Fcs
                ''',
                'tx_bad_fcs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-fragments', REFERENCE_CLASS, 'TxFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxFragments', 
                [], [], 
                '''                TX Fragments
                ''',
                'tx_fragments',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-jabber', REFERENCE_CLASS, 'TxJabber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxJabber', 
                [], [], 
                '''                TX Jabber
                ''',
                'tx_jabber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-oversized-pkt', REFERENCE_CLASS, 'TxOversizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxOversizedPkt', 
                [], [], 
                '''                TX Oversized Pkt
                ''',
                'tx_oversized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-pkt', REFERENCE_CLASS, 'TxPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxPkt', 
                [], [], 
                '''                TX PKT
                ''',
                'tx_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-undersized-pkt', REFERENCE_CLASS, 'TxUndersizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxUndersizedPkt', 
                [], [], 
                '''                TX Undersized Pkt
                ''',
                'tx_undersized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-util', REFERENCE_CLASS, 'TxUtil' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxUtil', 
                [], [], 
                '''                Tx Utilization in Percent
                ''',
                'tx_util',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'second30-ether-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('second30-ether-time-line-instance', REFERENCE_LIST, 'Second30EtherTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance', 
                [], [], 
                '''                port 30 sec otn performance data
                ''',
                'second30_ether_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'second30-ether-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory',
            False, 
            [
            _MetaInfoClassMember('slot-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                interval slot number
                ''',
                'slot_number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('second30-ether-time-line-instances', REFERENCE_CLASS, 'Second30EtherTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'second30_ether_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'second30-ether-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories',
            False, 
            [
            _MetaInfoClassMember('second30-ether-history', REFERENCE_LIST, 'Second30EtherHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory', 
                [], [], 
                '''                ETHERNET port 30 sec ether performance
                data
                ''',
                'second30_ether_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'second30-ether-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History',
            False, 
            [
            _MetaInfoClassMember('second30-ether-histories', REFERENCE_CLASS, 'Second30EtherHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories', 
                [], [], 
                '''                ETHERNET port interval performance data
                ''',
                'second30_ether_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-second30-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.RxPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.RxPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.StatPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.StatPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stat-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OctetStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OctetStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'octet-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OversizePktStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OversizePktStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oversize-pkt-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.FcsErrorsStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.FcsErrorsStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fcs-errors-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.LongFramesStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.LongFramesStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'long-frames-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.JabberStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.JabberStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'jabber-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether64Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether64Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether64-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether65127Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether65127Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether65127-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether128255Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether128255Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether128255-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether256511Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether256511Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether256511-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether5121023Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether5121023Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether5121023-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether10241518Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether10241518Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether10241518-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InUcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InUcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-ucast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InBcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InBcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-bcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutUcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutUcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-ucast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutBcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutBcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-bcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutMcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutMcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-mcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.IfInErrors' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.IfInErrors',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'if-in-errors',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.IfInOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.IfInOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'if-in-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.EtherStatMulticastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.EtherStatMulticastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-multicast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.EtherStatBroadcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.EtherStatBroadcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-broadcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.EtherStatUndersizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.EtherStatUndersizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-undersized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPauseFrame' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPauseFrame',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pause-frame',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InGoodBytes' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InGoodBytes',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-good-bytes',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.In8021QFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.In8021QFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in8021q-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts1519MaxOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts1519MaxOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts1519-max-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InGoodPkts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InGoodPkts',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-good-pkts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropOverrun' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropOverrun',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-overrun',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropAbort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropAbort',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-abort',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropInvalidVlan' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropInvalidVlan',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropInvalidDmac' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropInvalidDmac',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-dmac',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropInvalidEncap' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropInvalidEncap',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-encap',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMibGiant' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMibGiant',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mib-giant',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMibJabber' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMibJabber',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mib-jabber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMibcrc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMibcrc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mibcrc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorCollisions' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorCollisions',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-collisions',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorSymbol' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorSymbol',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-symbol',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutGoodBytes' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutGoodBytes',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-good-bytes',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Out8021QFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Out8021QFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out8021q-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPauseFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPauseFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pause-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts1519MaxOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts1519MaxOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts1519-max-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutGoodPkts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutGoodPkts',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-good-pkts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutDropUnderrun' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutDropUnderrun',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-underrun',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutDropAbort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutDropAbort',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-abort',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutDropOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutDropOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutErrorOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutErrorOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-error-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorGiant' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorGiant',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-giant',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorRunt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorRunt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-runt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorJabbers' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorJabbers',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-jabbers',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorFragments' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorFragments',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkt64Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkt64Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkt64-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts65To127Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts65To127Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts65-to127-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts128To255Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts128To255Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts128-to255-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts256To511Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts256To511Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts256-to511-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts512To1023Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts512To1023Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts512-to1023-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts1024To1518Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts1024To1518Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts1024-to1518-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Outpkt64Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Outpkt64Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'outpkt64octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts65127Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts65127Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts65127-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts128255Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts128255Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts128255-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts256511Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts256511Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts256511-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts5121023Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts5121023Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts5121023-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts10241518Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts10241518Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts10241518-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.RxUtil' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.RxUtil',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-util',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxUtil' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxUtil',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-util',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxUndersizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxUndersizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-undersized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxOversizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxOversizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-oversized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxFragments' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxFragments',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxJabber' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxJabber',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-jabber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxBadFcs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxBadFcs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-bad-fcs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ether10241518-octet', REFERENCE_CLASS, 'Ether10241518Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether10241518Octet', 
                [], [], 
                '''                OFO OCTET
                ''',
                'ether10241518_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether128255-octet', REFERENCE_CLASS, 'Ether128255Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether128255Octet', 
                [], [], 
                '''                TFF OCTET
                ''',
                'ether128255_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether256511-octet', REFERENCE_CLASS, 'Ether256511Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether256511Octet', 
                [], [], 
                '''                FOO OCTET
                ''',
                'ether256511_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether5121023-octet', REFERENCE_CLASS, 'Ether5121023Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether5121023Octet', 
                [], [], 
                '''                OZTT OCTET
                ''',
                'ether5121023_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether64-octets', REFERENCE_CLASS, 'Ether64Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether64Octets', 
                [], [], 
                '''                SIXTY FOUR OCTET
                ''',
                'ether64_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether65127-octet', REFERENCE_CLASS, 'Ether65127Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether65127Octet', 
                [], [], 
                '''                OCTET
                ''',
                'ether65127_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-broadcast-pkt', REFERENCE_CLASS, 'EtherStatBroadcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.EtherStatBroadcastPkt', 
                [], [], 
                '''                ETHER STAT BROADCAST PKT
                ''',
                'ether_stat_broadcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-multicast-pkt', REFERENCE_CLASS, 'EtherStatMulticastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.EtherStatMulticastPkt', 
                [], [], 
                '''                ETHER STAT MULTICAST PKT
                ''',
                'ether_stat_multicast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-undersized-pkt', REFERENCE_CLASS, 'EtherStatUndersizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.EtherStatUndersizedPkt', 
                [], [], 
                '''                ETHER STAT UNDERSIZED PKT
                ''',
                'ether_stat_undersized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fcs-errors-stat', REFERENCE_CLASS, 'FcsErrorsStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.FcsErrorsStat', 
                [], [], 
                '''                FCS ERR
                ''',
                'fcs_errors_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('if-in-errors', REFERENCE_CLASS, 'IfInErrors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.IfInErrors', 
                [], [], 
                '''                IFIN ERRORS
                ''',
                'if_in_errors',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('if-in-octets', REFERENCE_CLASS, 'IfInOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.IfInOctets', 
                [], [], 
                '''                IFIN OCTETS
                ''',
                'if_in_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in8021q-frames', REFERENCE_CLASS, 'In8021QFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.In8021QFrames', 
                [], [], 
                '''                INPUT 802 1Q FRAMES
                ''',
                'in8021q_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-bcast-pkt', REFERENCE_CLASS, 'InBcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InBcastPkt', 
                [], [], 
                '''                IN BCAST
                ''',
                'in_bcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-abort', REFERENCE_CLASS, 'InDropAbort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropAbort', 
                [], [], 
                '''                INPUT DROP ABORT
                ''',
                'in_drop_abort',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-dmac', REFERENCE_CLASS, 'InDropInvalidDmac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropInvalidDmac', 
                [], [], 
                '''                INPUT DROP INVALID DMAC
                ''',
                'in_drop_invalid_dmac',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-encap', REFERENCE_CLASS, 'InDropInvalidEncap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropInvalidEncap', 
                [], [], 
                '''                INPUT DROP INVALID ENCAP
                ''',
                'in_drop_invalid_encap',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-vlan', REFERENCE_CLASS, 'InDropInvalidVlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropInvalidVlan', 
                [], [], 
                '''                INPUT DROP INVALID VLAN
                ''',
                'in_drop_invalid_vlan',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-other', REFERENCE_CLASS, 'InDropOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropOther', 
                [], [], 
                '''                INPUT DROP OTHER
                ''',
                'in_drop_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-overrun', REFERENCE_CLASS, 'InDropOverrun' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropOverrun', 
                [], [], 
                '''                INPUT DROP OVERRUN
                ''',
                'in_drop_overrun',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-collisions', REFERENCE_CLASS, 'InErrorCollisions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorCollisions', 
                [], [], 
                '''                IN ERROR COLLISIONS
                ''',
                'in_error_collisions',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-fragments', REFERENCE_CLASS, 'InErrorFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorFragments', 
                [], [], 
                '''                IN ERROR FRAGMENTS
                ''',
                'in_error_fragments',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-giant', REFERENCE_CLASS, 'InErrorGiant' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorGiant', 
                [], [], 
                '''                IN ERROR GIANT
                ''',
                'in_error_giant',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-jabbers', REFERENCE_CLASS, 'InErrorJabbers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorJabbers', 
                [], [], 
                '''                IN ERROR JABBERS
                ''',
                'in_error_jabbers',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-other', REFERENCE_CLASS, 'InErrorOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorOther', 
                [], [], 
                '''                IN ERROR OTHER
                ''',
                'in_error_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-runt', REFERENCE_CLASS, 'InErrorRunt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorRunt', 
                [], [], 
                '''                IN ERROR RUNT
                ''',
                'in_error_runt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-symbol', REFERENCE_CLASS, 'InErrorSymbol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorSymbol', 
                [], [], 
                '''                IN ERROR SYMBOL
                ''',
                'in_error_symbol',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-good-bytes', REFERENCE_CLASS, 'InGoodBytes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InGoodBytes', 
                [], [], 
                '''                INPUT GOOD BYTES
                ''',
                'in_good_bytes',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-good-pkts', REFERENCE_CLASS, 'InGoodPkts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InGoodPkts', 
                [], [], 
                '''                INPUT GOOD PKTS
                ''',
                'in_good_pkts',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mcast-pkt', REFERENCE_CLASS, 'InMcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMcastPkt', 
                [], [], 
                '''                IN MCAST
                ''',
                'in_mcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mib-giant', REFERENCE_CLASS, 'InMibGiant' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMibGiant', 
                [], [], 
                '''                INPUT MIB GIANT
                ''',
                'in_mib_giant',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mib-jabber', REFERENCE_CLASS, 'InMibJabber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMibJabber', 
                [], [], 
                '''                INPUT MIB JABBER
                ''',
                'in_mib_jabber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mibcrc', REFERENCE_CLASS, 'InMibcrc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMibcrc', 
                [], [], 
                '''                IN MIB CRC
                ''',
                'in_mibcrc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pause-frame', REFERENCE_CLASS, 'InPauseFrame' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPauseFrame', 
                [], [], 
                '''                INPUT PAUSE FRAME
                ''',
                'in_pause_frame',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkt64-octet', REFERENCE_CLASS, 'InPkt64Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkt64Octet', 
                [], [], 
                '''                IN PKT 64 OCTET
                ''',
                'in_pkt64_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts1024-to1518-octets', REFERENCE_CLASS, 'InPkts1024To1518Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts1024To1518Octets', 
                [], [], 
                '''                IN PKTS 1024 1518 OCTETS
                ''',
                'in_pkts1024_to1518_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts128-to255-octets', REFERENCE_CLASS, 'InPkts128To255Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts128To255Octets', 
                [], [], 
                '''                IN PKTS 128 255 OCTETS
                ''',
                'in_pkts128_to255_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts1519-max-octets', REFERENCE_CLASS, 'InPkts1519MaxOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts1519MaxOctets', 
                [], [], 
                '''                INPUT PKTS 1519MAX OCTETS
                ''',
                'in_pkts1519_max_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts256-to511-octets', REFERENCE_CLASS, 'InPkts256To511Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts256To511Octets', 
                [], [], 
                '''                IN PKTS 256 511 OCTETS
                ''',
                'in_pkts256_to511_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts512-to1023-octets', REFERENCE_CLASS, 'InPkts512To1023Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts512To1023Octets', 
                [], [], 
                '''                IN PKTS 512 1023 OCTETS
                ''',
                'in_pkts512_to1023_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts65-to127-octets', REFERENCE_CLASS, 'InPkts65To127Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts65To127Octets', 
                [], [], 
                '''                IN PKTS 65 127OCTETS
                ''',
                'in_pkts65_to127_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-ucast-pkt', REFERENCE_CLASS, 'InUcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InUcastPkt', 
                [], [], 
                '''                IN UCAST
                ''',
                'in_ucast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('jabber-stat', REFERENCE_CLASS, 'JabberStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.JabberStat', 
                [], [], 
                '''                JABBER STATS
                ''',
                'jabber_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('long-frames-stat', REFERENCE_CLASS, 'LongFramesStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.LongFramesStat', 
                [], [], 
                '''                LONG FRAMES
                ''',
                'long_frames_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('octet-stat', REFERENCE_CLASS, 'OctetStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OctetStat', 
                [], [], 
                '''                OCTET STAT
                ''',
                'octet_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out8021q-frames', REFERENCE_CLASS, 'Out8021QFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Out8021QFrames', 
                [], [], 
                '''                OUT 802 1Q FRAMES
                ''',
                'out8021q_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-bcast-pkt', REFERENCE_CLASS, 'OutBcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutBcastPkt', 
                [], [], 
                '''                OUT BCAST
                ''',
                'out_bcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-abort', REFERENCE_CLASS, 'OutDropAbort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutDropAbort', 
                [], [], 
                '''                OUT DROP ABORT
                ''',
                'out_drop_abort',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-other', REFERENCE_CLASS, 'OutDropOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutDropOther', 
                [], [], 
                '''                OUT DROP OTHER
                ''',
                'out_drop_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-underrun', REFERENCE_CLASS, 'OutDropUnderrun' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutDropUnderrun', 
                [], [], 
                '''                OUT DROP UNDERRUN
                ''',
                'out_drop_underrun',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-error-other', REFERENCE_CLASS, 'OutErrorOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutErrorOther', 
                [], [], 
                '''                OUT ERROR OTHER
                ''',
                'out_error_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-good-bytes', REFERENCE_CLASS, 'OutGoodBytes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutGoodBytes', 
                [], [], 
                '''                OUT GOOD BYTES
                ''',
                'out_good_bytes',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-good-pkts', REFERENCE_CLASS, 'OutGoodPkts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutGoodPkts', 
                [], [], 
                '''                OUT GOOD PKTS
                ''',
                'out_good_pkts',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-mcast-pkt', REFERENCE_CLASS, 'OutMcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutMcastPkt', 
                [], [], 
                '''                OUT MCAST
                ''',
                'out_mcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-octets', REFERENCE_CLASS, 'OutOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutOctets', 
                [], [], 
                '''                OUT OCTET
                ''',
                'out_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pause-frames', REFERENCE_CLASS, 'OutPauseFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPauseFrames', 
                [], [], 
                '''                OUT PAUSE FRAMES
                ''',
                'out_pause_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts10241518-octets', REFERENCE_CLASS, 'OutPkts10241518Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts10241518Octets', 
                [], [], 
                '''                OUT PKTS 1024 1518 OCTETS
                ''',
                'out_pkts10241518_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts128255-octets', REFERENCE_CLASS, 'OutPkts128255Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts128255Octets', 
                [], [], 
                '''                OUT PKTS 128 255 OCTETS
                ''',
                'out_pkts128255_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts1519-max-octets', REFERENCE_CLASS, 'OutPkts1519MaxOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts1519MaxOctets', 
                [], [], 
                '''                OUT PKTS 1519 MAX OCTETS
                ''',
                'out_pkts1519_max_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts256511-octets', REFERENCE_CLASS, 'OutPkts256511Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts256511Octets', 
                [], [], 
                '''                OUT PKTS 256 511 OCTETS
                ''',
                'out_pkts256511_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts5121023-octets', REFERENCE_CLASS, 'OutPkts5121023Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts5121023Octets', 
                [], [], 
                '''                OUT PKTS 512 1023 OCTETS
                ''',
                'out_pkts5121023_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts65127-octets', REFERENCE_CLASS, 'OutPkts65127Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts65127Octets', 
                [], [], 
                '''                OUT PKTS 65 127OCTETS
                ''',
                'out_pkts65127_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-ucast-pkt', REFERENCE_CLASS, 'OutUcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutUcastPkt', 
                [], [], 
                '''                OUT UCAST
                ''',
                'out_ucast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('outpkt64octet', REFERENCE_CLASS, 'Outpkt64Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Outpkt64Octet', 
                [], [], 
                '''                OUT PKT 64 OCTET
                ''',
                'outpkt64octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('oversize-pkt-stat', REFERENCE_CLASS, 'OversizePktStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OversizePktStat', 
                [], [], 
                '''                OVERSIZE PKT
                ''',
                'oversize_pkt_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-pkt', REFERENCE_CLASS, 'RxPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.RxPkt', 
                [], [], 
                '''                RX PKT
                ''',
                'rx_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-util', REFERENCE_CLASS, 'RxUtil' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.RxUtil', 
                [], [], 
                '''                Rx Utilization in Percent
                ''',
                'rx_util',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('stat-pkt', REFERENCE_CLASS, 'StatPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.StatPkt', 
                [], [], 
                '''                STAT PKT
                ''',
                'stat_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-bad-fcs', REFERENCE_CLASS, 'TxBadFcs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxBadFcs', 
                [], [], 
                '''                TX Bad Fcs
                ''',
                'tx_bad_fcs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-fragments', REFERENCE_CLASS, 'TxFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxFragments', 
                [], [], 
                '''                TX Fragments
                ''',
                'tx_fragments',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-jabber', REFERENCE_CLASS, 'TxJabber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxJabber', 
                [], [], 
                '''                TX Jabber
                ''',
                'tx_jabber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-oversized-pkt', REFERENCE_CLASS, 'TxOversizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxOversizedPkt', 
                [], [], 
                '''                TX Oversized Pkt
                ''',
                'tx_oversized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-pkt', REFERENCE_CLASS, 'TxPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxPkt', 
                [], [], 
                '''                TX PKT
                ''',
                'tx_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-undersized-pkt', REFERENCE_CLASS, 'TxUndersizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxUndersizedPkt', 
                [], [], 
                '''                TX Undersized Pkt
                ''',
                'tx_undersized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-util', REFERENCE_CLASS, 'TxUtil' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxUtil', 
                [], [], 
                '''                Tx Utilization in Percent
                ''',
                'tx_util',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-hour24-ether-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('ethernet-hour24-ether-time-line-instance', REFERENCE_LIST, 'EthernetHour24EtherTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'ethernet_hour24_ether_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-hour24-ether-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ethernet-hour24-ether-time-line-instances', REFERENCE_CLASS, 'EthernetHour24EtherTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'ethernet_hour24_ether_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-hour24-ether-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories',
            False, 
            [
            _MetaInfoClassMember('ethernet-hour24-ether-history', REFERENCE_LIST, 'EthernetHour24EtherHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory', 
                [], [], 
                '''                port 24 hour ethernet performance data
                ''',
                'ethernet_hour24_ether_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-hour24-ether-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History',
            False, 
            [
            _MetaInfoClassMember('ethernet-hour24-ether-histories', REFERENCE_CLASS, 'EthernetHour24EtherHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'ethernet_hour24_ether_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-hour24-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.RxPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.RxPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.StatPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.StatPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stat-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OctetStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OctetStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'octet-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OversizePktStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OversizePktStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oversize-pkt-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.FcsErrorsStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.FcsErrorsStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fcs-errors-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.LongFramesStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.LongFramesStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'long-frames-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.JabberStat' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.JabberStat',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'jabber-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether64Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether64Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether64-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether65127Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether65127Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether65127-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether128255Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether128255Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether128255-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether256511Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether256511Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether256511-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether5121023Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether5121023Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether5121023-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether10241518Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether10241518Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether10241518-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InUcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InUcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-ucast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InBcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InBcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-bcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutUcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutUcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-ucast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutBcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutBcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-bcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutMcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutMcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-mcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.IfInErrors' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.IfInErrors',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'if-in-errors',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.IfInOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.IfInOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'if-in-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.EtherStatMulticastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.EtherStatMulticastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-multicast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.EtherStatBroadcastPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.EtherStatBroadcastPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-broadcast-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.EtherStatUndersizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.EtherStatUndersizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ether-stat-undersized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPauseFrame' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPauseFrame',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pause-frame',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InGoodBytes' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InGoodBytes',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-good-bytes',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.In8021QFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.In8021QFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in8021q-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts1519MaxOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts1519MaxOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts1519-max-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InGoodPkts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InGoodPkts',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-good-pkts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropOverrun' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropOverrun',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-overrun',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropAbort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropAbort',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-abort',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropInvalidVlan' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropInvalidVlan',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropInvalidDmac' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropInvalidDmac',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-dmac',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropInvalidEncap' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropInvalidEncap',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-invalid-encap',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-drop-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMibGiant' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMibGiant',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mib-giant',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMibJabber' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMibJabber',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mib-jabber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMibcrc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMibcrc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-mibcrc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorCollisions' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorCollisions',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-collisions',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorSymbol' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorSymbol',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-symbol',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutGoodBytes' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutGoodBytes',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-good-bytes',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Out8021QFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Out8021QFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out8021q-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPauseFrames' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPauseFrames',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pause-frames',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts1519MaxOctets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts1519MaxOctets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts1519-max-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutGoodPkts' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutGoodPkts',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-good-pkts',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutDropUnderrun' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutDropUnderrun',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-underrun',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutDropAbort' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutDropAbort',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-abort',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutDropOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutDropOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-drop-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutErrorOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutErrorOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-error-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorGiant' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorGiant',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-giant',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorRunt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorRunt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-runt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorJabbers' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorJabbers',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-jabbers',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorFragments' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorFragments',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorOther' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorOther',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-error-other',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkt64Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkt64Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkt64-octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts65To127Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts65To127Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts65-to127-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts128To255Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts128To255Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts128-to255-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts256To511Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts256To511Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts256-to511-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts512To1023Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts512To1023Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts512-to1023-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts1024To1518Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts1024To1518Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'in-pkts1024-to1518-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Outpkt64Octet' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Outpkt64Octet',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'outpkt64octet',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts65127Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts65127Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts65127-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts128255Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts128255Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts128255-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts256511Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts256511Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts256511-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts5121023Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts5121023Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts5121023-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts10241518Octets' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts10241518Octets',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'out-pkts10241518-octets',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.RxUtil' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.RxUtil',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-util',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxUtil' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxUtil',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-util',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxUndersizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxUndersizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-undersized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxOversizedPkt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxOversizedPkt',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-oversized-pkt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxFragments' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxFragments',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxJabber' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxJabber',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-jabber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxBadFcs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxBadFcs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'tx-bad-fcs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ether10241518-octet', REFERENCE_CLASS, 'Ether10241518Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether10241518Octet', 
                [], [], 
                '''                OFO OCTET
                ''',
                'ether10241518_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether128255-octet', REFERENCE_CLASS, 'Ether128255Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether128255Octet', 
                [], [], 
                '''                TFF OCTET
                ''',
                'ether128255_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether256511-octet', REFERENCE_CLASS, 'Ether256511Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether256511Octet', 
                [], [], 
                '''                FOO OCTET
                ''',
                'ether256511_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether5121023-octet', REFERENCE_CLASS, 'Ether5121023Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether5121023Octet', 
                [], [], 
                '''                OZTT OCTET
                ''',
                'ether5121023_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether64-octets', REFERENCE_CLASS, 'Ether64Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether64Octets', 
                [], [], 
                '''                SIXTY FOUR OCTET
                ''',
                'ether64_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether65127-octet', REFERENCE_CLASS, 'Ether65127Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether65127Octet', 
                [], [], 
                '''                OCTET
                ''',
                'ether65127_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-broadcast-pkt', REFERENCE_CLASS, 'EtherStatBroadcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.EtherStatBroadcastPkt', 
                [], [], 
                '''                ETHER STAT BROADCAST PKT
                ''',
                'ether_stat_broadcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-multicast-pkt', REFERENCE_CLASS, 'EtherStatMulticastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.EtherStatMulticastPkt', 
                [], [], 
                '''                ETHER STAT MULTICAST PKT
                ''',
                'ether_stat_multicast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ether-stat-undersized-pkt', REFERENCE_CLASS, 'EtherStatUndersizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.EtherStatUndersizedPkt', 
                [], [], 
                '''                ETHER STAT UNDERSIZED PKT
                ''',
                'ether_stat_undersized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fcs-errors-stat', REFERENCE_CLASS, 'FcsErrorsStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.FcsErrorsStat', 
                [], [], 
                '''                FCS ERR
                ''',
                'fcs_errors_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('if-in-errors', REFERENCE_CLASS, 'IfInErrors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.IfInErrors', 
                [], [], 
                '''                IFIN ERRORS
                ''',
                'if_in_errors',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('if-in-octets', REFERENCE_CLASS, 'IfInOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.IfInOctets', 
                [], [], 
                '''                IFIN OCTETS
                ''',
                'if_in_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in8021q-frames', REFERENCE_CLASS, 'In8021QFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.In8021QFrames', 
                [], [], 
                '''                INPUT 802 1Q FRAMES
                ''',
                'in8021q_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-bcast-pkt', REFERENCE_CLASS, 'InBcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InBcastPkt', 
                [], [], 
                '''                IN BCAST
                ''',
                'in_bcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-abort', REFERENCE_CLASS, 'InDropAbort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropAbort', 
                [], [], 
                '''                INPUT DROP ABORT
                ''',
                'in_drop_abort',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-dmac', REFERENCE_CLASS, 'InDropInvalidDmac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropInvalidDmac', 
                [], [], 
                '''                INPUT DROP INVALID DMAC
                ''',
                'in_drop_invalid_dmac',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-encap', REFERENCE_CLASS, 'InDropInvalidEncap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropInvalidEncap', 
                [], [], 
                '''                INPUT DROP INVALID ENCAP
                ''',
                'in_drop_invalid_encap',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-invalid-vlan', REFERENCE_CLASS, 'InDropInvalidVlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropInvalidVlan', 
                [], [], 
                '''                INPUT DROP INVALID VLAN
                ''',
                'in_drop_invalid_vlan',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-other', REFERENCE_CLASS, 'InDropOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropOther', 
                [], [], 
                '''                INPUT DROP OTHER
                ''',
                'in_drop_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-drop-overrun', REFERENCE_CLASS, 'InDropOverrun' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropOverrun', 
                [], [], 
                '''                INPUT DROP OVERRUN
                ''',
                'in_drop_overrun',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-collisions', REFERENCE_CLASS, 'InErrorCollisions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorCollisions', 
                [], [], 
                '''                IN ERROR COLLISIONS
                ''',
                'in_error_collisions',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-fragments', REFERENCE_CLASS, 'InErrorFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorFragments', 
                [], [], 
                '''                IN ERROR FRAGMENTS
                ''',
                'in_error_fragments',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-giant', REFERENCE_CLASS, 'InErrorGiant' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorGiant', 
                [], [], 
                '''                IN ERROR GIANT
                ''',
                'in_error_giant',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-jabbers', REFERENCE_CLASS, 'InErrorJabbers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorJabbers', 
                [], [], 
                '''                IN ERROR JABBERS
                ''',
                'in_error_jabbers',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-other', REFERENCE_CLASS, 'InErrorOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorOther', 
                [], [], 
                '''                IN ERROR OTHER
                ''',
                'in_error_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-runt', REFERENCE_CLASS, 'InErrorRunt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorRunt', 
                [], [], 
                '''                IN ERROR RUNT
                ''',
                'in_error_runt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-error-symbol', REFERENCE_CLASS, 'InErrorSymbol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorSymbol', 
                [], [], 
                '''                IN ERROR SYMBOL
                ''',
                'in_error_symbol',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-good-bytes', REFERENCE_CLASS, 'InGoodBytes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InGoodBytes', 
                [], [], 
                '''                INPUT GOOD BYTES
                ''',
                'in_good_bytes',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-good-pkts', REFERENCE_CLASS, 'InGoodPkts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InGoodPkts', 
                [], [], 
                '''                INPUT GOOD PKTS
                ''',
                'in_good_pkts',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mcast-pkt', REFERENCE_CLASS, 'InMcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMcastPkt', 
                [], [], 
                '''                IN MCAST
                ''',
                'in_mcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mib-giant', REFERENCE_CLASS, 'InMibGiant' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMibGiant', 
                [], [], 
                '''                INPUT MIB GIANT
                ''',
                'in_mib_giant',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mib-jabber', REFERENCE_CLASS, 'InMibJabber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMibJabber', 
                [], [], 
                '''                INPUT MIB JABBER
                ''',
                'in_mib_jabber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-mibcrc', REFERENCE_CLASS, 'InMibcrc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMibcrc', 
                [], [], 
                '''                IN MIB CRC
                ''',
                'in_mibcrc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pause-frame', REFERENCE_CLASS, 'InPauseFrame' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPauseFrame', 
                [], [], 
                '''                INPUT PAUSE FRAME
                ''',
                'in_pause_frame',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkt64-octet', REFERENCE_CLASS, 'InPkt64Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkt64Octet', 
                [], [], 
                '''                IN PKT 64 OCTET
                ''',
                'in_pkt64_octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts1024-to1518-octets', REFERENCE_CLASS, 'InPkts1024To1518Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts1024To1518Octets', 
                [], [], 
                '''                IN PKTS 1024 1518 OCTETS
                ''',
                'in_pkts1024_to1518_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts128-to255-octets', REFERENCE_CLASS, 'InPkts128To255Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts128To255Octets', 
                [], [], 
                '''                IN PKTS 128 255 OCTETS
                ''',
                'in_pkts128_to255_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts1519-max-octets', REFERENCE_CLASS, 'InPkts1519MaxOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts1519MaxOctets', 
                [], [], 
                '''                INPUT PKTS 1519MAX OCTETS
                ''',
                'in_pkts1519_max_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts256-to511-octets', REFERENCE_CLASS, 'InPkts256To511Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts256To511Octets', 
                [], [], 
                '''                IN PKTS 256 511 OCTETS
                ''',
                'in_pkts256_to511_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts512-to1023-octets', REFERENCE_CLASS, 'InPkts512To1023Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts512To1023Octets', 
                [], [], 
                '''                IN PKTS 512 1023 OCTETS
                ''',
                'in_pkts512_to1023_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-pkts65-to127-octets', REFERENCE_CLASS, 'InPkts65To127Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts65To127Octets', 
                [], [], 
                '''                IN PKTS 65 127OCTETS
                ''',
                'in_pkts65_to127_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('in-ucast-pkt', REFERENCE_CLASS, 'InUcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InUcastPkt', 
                [], [], 
                '''                IN UCAST
                ''',
                'in_ucast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('jabber-stat', REFERENCE_CLASS, 'JabberStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.JabberStat', 
                [], [], 
                '''                JABBER STATS
                ''',
                'jabber_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('long-frames-stat', REFERENCE_CLASS, 'LongFramesStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.LongFramesStat', 
                [], [], 
                '''                LONG FRAMES
                ''',
                'long_frames_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('octet-stat', REFERENCE_CLASS, 'OctetStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OctetStat', 
                [], [], 
                '''                OCTET STAT
                ''',
                'octet_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out8021q-frames', REFERENCE_CLASS, 'Out8021QFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Out8021QFrames', 
                [], [], 
                '''                OUT 802 1Q FRAMES
                ''',
                'out8021q_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-bcast-pkt', REFERENCE_CLASS, 'OutBcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutBcastPkt', 
                [], [], 
                '''                OUT BCAST
                ''',
                'out_bcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-abort', REFERENCE_CLASS, 'OutDropAbort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutDropAbort', 
                [], [], 
                '''                OUT DROP ABORT
                ''',
                'out_drop_abort',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-other', REFERENCE_CLASS, 'OutDropOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutDropOther', 
                [], [], 
                '''                OUT DROP OTHER
                ''',
                'out_drop_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-drop-underrun', REFERENCE_CLASS, 'OutDropUnderrun' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutDropUnderrun', 
                [], [], 
                '''                OUT DROP UNDERRUN
                ''',
                'out_drop_underrun',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-error-other', REFERENCE_CLASS, 'OutErrorOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutErrorOther', 
                [], [], 
                '''                OUT ERROR OTHER
                ''',
                'out_error_other',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-good-bytes', REFERENCE_CLASS, 'OutGoodBytes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutGoodBytes', 
                [], [], 
                '''                OUT GOOD BYTES
                ''',
                'out_good_bytes',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-good-pkts', REFERENCE_CLASS, 'OutGoodPkts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutGoodPkts', 
                [], [], 
                '''                OUT GOOD PKTS
                ''',
                'out_good_pkts',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-mcast-pkt', REFERENCE_CLASS, 'OutMcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutMcastPkt', 
                [], [], 
                '''                OUT MCAST
                ''',
                'out_mcast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-octets', REFERENCE_CLASS, 'OutOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutOctets', 
                [], [], 
                '''                OUT OCTET
                ''',
                'out_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pause-frames', REFERENCE_CLASS, 'OutPauseFrames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPauseFrames', 
                [], [], 
                '''                OUT PAUSE FRAMES
                ''',
                'out_pause_frames',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts10241518-octets', REFERENCE_CLASS, 'OutPkts10241518Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts10241518Octets', 
                [], [], 
                '''                OUT PKTS 1024 1518 OCTETS
                ''',
                'out_pkts10241518_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts128255-octets', REFERENCE_CLASS, 'OutPkts128255Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts128255Octets', 
                [], [], 
                '''                OUT PKTS 128 255 OCTETS
                ''',
                'out_pkts128255_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts1519-max-octets', REFERENCE_CLASS, 'OutPkts1519MaxOctets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts1519MaxOctets', 
                [], [], 
                '''                OUT PKTS 1519 MAX OCTETS
                ''',
                'out_pkts1519_max_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts256511-octets', REFERENCE_CLASS, 'OutPkts256511Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts256511Octets', 
                [], [], 
                '''                OUT PKTS 256 511 OCTETS
                ''',
                'out_pkts256511_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts5121023-octets', REFERENCE_CLASS, 'OutPkts5121023Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts5121023Octets', 
                [], [], 
                '''                OUT PKTS 512 1023 OCTETS
                ''',
                'out_pkts5121023_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-pkts65127-octets', REFERENCE_CLASS, 'OutPkts65127Octets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts65127Octets', 
                [], [], 
                '''                OUT PKTS 65 127OCTETS
                ''',
                'out_pkts65127_octets',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('out-ucast-pkt', REFERENCE_CLASS, 'OutUcastPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutUcastPkt', 
                [], [], 
                '''                OUT UCAST
                ''',
                'out_ucast_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('outpkt64octet', REFERENCE_CLASS, 'Outpkt64Octet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Outpkt64Octet', 
                [], [], 
                '''                OUT PKT 64 OCTET
                ''',
                'outpkt64octet',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('oversize-pkt-stat', REFERENCE_CLASS, 'OversizePktStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OversizePktStat', 
                [], [], 
                '''                OVERSIZE PKT
                ''',
                'oversize_pkt_stat',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-pkt', REFERENCE_CLASS, 'RxPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.RxPkt', 
                [], [], 
                '''                RX PKT
                ''',
                'rx_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-util', REFERENCE_CLASS, 'RxUtil' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.RxUtil', 
                [], [], 
                '''                Rx Utilization in Percent
                ''',
                'rx_util',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('stat-pkt', REFERENCE_CLASS, 'StatPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.StatPkt', 
                [], [], 
                '''                STAT PKT
                ''',
                'stat_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-bad-fcs', REFERENCE_CLASS, 'TxBadFcs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxBadFcs', 
                [], [], 
                '''                TX Bad Fcs
                ''',
                'tx_bad_fcs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-fragments', REFERENCE_CLASS, 'TxFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxFragments', 
                [], [], 
                '''                TX Fragments
                ''',
                'tx_fragments',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-jabber', REFERENCE_CLASS, 'TxJabber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxJabber', 
                [], [], 
                '''                TX Jabber
                ''',
                'tx_jabber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-oversized-pkt', REFERENCE_CLASS, 'TxOversizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxOversizedPkt', 
                [], [], 
                '''                TX Oversized Pkt
                ''',
                'tx_oversized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-pkt', REFERENCE_CLASS, 'TxPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxPkt', 
                [], [], 
                '''                TX PKT
                ''',
                'tx_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-undersized-pkt', REFERENCE_CLASS, 'TxUndersizedPkt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxUndersizedPkt', 
                [], [], 
                '''                TX Undersized Pkt
                ''',
                'tx_undersized_pkt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tx-util', REFERENCE_CLASS, 'TxUtil' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxUtil', 
                [], [], 
                '''                Tx Utilization in Percent
                ''',
                'tx_util',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'minute15-ether-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('minute15-ether-time-line-instance', REFERENCE_LIST, 'Minute15EtherTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'minute15_ether_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'minute15-ether-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory',
            False, 
            [
            _MetaInfoClassMember('slot-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                interval slot number
                ''',
                'slot_number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('minute15-ether-time-line-instances', REFERENCE_CLASS, 'Minute15EtherTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'minute15_ether_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'minute15-ether-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories',
            False, 
            [
            _MetaInfoClassMember('minute15-ether-history', REFERENCE_LIST, 'Minute15EtherHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory', 
                [], [], 
                '''                ETHERNET port 15-minute ether performance
                data
                ''',
                'minute15_ether_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'minute15-ether-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History',
            False, 
            [
            _MetaInfoClassMember('minute15-ether-histories', REFERENCE_CLASS, 'Minute15EtherHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories', 
                [], [], 
                '''                ETHERNET port interval performance data
                ''',
                'minute15_ether_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-minute15-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ethernet-hour24-history', REFERENCE_CLASS, 'EthernetHour24History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History', 
                [], [], 
                '''                port current performance data
                ''',
                'ethernet_hour24_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ethernet-minute15-history', REFERENCE_CLASS, 'EthernetMinute15History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History', 
                [], [], 
                '''                port current performance data
                ''',
                'ethernet_minute15_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ethernet-second30-history', REFERENCE_CLASS, 'EthernetSecond30History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History', 
                [], [], 
                '''                port current performance data
                ''',
                'ethernet_second30_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-port-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories',
            False, 
            [
            _MetaInfoClassMember('ethernet-port-history', REFERENCE_LIST, 'EthernetPortHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory', 
                [], [], 
                '''                Port performance data
                ''',
                'ethernet_port_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-port-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.EthernetHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.EthernetHistory',
            False, 
            [
            _MetaInfoClassMember('ethernet-port-histories', REFERENCE_CLASS, 'EthernetPortHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories', 
                [], [], 
                '''                Port performance data
                ''',
                'ethernet_port_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ethernet-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15otn-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('dwdm-minute15otn-time-line-instance', REFERENCE_LIST, 'DwdmMinute15OtnTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'dwdm_minute15otn_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15otn-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('dwdm-minute15otn-time-line-instances', REFERENCE_CLASS, 'DwdmMinute15OtnTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_minute15otn_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15otn-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories',
            False, 
            [
            _MetaInfoClassMember('dwdm-minute15otn-history', REFERENCE_LIST, 'DwdmMinute15OtnHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'dwdm_minute15otn_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15otn-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15fec-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('dwdm-minute15fec-time-line-instance', REFERENCE_LIST, 'DwdmMinute15FecTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance', 
                [], [], 
                '''                port 15-minute fec performance data by
                index
                ''',
                'dwdm_minute15fec_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15fec-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('dwdm-minute15fec-time-line-instances', REFERENCE_CLASS, 'DwdmMinute15FecTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_minute15fec_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15fec-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories',
            False, 
            [
            _MetaInfoClassMember('dwdm-minute15fec-history', REFERENCE_LIST, 'DwdmMinute15FecHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory', 
                [], [], 
                '''                port 15-minute fec performance data
                ''',
                'dwdm_minute15fec_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15fec-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Lbc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.LbcPc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.LbcPc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc-pc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Opt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Opt',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Opr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Opr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Cd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Cd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'cd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Dgd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Dgd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dgd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pmd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pmd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pmd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Osnr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Osnr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'osnr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.CenterWavelength' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.CenterWavelength',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'center-wavelength',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pdl' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pdl',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pdl',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pcr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pcr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pcr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pn',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.RxSigPow' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.RxSigPow',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-sig-pow',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.LowSigFreqOff' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.LowSigFreqOff',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'low-sig-freq-off',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('cd', REFERENCE_CLASS, 'Cd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Cd', 
                [], [], 
                '''                Chromatic Dispersion
                ''',
                'cd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('center-wavelength', REFERENCE_CLASS, 'CenterWavelength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.CenterWavelength', 
                [], [], 
                '''                Center Wavelength/Frequency
                ''',
                'center_wavelength',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dgd', REFERENCE_CLASS, 'Dgd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Dgd', 
                [], [], 
                '''                Differential group Delay
                ''',
                'dgd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc-pc', REFERENCE_CLASS, 'LbcPc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.LbcPc', 
                [], [], 
                '''                LBC in percentage
                ''',
                'lbc_pc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('low-sig-freq-off', REFERENCE_CLASS, 'LowSigFreqOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.LowSigFreqOff', 
                [], [], 
                '''                low freq sig off
                ''',
                'low_sig_freq_off',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opr', REFERENCE_CLASS, 'Opr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Opr', 
                [], [], 
                '''                OPR
                ''',
                'opr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opt', REFERENCE_CLASS, 'Opt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Opt', 
                [], [], 
                '''                OPT
                ''',
                'opt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('osnr', REFERENCE_CLASS, 'Osnr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Osnr', 
                [], [], 
                '''                Optical Signal to Noise Ratio
                ''',
                'osnr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pcr', REFERENCE_CLASS, 'Pcr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pcr', 
                [], [], 
                '''                Polarization Change Rate
                ''',
                'pcr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pdl', REFERENCE_CLASS, 'Pdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pdl', 
                [], [], 
                '''                Polarization Dependent Loss
                ''',
                'pdl',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pmd', REFERENCE_CLASS, 'Pmd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pmd', 
                [], [], 
                '''                Polarization Mode Dispersion
                ''',
                'pmd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pn', REFERENCE_CLASS, 'Pn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pn', 
                [], [], 
                '''                Phase Noise
                ''',
                'pn',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-sig-pow', REFERENCE_CLASS, 'RxSigPow' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.RxSigPow', 
                [], [], 
                '''                Rx signal power
                ''',
                'rx_sig_pow',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15-optics-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('dwdm-minute15-optics-time-line-instance', REFERENCE_LIST, 'DwdmMinute15OpticsTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'dwdm_minute15_optics_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15-optics-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('dwdm-minute15-optics-time-line-instances', REFERENCE_CLASS, 'DwdmMinute15OpticsTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_minute15_optics_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15-optics-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories',
            False, 
            [
            _MetaInfoClassMember('dwdm-minute15-optics-history', REFERENCE_LIST, 'DwdmMinute15OpticsHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory', 
                [], [], 
                '''                port 15-minute optics performance data
                ''',
                'dwdm_minute15_optics_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15-optics-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History',
            False, 
            [
            _MetaInfoClassMember('dwdm-minute15-optics-histories', REFERENCE_CLASS, 'DwdmMinute15OpticsHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_minute15_optics_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dwdm-minute15fec-histories', REFERENCE_CLASS, 'DwdmMinute15FecHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_minute15fec_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dwdm-minute15otn-histories', REFERENCE_CLASS, 'DwdmMinute15OtnHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_minute15otn_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-minute15-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24otn-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('dwdm-hour24otn-time-line-instance', REFERENCE_LIST, 'DwdmHour24OtnTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'dwdm_hour24otn_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24otn-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('dwdm-hour24otn-time-line-instances', REFERENCE_CLASS, 'DwdmHour24OtnTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_hour24otn_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24otn-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories',
            False, 
            [
            _MetaInfoClassMember('dwdm-hour24otn-history', REFERENCE_LIST, 'DwdmHour24OtnHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory', 
                [], [], 
                '''                port 24 hour otn performance data
                ''',
                'dwdm_hour24otn_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24otn-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24fec-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('dwdm-hour24fec-time-line-instance', REFERENCE_LIST, 'DwdmHour24FecTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance', 
                [], [], 
                '''                port 15-minute fec performance data by
                index
                ''',
                'dwdm_hour24fec_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24fec-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('dwdm-hour24fec-time-line-instances', REFERENCE_CLASS, 'DwdmHour24FecTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_hour24fec_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24fec-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories',
            False, 
            [
            _MetaInfoClassMember('dwdm-hour24fec-history', REFERENCE_LIST, 'DwdmHour24FecHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory', 
                [], [], 
                '''                port 24 hour fec performance data
                ''',
                'dwdm_hour24fec_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24fec-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Lbc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.LbcPc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.LbcPc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc-pc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Opt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Opt',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Opr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Opr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Cd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Cd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'cd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Dgd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Dgd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dgd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pmd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pmd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pmd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Osnr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Osnr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'osnr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.CenterWavelength' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.CenterWavelength',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'center-wavelength',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pdl' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pdl',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pdl',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pcr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pcr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pcr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pn',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.RxSigPow' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.RxSigPow',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-sig-pow',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.LowSigFreqOff' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.LowSigFreqOff',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'low-sig-freq-off',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('cd', REFERENCE_CLASS, 'Cd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Cd', 
                [], [], 
                '''                Chromatic Dispersion
                ''',
                'cd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('center-wavelength', REFERENCE_CLASS, 'CenterWavelength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.CenterWavelength', 
                [], [], 
                '''                Center Wavelength/Frequency
                ''',
                'center_wavelength',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dgd', REFERENCE_CLASS, 'Dgd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Dgd', 
                [], [], 
                '''                Differential group Delay
                ''',
                'dgd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc-pc', REFERENCE_CLASS, 'LbcPc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.LbcPc', 
                [], [], 
                '''                LBC in percentage
                ''',
                'lbc_pc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('low-sig-freq-off', REFERENCE_CLASS, 'LowSigFreqOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.LowSigFreqOff', 
                [], [], 
                '''                low freq sig off
                ''',
                'low_sig_freq_off',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opr', REFERENCE_CLASS, 'Opr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Opr', 
                [], [], 
                '''                OPR
                ''',
                'opr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opt', REFERENCE_CLASS, 'Opt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Opt', 
                [], [], 
                '''                OPT
                ''',
                'opt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('osnr', REFERENCE_CLASS, 'Osnr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Osnr', 
                [], [], 
                '''                Optical Signal to Noise Ratio
                ''',
                'osnr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pcr', REFERENCE_CLASS, 'Pcr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pcr', 
                [], [], 
                '''                Polarization Change Rate
                ''',
                'pcr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pdl', REFERENCE_CLASS, 'Pdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pdl', 
                [], [], 
                '''                Polarization Dependent Loss
                ''',
                'pdl',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pmd', REFERENCE_CLASS, 'Pmd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pmd', 
                [], [], 
                '''                Polarization Mode Dispersion
                ''',
                'pmd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pn', REFERENCE_CLASS, 'Pn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pn', 
                [], [], 
                '''                Phase Noise
                ''',
                'pn',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-sig-pow', REFERENCE_CLASS, 'RxSigPow' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.RxSigPow', 
                [], [], 
                '''                Rx signal power
                ''',
                'rx_sig_pow',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24-optics-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('dwdm-hour24-optics-time-line-instance', REFERENCE_LIST, 'DwdmHour24OpticsTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'dwdm_hour24_optics_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24-optics-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('dwdm-hour24-optics-time-line-instances', REFERENCE_CLASS, 'DwdmHour24OpticsTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_hour24_optics_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24-optics-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories',
            False, 
            [
            _MetaInfoClassMember('dwdm-hour24-optics-history', REFERENCE_LIST, 'DwdmHour24OpticsHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory', 
                [], [], 
                '''                port 24 hour optics performance data
                ''',
                'dwdm_hour24_optics_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24-optics-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History',
            False, 
            [
            _MetaInfoClassMember('dwdm-hour24-optics-histories', REFERENCE_CLASS, 'DwdmHour24OpticsHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'dwdm_hour24_optics_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dwdm-hour24fec-histories', REFERENCE_CLASS, 'DwdmHour24FecHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_hour24fec_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dwdm-hour24otn-histories', REFERENCE_CLASS, 'DwdmHour24OtnHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'dwdm_hour24otn_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-hour24-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('dwdm-hour24-history', REFERENCE_CLASS, 'DwdmHour24History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_hour24_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dwdm-minute15-history', REFERENCE_CLASS, 'DwdmMinute15History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History', 
                [], [], 
                '''                port current performance data
                ''',
                'dwdm_minute15_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-port-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories',
            False, 
            [
            _MetaInfoClassMember('dwdm-port-history', REFERENCE_LIST, 'DwdmPortHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory', 
                [], [], 
                '''                Port performance data
                ''',
                'dwdm_port_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-port-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.DwdmHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.DwdmHistory',
            False, 
            [
            _MetaInfoClassMember('dwdm-port-histories', REFERENCE_CLASS, 'DwdmPortHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories', 
                [], [], 
                '''                Port performance data
                ''',
                'dwdm_port_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dwdm-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionBbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionBbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-bb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section',
            False, 
            [
            _MetaInfoClassMember('section-bb-es', REFERENCE_CLASS, 'SectionBbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionBbEs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'section_bb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-bbe-rs', REFERENCE_CLASS, 'SectionBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionBbeRs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'section_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-bs', REFERENCE_CLASS, 'SectionEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionEBs', 
                [], [], 
                '''                The number of Errored Block Second
                ''',
                'section_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-ss', REFERENCE_CLASS, 'SectionESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'section_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-es-rs', REFERENCE_CLASS, 'SectionEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionEsRs', 
                [], [], 
                '''                The number of Errored Seconds Ratio
                ''',
                'section_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-se-ss', REFERENCE_CLASS, 'SectionSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionSeSs', 
                [], [], 
                '''                The number of Severely Errored Second
                ''',
                'section_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-ses-rs', REFERENCE_CLASS, 'SectionSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionSesRs', 
                [], [], 
                '''                The number of Severely Errored Second Ratio
                ''',
                'section_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'section_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-ua-ss', REFERENCE_CLASS, 'SectionUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionUaSs', 
                [], [], 
                '''                The number of Unavailable Second
                ''',
                'section_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineBbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineBbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-bb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line',
            False, 
            [
            _MetaInfoClassMember('line-bb-es', REFERENCE_CLASS, 'LineBbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineBbEs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'line_bb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-bbe-rs', REFERENCE_CLASS, 'LineBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineBbeRs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'line_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-bs', REFERENCE_CLASS, 'LineEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineEBs', 
                [], [], 
                '''                The number of Errored Block Second
                ''',
                'line_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-ss', REFERENCE_CLASS, 'LineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-es-rs', REFERENCE_CLASS, 'LineEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineEsRs', 
                [], [], 
                '''                The number of Errored Seconds Ratio
                ''',
                'line_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-se-ss', REFERENCE_CLASS, 'LineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineSeSs', 
                [], [], 
                '''                The number of Severely Errored Second
                ''',
                'line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ses-rs', REFERENCE_CLASS, 'LineSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineSesRs', 
                [], [], 
                '''                The number of Severely Errored Second Ratio
                ''',
                'line_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'line_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ua-ss', REFERENCE_CLASS, 'LineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineUaSs', 
                [], [], 
                '''                The number of Unavailable Second
                ''',
                'line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineEbbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineEbbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ebb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine',
            False, 
            [
            _MetaInfoClassMember('far-end-line-bbe-rs', REFERENCE_CLASS, 'FarEndLineBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineBbeRs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'far_end_line_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-bs', REFERENCE_CLASS, 'FarEndLineEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineEBs', 
                [], [], 
                '''                The number of Errored Block Second
                ''',
                'far_end_line_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-ss', REFERENCE_CLASS, 'FarEndLineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ebb-es', REFERENCE_CLASS, 'FarEndLineEbbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineEbbEs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'far_end_line_ebb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-es-rs', REFERENCE_CLASS, 'FarEndLineEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineEsRs', 
                [], [], 
                '''                The number of Errored Seconds Ratio
                ''',
                'far_end_line_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-se-ss', REFERENCE_CLASS, 'FarEndLineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineSeSs', 
                [], [], 
                '''                The number of Severely Errored Second
                ''',
                'far_end_line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ses-rs', REFERENCE_CLASS, 'FarEndLineSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineSesRs', 
                [], [], 
                '''                The number of Severely Errored Second Ratio
                ''',
                'far_end_line_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ua-ss', REFERENCE_CLASS, 'FarEndLineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineUaSs', 
                [], [], 
                '''                The number of Unavailable Second
                ''',
                'far_end_line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-line', REFERENCE_CLASS, 'FeLine' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine', 
                [], [], 
                '''                FarEnd LINE
                ''',
                'fe_line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line', 
                [], [], 
                '''                LINE
                ''',
                'line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section', 
                [], [], 
                '''                SECTION
                ''',
                'section',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-hour24stm-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('stm-hour24stm-time-line-instance', REFERENCE_LIST, 'StmHour24StmTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance', 
                [], [], 
                '''                port 15-minute stm performance data
                ''',
                'stm_hour24stm_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-hour24stm-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('stm-hour24stm-time-line-instances', REFERENCE_CLASS, 'StmHour24StmTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'stm_hour24stm_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-hour24stm-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories',
            False, 
            [
            _MetaInfoClassMember('stm-hour24stm-history', REFERENCE_LIST, 'StmHour24StmHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory', 
                [], [], 
                '''                port 24 hour stm performance data
                ''',
                'stm_hour24stm_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-hour24stm-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History',
            False, 
            [
            _MetaInfoClassMember('stm-hour24stm-histories', REFERENCE_CLASS, 'StmHour24StmHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'stm_hour24stm_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-hour24-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionBbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionBbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-bb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section',
            False, 
            [
            _MetaInfoClassMember('section-bb-es', REFERENCE_CLASS, 'SectionBbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionBbEs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'section_bb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-bbe-rs', REFERENCE_CLASS, 'SectionBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionBbeRs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'section_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-bs', REFERENCE_CLASS, 'SectionEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionEBs', 
                [], [], 
                '''                The number of Errored Block Second
                ''',
                'section_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-ss', REFERENCE_CLASS, 'SectionESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'section_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-es-rs', REFERENCE_CLASS, 'SectionEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionEsRs', 
                [], [], 
                '''                The number of Errored Seconds Ratio
                ''',
                'section_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-se-ss', REFERENCE_CLASS, 'SectionSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionSeSs', 
                [], [], 
                '''                The number of Severely Errored Second
                ''',
                'section_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-ses-rs', REFERENCE_CLASS, 'SectionSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionSesRs', 
                [], [], 
                '''                The number of Severely Errored Second Ratio
                ''',
                'section_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'section_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-ua-ss', REFERENCE_CLASS, 'SectionUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionUaSs', 
                [], [], 
                '''                The number of Unavailable Second
                ''',
                'section_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineBbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineBbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-bb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line',
            False, 
            [
            _MetaInfoClassMember('line-bb-es', REFERENCE_CLASS, 'LineBbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineBbEs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'line_bb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-bbe-rs', REFERENCE_CLASS, 'LineBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineBbeRs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'line_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-bs', REFERENCE_CLASS, 'LineEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineEBs', 
                [], [], 
                '''                The number of Errored Block Second
                ''',
                'line_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-ss', REFERENCE_CLASS, 'LineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-es-rs', REFERENCE_CLASS, 'LineEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineEsRs', 
                [], [], 
                '''                The number of Errored Seconds Ratio
                ''',
                'line_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-se-ss', REFERENCE_CLASS, 'LineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineSeSs', 
                [], [], 
                '''                The number of Severely Errored Second
                ''',
                'line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ses-rs', REFERENCE_CLASS, 'LineSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineSesRs', 
                [], [], 
                '''                The number of Severely Errored Second Ratio
                ''',
                'line_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'line_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ua-ss', REFERENCE_CLASS, 'LineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineUaSs', 
                [], [], 
                '''                The number of Unavailable Second
                ''',
                'line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineEbbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineEbbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ebb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine',
            False, 
            [
            _MetaInfoClassMember('far-end-line-bbe-rs', REFERENCE_CLASS, 'FarEndLineBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineBbeRs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'far_end_line_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-bs', REFERENCE_CLASS, 'FarEndLineEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineEBs', 
                [], [], 
                '''                The number of Errored Block Second
                ''',
                'far_end_line_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-ss', REFERENCE_CLASS, 'FarEndLineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ebb-es', REFERENCE_CLASS, 'FarEndLineEbbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineEbbEs', 
                [], [], 
                '''                The number of Background Block Errors
                ''',
                'far_end_line_ebb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-es-rs', REFERENCE_CLASS, 'FarEndLineEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineEsRs', 
                [], [], 
                '''                The number of Errored Seconds Ratio
                ''',
                'far_end_line_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-se-ss', REFERENCE_CLASS, 'FarEndLineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineSeSs', 
                [], [], 
                '''                The number of Severely Errored Second
                ''',
                'far_end_line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ses-rs', REFERENCE_CLASS, 'FarEndLineSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineSesRs', 
                [], [], 
                '''                The number of Severely Errored Second Ratio
                ''',
                'far_end_line_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ua-ss', REFERENCE_CLASS, 'FarEndLineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineUaSs', 
                [], [], 
                '''                The number of Unavailable Second
                ''',
                'far_end_line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-line', REFERENCE_CLASS, 'FeLine' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine', 
                [], [], 
                '''                FarEnd LINE
                ''',
                'fe_line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line', 
                [], [], 
                '''                LINE
                ''',
                'line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section', 
                [], [], 
                '''                SECTION
                ''',
                'section',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-minute15stm-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('stm-minute15stm-time-line-instance', REFERENCE_LIST, 'StmMinute15StmTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance', 
                [], [], 
                '''                port 15-minute stm performance data
                ''',
                'stm_minute15stm_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-minute15stm-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('stm-minute15stm-time-line-instances', REFERENCE_CLASS, 'StmMinute15StmTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'stm_minute15stm_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-minute15stm-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories',
            False, 
            [
            _MetaInfoClassMember('stm-minute15stm-history', REFERENCE_LIST, 'StmMinute15StmHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory', 
                [], [], 
                '''                port 15-minute stm performance data
                ''',
                'stm_minute15stm_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-minute15stm-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History',
            False, 
            [
            _MetaInfoClassMember('stm-minute15stm-histories', REFERENCE_CLASS, 'StmMinute15StmHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'stm_minute15stm_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-minute15-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('stm-hour24-history', REFERENCE_CLASS, 'StmHour24History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History', 
                [], [], 
                '''                port current performance data
                ''',
                'stm_hour24_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('stm-minute15-history', REFERENCE_CLASS, 'StmMinute15History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History', 
                [], [], 
                '''                port current performance data
                ''',
                'stm_minute15_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-port-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories',
            False, 
            [
            _MetaInfoClassMember('stm-port-history', REFERENCE_LIST, 'StmPortHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory', 
                [], [], 
                '''                Port performance data
                ''',
                'stm_port_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-port-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.StmHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.StmHistory',
            False, 
            [
            _MetaInfoClassMember('stm-port-histories', REFERENCE_CLASS, 'StmPortHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories', 
                [], [], 
                '''                Port performance data
                ''',
                'stm_port_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'stm-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxBitErr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxBitErr',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-bit-err',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxInvTyp' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxInvTyp',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-inv-typ',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxCrc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxCrc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-crc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxLfd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxLfd',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-lfd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxCsf' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxCsf',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-csf',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-bit-err', REFERENCE_CLASS, 'RxBitErr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxBitErr', 
                [], [], 
                '''                RX BIT ERR
                ''',
                'rx_bit_err',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-crc', REFERENCE_CLASS, 'RxCrc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxCrc', 
                [], [], 
                '''                RX CRC
                ''',
                'rx_crc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-csf', REFERENCE_CLASS, 'RxCsf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxCsf', 
                [], [], 
                '''                RX CSF
                ''',
                'rx_csf',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-inv-typ', REFERENCE_CLASS, 'RxInvTyp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxInvTyp', 
                [], [], 
                '''                RX INV TYP
                ''',
                'rx_inv_typ',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-lfd', REFERENCE_CLASS, 'RxLfd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxLfd', 
                [], [], 
                '''                RX LFD
                ''',
                'rx_lfd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24gfp-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('odu-hour24gfp-time-line-instance', REFERENCE_LIST, 'OduHour24GfpTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'odu_hour24gfp_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24gfp-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('odu-hour24gfp-time-line-instances', REFERENCE_CLASS, 'OduHour24GfpTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_hour24gfp_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24gfp-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories',
            False, 
            [
            _MetaInfoClassMember('odu-hour24gfp-history', REFERENCE_LIST, 'OduHour24GfpHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory', 
                [], [], 
                '''                port 24 hour otn performance data
                ''',
                'odu_hour24gfp_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24gfp-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances.OduHour24PrbsTimeLineInstance.RcvPatt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances.OduHour24PrbsTimeLineInstance.RcvPatt',
            False, 
            [
            _MetaInfoClassMember('rcv-patt', REFERENCE_ENUM_CLASS, 'PmPrbsPatternEtEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmPrbsPatternEtEnum', 
                [], [], 
                '''                RCVD PTRN
                ''',
                'rcv_patt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rcv-patt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances.OduHour24PrbsTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances.OduHour24PrbsTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('conf-patt', REFERENCE_ENUM_CLASS, 'PmPrbsPatternEtEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmPrbsPatternEtEnum', 
                [], [], 
                '''                CONFIG PTRN
                ''',
                'conf_patt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ebc', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                EBC
                ''',
                'ebc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('found-at-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                FOUND AT TS
                ''',
                'found_at_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FOUND COUNT
                ''',
                'found_count',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lost-at-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                LOST AT TS
                ''',
                'lost_at_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lost-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LOST COUNT
                ''',
                'lost_count',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rcv-patt', REFERENCE_CLASS, 'RcvPatt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances.OduHour24PrbsTimeLineInstance.RcvPatt', 
                [], [], 
                '''                RCVD PTRN
                ''',
                'rcv_patt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24prbs-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('odu-hour24prbs-time-line-instance', REFERENCE_LIST, 'OduHour24PrbsTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances.OduHour24PrbsTimeLineInstance', 
                [], [], 
                '''                port 15-minute prbs performance data
                ''',
                'odu_hour24prbs_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24prbs-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('odu-hour24prbs-time-line-instances', REFERENCE_CLASS, 'OduHour24PrbsTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_hour24prbs_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24prbs-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories',
            False, 
            [
            _MetaInfoClassMember('odu-hour24prbs-history', REFERENCE_LIST, 'OduHour24PrbsHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory', 
                [], [], 
                '''                port 24 hour prbs performance data
                ''',
                'odu_hour24prbs_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24prbs-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24otn-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('odu-hour24otn-time-line-instance', REFERENCE_LIST, 'OduHour24OtnTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'odu_hour24otn_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24otn-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('odu-hour24otn-time-line-instances', REFERENCE_CLASS, 'OduHour24OtnTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_hour24otn_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24otn-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories',
            False, 
            [
            _MetaInfoClassMember('odu-hour24otn-history', REFERENCE_LIST, 'OduHour24OtnHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory', 
                [], [], 
                '''                port 24 hour otn performance data
                ''',
                'odu_hour24otn_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24otn-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History',
            False, 
            [
            _MetaInfoClassMember('odu-hour24gfp-histories', REFERENCE_CLASS, 'OduHour24GfpHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'odu_hour24gfp_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('odu-hour24otn-histories', REFERENCE_CLASS, 'OduHour24OtnHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'odu_hour24otn_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('odu-hour24prbs-histories', REFERENCE_CLASS, 'OduHour24PrbsHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'odu_hour24prbs_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-hour24-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances.OduMinute15PrbsTimeLineInstance.RcvPatt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances.OduMinute15PrbsTimeLineInstance.RcvPatt',
            False, 
            [
            _MetaInfoClassMember('rcv-patt', REFERENCE_ENUM_CLASS, 'PmPrbsPatternEtEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmPrbsPatternEtEnum', 
                [], [], 
                '''                RCVD PTRN
                ''',
                'rcv_patt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rcv-patt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances.OduMinute15PrbsTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances.OduMinute15PrbsTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('conf-patt', REFERENCE_ENUM_CLASS, 'PmPrbsPatternEtEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PmPrbsPatternEtEnum', 
                [], [], 
                '''                CONFIG PTRN
                ''',
                'conf_patt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ebc', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                EBC
                ''',
                'ebc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('found-at-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                FOUND AT TS
                ''',
                'found_at_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FOUND COUNT
                ''',
                'found_count',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lost-at-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                LOST AT TS
                ''',
                'lost_at_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lost-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LOST COUNT
                ''',
                'lost_count',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rcv-patt', REFERENCE_CLASS, 'RcvPatt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances.OduMinute15PrbsTimeLineInstance.RcvPatt', 
                [], [], 
                '''                RCVD PTRN
                ''',
                'rcv_patt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15prbs-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('odu-minute15prbs-time-line-instance', REFERENCE_LIST, 'OduMinute15PrbsTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances.OduMinute15PrbsTimeLineInstance', 
                [], [], 
                '''                port 15-minute prbs performance data
                ''',
                'odu_minute15prbs_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15prbs-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('odu-minute15prbs-time-line-instances', REFERENCE_CLASS, 'OduMinute15PrbsTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_minute15prbs_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15prbs-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories',
            False, 
            [
            _MetaInfoClassMember('odu-minute15prbs-history', REFERENCE_LIST, 'OduMinute15PrbsHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory', 
                [], [], 
                '''                port 15-minute prbs performance data
                ''',
                'odu_minute15prbs_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15prbs-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxBitErr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxBitErr',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-bit-err',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxInvTyp' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxInvTyp',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-inv-typ',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxCrc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxCrc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-crc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxLfd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxLfd',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-lfd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxCsf' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxCsf',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-csf',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-bit-err', REFERENCE_CLASS, 'RxBitErr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxBitErr', 
                [], [], 
                '''                RX BIT ERR
                ''',
                'rx_bit_err',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-crc', REFERENCE_CLASS, 'RxCrc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxCrc', 
                [], [], 
                '''                RX CRC
                ''',
                'rx_crc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-csf', REFERENCE_CLASS, 'RxCsf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxCsf', 
                [], [], 
                '''                RX CSF
                ''',
                'rx_csf',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-inv-typ', REFERENCE_CLASS, 'RxInvTyp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxInvTyp', 
                [], [], 
                '''                RX INV TYP
                ''',
                'rx_inv_typ',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-lfd', REFERENCE_CLASS, 'RxLfd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxLfd', 
                [], [], 
                '''                RX LFD
                ''',
                'rx_lfd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15gfp-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('odu-minute15gfp-time-line-instance', REFERENCE_LIST, 'OduMinute15GfpTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'odu_minute15gfp_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15gfp-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('odu-minute15gfp-time-line-instances', REFERENCE_CLASS, 'OduMinute15GfpTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_minute15gfp_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15gfp-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories',
            False, 
            [
            _MetaInfoClassMember('odu-minute15gfp-history', REFERENCE_LIST, 'OduMinute15GfpHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'odu_minute15gfp_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15gfp-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15otn-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('odu-minute15otn-time-line-instance', REFERENCE_LIST, 'OduMinute15OtnTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'odu_minute15otn_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15otn-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('odu-minute15otn-time-line-instances', REFERENCE_CLASS, 'OduMinute15OtnTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_minute15otn_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15otn-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories',
            False, 
            [
            _MetaInfoClassMember('odu-minute15otn-history', REFERENCE_LIST, 'OduMinute15OtnHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'odu_minute15otn_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15otn-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History',
            False, 
            [
            _MetaInfoClassMember('odu-minute15gfp-histories', REFERENCE_CLASS, 'OduMinute15GfpHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_minute15gfp_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('odu-minute15otn-histories', REFERENCE_CLASS, 'OduMinute15OtnHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_minute15otn_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('odu-minute15prbs-histories', REFERENCE_CLASS, 'OduMinute15PrbsHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_minute15prbs_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-minute15-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('odu-hour24-history', REFERENCE_CLASS, 'OduHour24History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_hour24_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('odu-minute15-history', REFERENCE_CLASS, 'OduMinute15History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History', 
                [], [], 
                '''                port current performance data
                ''',
                'odu_minute15_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-port-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories',
            False, 
            [
            _MetaInfoClassMember('odu-port-history', REFERENCE_LIST, 'OduPortHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory', 
                [], [], 
                '''                Port performance data
                ''',
                'odu_port_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-port-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OduHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OduHistory',
            False, 
            [
            _MetaInfoClassMember('odu-port-histories', REFERENCE_CLASS, 'OduPortHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories', 
                [], [], 
                '''                Port performance data
                ''',
                'odu_port_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'odu-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30fec-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('otu-second30fec-time-line-instance', REFERENCE_LIST, 'OtuSecond30FecTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance', 
                [], [], 
                '''                port 30-second fec performance data
                ''',
                'otu_second30fec_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30fec-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('otu-second30fec-time-line-instances', REFERENCE_CLASS, 'OtuSecond30FecTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_second30fec_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30fec-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories',
            False, 
            [
            _MetaInfoClassMember('otu-second30fec-history', REFERENCE_LIST, 'OtuSecond30FecHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory', 
                [], [], 
                '''                port 30-second fec performance data
                ''',
                'otu_second30fec_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30fec-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30otn-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('otu-second30otn-time-line-instance', REFERENCE_LIST, 'OtuSecond30OtnTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance', 
                [], [], 
                '''                port 30-second otn performance data
                ''',
                'otu_second30otn_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30otn-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('otu-second30otn-time-line-instances', REFERENCE_CLASS, 'OtuSecond30OtnTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_second30otn_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30otn-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories',
            False, 
            [
            _MetaInfoClassMember('otu-second30otn-history', REFERENCE_LIST, 'OtuSecond30OtnHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory', 
                [], [], 
                '''                port 30-second otn performance data
                ''',
                'otu_second30otn_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30otn-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History',
            False, 
            [
            _MetaInfoClassMember('otu-second30fec-histories', REFERENCE_CLASS, 'OtuSecond30FecHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_second30fec_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('otu-second30otn-histories', REFERENCE_CLASS, 'OtuSecond30OtnHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_second30otn_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-second30-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15fec-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('otu-minute15fec-time-line-instance', REFERENCE_LIST, 'OtuMinute15FecTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance', 
                [], [], 
                '''                port 15-minute fec performance data
                ''',
                'otu_minute15fec_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15fec-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('otu-minute15fec-time-line-instances', REFERENCE_CLASS, 'OtuMinute15FecTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_minute15fec_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15fec-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories',
            False, 
            [
            _MetaInfoClassMember('otu-minute15fec-history', REFERENCE_LIST, 'OtuMinute15FecHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory', 
                [], [], 
                '''                port 15-minute fec performance data
                ''',
                'otu_minute15fec_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15fec-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15otn-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('otu-minute15otn-time-line-instance', REFERENCE_LIST, 'OtuMinute15OtnTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'otu_minute15otn_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15otn-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('otu-minute15otn-time-line-instances', REFERENCE_CLASS, 'OtuMinute15OtnTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_minute15otn_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15otn-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories',
            False, 
            [
            _MetaInfoClassMember('otu-minute15otn-history', REFERENCE_LIST, 'OtuMinute15OtnHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'otu_minute15otn_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15otn-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History',
            False, 
            [
            _MetaInfoClassMember('otu-minute15fec-histories', REFERENCE_CLASS, 'OtuMinute15FecHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_minute15fec_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('otu-minute15otn-histories', REFERENCE_CLASS, 'OtuMinute15OtnHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_minute15otn_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-minute15-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.Lbc',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesrNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesrNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.UasNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.UasNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BbeNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BbeNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BberNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BberNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.FcNe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.FcNe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-ne',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'es-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'esr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ses-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesrFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesrFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'sesr-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.UasFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.UasFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uas-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BbeFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BbeFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bbe-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BberFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BberFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'bber-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.FcFe' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.FcFe',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fc-fe',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('bbe-fe', REFERENCE_CLASS, 'BbeFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BbeFe', 
                [], [], 
                '''                BBE SM FE
                ''',
                'bbe_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bbe-ne', REFERENCE_CLASS, 'BbeNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BbeNe', 
                [], [], 
                '''                BBE SM NE
                ''',
                'bbe_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-fe', REFERENCE_CLASS, 'BberFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BberFe', 
                [], [], 
                '''                BBER SM FE
                ''',
                'bber_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('bber-ne', REFERENCE_CLASS, 'BberNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BberNe', 
                [], [], 
                '''                BBER SM NE
                ''',
                'bber_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-fe', REFERENCE_CLASS, 'EsFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsFe', 
                [], [], 
                '''                ES SM FE
                ''',
                'es_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('es-ne', REFERENCE_CLASS, 'EsNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsNe', 
                [], [], 
                '''                ES SM NE
                ''',
                'es_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-fe', REFERENCE_CLASS, 'EsrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsrFe', 
                [], [], 
                '''                ESR PM FE
                ''',
                'esr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('esr-ne', REFERENCE_CLASS, 'EsrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsrNe', 
                [], [], 
                '''                ESR PM NE
                ''',
                'esr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-fe', REFERENCE_CLASS, 'FcFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.FcFe', 
                [], [], 
                '''                FC SM FE
                ''',
                'fc_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('fc-ne', REFERENCE_CLASS, 'FcNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.FcNe', 
                [], [], 
                '''                FC SM NE
                ''',
                'fc_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-fe', REFERENCE_CLASS, 'SesFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesFe', 
                [], [], 
                '''                SES SM FE
                ''',
                'ses_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ses-ne', REFERENCE_CLASS, 'SesNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesNe', 
                [], [], 
                '''                SES SM NE
                ''',
                'ses_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-fe', REFERENCE_CLASS, 'SesrFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesrFe', 
                [], [], 
                '''                SESR SM FE
                ''',
                'sesr_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sesr-ne', REFERENCE_CLASS, 'SesrNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesrNe', 
                [], [], 
                '''                SESR SM NE
                ''',
                'sesr_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-fe', REFERENCE_CLASS, 'UasFe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.UasFe', 
                [], [], 
                '''                UAS SM FE
                ''',
                'uas_fe',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uas-ne', REFERENCE_CLASS, 'UasNe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.UasNe', 
                [], [], 
                '''                UAS SM NE
                ''',
                'uas_ne',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24otn-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('otu-hour24otn-time-line-instance', REFERENCE_LIST, 'OtuHour24OtnTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'otu_hour24otn_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24otn-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('otu-hour24otn-time-line-instances', REFERENCE_CLASS, 'OtuHour24OtnTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_hour24otn_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24otn-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories',
            False, 
            [
            _MetaInfoClassMember('otu-hour24otn-history', REFERENCE_LIST, 'OtuHour24OtnHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory', 
                [], [], 
                '''                port 24 hour otn performance data
                ''',
                'otu_hour24otn_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24otn-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24fec-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('otu-hour24fec-time-line-instance', REFERENCE_LIST, 'OtuHour24FecTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance', 
                [], [], 
                '''                port 15-minute fec performance data
                ''',
                'otu_hour24fec_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24fec-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('otu-hour24fec-time-line-instances', REFERENCE_CLASS, 'OtuHour24FecTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_hour24fec_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24fec-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories',
            False, 
            [
            _MetaInfoClassMember('otu-hour24fec-history', REFERENCE_LIST, 'OtuHour24FecHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory', 
                [], [], 
                '''                port 24 hour fec performance data
                ''',
                'otu_hour24fec_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24fec-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History',
            False, 
            [
            _MetaInfoClassMember('otu-hour24fec-histories', REFERENCE_CLASS, 'OtuHour24FecHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_hour24fec_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('otu-hour24otn-histories', REFERENCE_CLASS, 'OtuHour24OtnHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'otu_hour24otn_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-hour24-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('otu-hour24-history', REFERENCE_CLASS, 'OtuHour24History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_hour24_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('otu-minute15-history', REFERENCE_CLASS, 'OtuMinute15History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_minute15_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('otu-second30-history', REFERENCE_CLASS, 'OtuSecond30History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History', 
                [], [], 
                '''                port current performance data
                ''',
                'otu_second30_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-port-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories',
            False, 
            [
            _MetaInfoClassMember('otu-port-history', REFERENCE_LIST, 'OtuPortHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory', 
                [], [], 
                '''                Port performance data
                ''',
                'otu_port_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-port-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OtuHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OtuHistory',
            False, 
            [
            _MetaInfoClassMember('otu-port-histories', REFERENCE_CLASS, 'OtuPortHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories', 
                [], [], 
                '''                Port performance data
                ''',
                'otu_port_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'otu-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathBbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathBbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-bb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path',
            False, 
            [
            _MetaInfoClassMember('path-bb-es', REFERENCE_CLASS, 'PathBbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathBbEs', 
                [], [], 
                '''                The number of background block errors
                ''',
                'path_bb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-bbe-rs', REFERENCE_CLASS, 'PathBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathBbeRs', 
                [], [], 
                '''                The number of background block errors
                ''',
                'path_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-bs', REFERENCE_CLASS, 'PathEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathEBs', 
                [], [], 
                '''                The number of Errored blocks
                ''',
                'path_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-ss', REFERENCE_CLASS, 'PathESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-es-rs', REFERENCE_CLASS, 'PathEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathEsRs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-se-ss', REFERENCE_CLASS, 'PathSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ses-rs', REFERENCE_CLASS, 'PathSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathSesRs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'path_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ua-ss', REFERENCE_CLASS, 'PathUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.FePath' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.FePath',
            False, 
            [
            _MetaInfoClassMember('far-end-path-c-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-e-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-se-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-ua-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-path', REFERENCE_CLASS, 'FePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.FePath', 
                [], [], 
                '''                Far End PATH
                ''',
                'fe_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path', 
                [], [], 
                '''                PATH
                ''',
                'path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-minute15-path-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('ho-vc-minute15-path-time-line-instance', REFERENCE_LIST, 'HoVcMinute15PathTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance', 
                [], [], 
                '''                port 15-minute ho_vc performance data
                ''',
                'ho_vc_minute15_path_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-minute15-path-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ho-vc-minute15-path-time-line-instances', REFERENCE_CLASS, 'HoVcMinute15PathTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'ho_vc_minute15_path_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-minute15-path-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories',
            False, 
            [
            _MetaInfoClassMember('ho-vc-minute15-path-history', REFERENCE_LIST, 'HoVcMinute15PathHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory', 
                [], [], 
                '''                port 15-minute Path performance data
                ''',
                'ho_vc_minute15_path_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-minute15-path-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History',
            False, 
            [
            _MetaInfoClassMember('ho-vc-minute15-path-histories', REFERENCE_CLASS, 'HoVcMinute15PathHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'ho_vc_minute15_path_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-minute15-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathEsRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathEsRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-es-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathSesRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathSesRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ses-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathEBs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathEBs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-e-bs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathBbEs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathBbEs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-bb-es',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathBbeRs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathBbeRs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [(0, 8)], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path-bbe-rs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path',
            False, 
            [
            _MetaInfoClassMember('path-bb-es', REFERENCE_CLASS, 'PathBbEs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathBbEs', 
                [], [], 
                '''                The number of background block errors
                ''',
                'path_bb_es',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-bbe-rs', REFERENCE_CLASS, 'PathBbeRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathBbeRs', 
                [], [], 
                '''                The number of background block errors
                ''',
                'path_bbe_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-bs', REFERENCE_CLASS, 'PathEBs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathEBs', 
                [], [], 
                '''                The number of Errored blocks
                ''',
                'path_e_bs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-e-ss', REFERENCE_CLASS, 'PathESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-es-rs', REFERENCE_CLASS, 'PathEsRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathEsRs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'path_es_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-se-ss', REFERENCE_CLASS, 'PathSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ses-rs', REFERENCE_CLASS, 'PathSesRs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathSesRs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'path_ses_rs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'path_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path-ua-ss', REFERENCE_CLASS, 'PathUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.FePath' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.FePath',
            False, 
            [
            _MetaInfoClassMember('far-end-path-c-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_path_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-e-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_path_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-se-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_path_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-path-ua-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_path_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-path',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-path', REFERENCE_CLASS, 'FePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.FePath', 
                [], [], 
                '''                Far End PATH
                ''',
                'fe_path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path', 
                [], [], 
                '''                PATH
                ''',
                'path',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-hour24-path-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('ho-vc-hour24-path-time-line-instance', REFERENCE_LIST, 'HoVcHour24PathTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'ho_vc_hour24_path_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-hour24-path-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ho-vc-hour24-path-time-line-instances', REFERENCE_CLASS, 'HoVcHour24PathTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'ho_vc_hour24_path_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-hour24-path-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories',
            False, 
            [
            _MetaInfoClassMember('ho-vc-hour24-path-history', REFERENCE_LIST, 'HoVcHour24PathHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory', 
                [], [], 
                '''                port 24 hour Path performance data
                ''',
                'ho_vc_hour24_path_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-hour24-path-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History',
            False, 
            [
            _MetaInfoClassMember('ho-vc-hour24-path-histories', REFERENCE_CLASS, 'HoVcHour24PathHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'ho_vc_hour24_path_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-hour24-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ho-vc-hour24-history', REFERENCE_CLASS, 'HoVcHour24History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History', 
                [], [], 
                '''                port current performance data
                ''',
                'ho_vc_hour24_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ho-vc-minute15-history', REFERENCE_CLASS, 'HoVcMinute15History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History', 
                [], [], 
                '''                port current performance data
                ''',
                'ho_vc_minute15_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-port-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories',
            False, 
            [
            _MetaInfoClassMember('ho-vc-port-history', REFERENCE_LIST, 'HoVcPortHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory', 
                [], [], 
                '''                Port performance data
                ''',
                'ho_vc_port_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-port-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.HoVcHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.HoVcHistory',
            False, 
            [
            _MetaInfoClassMember('ho-vc-port-histories', REFERENCE_CLASS, 'HoVcPortHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories', 
                [], [], 
                '''                Port performance data
                ''',
                'ho_vc_port_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ho-vc-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Lbc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.LbcPc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.LbcPc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc-pc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Opt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Opt',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Opr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Opr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Cd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Cd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'cd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Dgd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Dgd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dgd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pmd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pmd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pmd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Osnr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Osnr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'osnr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.CenterWavelength' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.CenterWavelength',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'center-wavelength',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pdl' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pdl',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pdl',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pcr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pcr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pcr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pn',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.RxSigPow' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.RxSigPow',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-sig-pow',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.LowSigFreqOff' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.LowSigFreqOff',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'low-sig-freq-off',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('cd', REFERENCE_CLASS, 'Cd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Cd', 
                [], [], 
                '''                Chromatic Dispersion
                ''',
                'cd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('center-wavelength', REFERENCE_CLASS, 'CenterWavelength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.CenterWavelength', 
                [], [], 
                '''                Center Wavelength/Frequency
                ''',
                'center_wavelength',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dgd', REFERENCE_CLASS, 'Dgd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Dgd', 
                [], [], 
                '''                Differential group Delay
                ''',
                'dgd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc-pc', REFERENCE_CLASS, 'LbcPc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.LbcPc', 
                [], [], 
                '''                LBC in percentage
                ''',
                'lbc_pc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('low-sig-freq-off', REFERENCE_CLASS, 'LowSigFreqOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.LowSigFreqOff', 
                [], [], 
                '''                low freq sig off
                ''',
                'low_sig_freq_off',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opr', REFERENCE_CLASS, 'Opr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Opr', 
                [], [], 
                '''                OPR
                ''',
                'opr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opt', REFERENCE_CLASS, 'Opt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Opt', 
                [], [], 
                '''                OPT
                ''',
                'opt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('osnr', REFERENCE_CLASS, 'Osnr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Osnr', 
                [], [], 
                '''                Optical Signal to Noise Ratio
                ''',
                'osnr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pcr', REFERENCE_CLASS, 'Pcr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pcr', 
                [], [], 
                '''                Polarization Change Rate
                ''',
                'pcr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pdl', REFERENCE_CLASS, 'Pdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pdl', 
                [], [], 
                '''                Polarization Dependent Loss
                ''',
                'pdl',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pmd', REFERENCE_CLASS, 'Pmd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pmd', 
                [], [], 
                '''                Polarization Mode Dispersion
                ''',
                'pmd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pn', REFERENCE_CLASS, 'Pn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pn', 
                [], [], 
                '''                Phase Noise
                ''',
                'pn',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-sig-pow', REFERENCE_CLASS, 'RxSigPow' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.RxSigPow', 
                [], [], 
                '''                Rx signal power
                ''',
                'rx_sig_pow',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24-optics-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('optics-hour24-optics-time-line-instance', REFERENCE_LIST, 'OpticsHour24OpticsTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'optics_hour24_optics_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24-optics-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('optics-hour24-optics-time-line-instances', REFERENCE_CLASS, 'OpticsHour24OpticsTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_hour24_optics_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24-optics-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories',
            False, 
            [
            _MetaInfoClassMember('optics-hour24-optics-history', REFERENCE_LIST, 'OpticsHour24OpticsHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory', 
                [], [], 
                '''                port 24 hour optics performance data
                ''',
                'optics_hour24_optics_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24-optics-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24fec-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('optics-hour24fec-time-line-instance', REFERENCE_LIST, 'OpticsHour24FecTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance', 
                [], [], 
                '''                port 15-minute fec performance data
                ''',
                'optics_hour24fec_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24fec-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('optics-hour24fec-time-line-instances', REFERENCE_CLASS, 'OpticsHour24FecTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_hour24fec_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24fec-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories',
            False, 
            [
            _MetaInfoClassMember('optics-hour24fec-history', REFERENCE_LIST, 'OpticsHour24FecHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory', 
                [], [], 
                '''                port 24 hour fec performance data
                ''',
                'optics_hour24fec_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24fec-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History',
            False, 
            [
            _MetaInfoClassMember('optics-hour24-optics-histories', REFERENCE_CLASS, 'OpticsHour24OpticsHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories', 
                [], [], 
                '''                port 24 hour performance data
                ''',
                'optics_hour24_optics_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('optics-hour24fec-histories', REFERENCE_CLASS, 'OpticsHour24FecHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_hour24fec_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-hour24-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Lbc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.LbcPc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.LbcPc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc-pc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Opt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Opt',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Opr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Opr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Cd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Cd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'cd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Dgd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Dgd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dgd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pmd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pmd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pmd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Osnr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Osnr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'osnr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.CenterWavelength' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.CenterWavelength',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'center-wavelength',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pdl' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pdl',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pdl',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pcr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pcr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pcr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pn',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.RxSigPow' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.RxSigPow',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-sig-pow',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.LowSigFreqOff' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.LowSigFreqOff',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'low-sig-freq-off',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('cd', REFERENCE_CLASS, 'Cd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Cd', 
                [], [], 
                '''                Chromatic Dispersion
                ''',
                'cd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('center-wavelength', REFERENCE_CLASS, 'CenterWavelength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.CenterWavelength', 
                [], [], 
                '''                Center Wavelength/Frequency
                ''',
                'center_wavelength',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dgd', REFERENCE_CLASS, 'Dgd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Dgd', 
                [], [], 
                '''                Differential group Delay
                ''',
                'dgd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc-pc', REFERENCE_CLASS, 'LbcPc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.LbcPc', 
                [], [], 
                '''                LBC in percentage
                ''',
                'lbc_pc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('low-sig-freq-off', REFERENCE_CLASS, 'LowSigFreqOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.LowSigFreqOff', 
                [], [], 
                '''                low freq sig off
                ''',
                'low_sig_freq_off',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opr', REFERENCE_CLASS, 'Opr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Opr', 
                [], [], 
                '''                OPR
                ''',
                'opr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opt', REFERENCE_CLASS, 'Opt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Opt', 
                [], [], 
                '''                OPT
                ''',
                'opt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('osnr', REFERENCE_CLASS, 'Osnr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Osnr', 
                [], [], 
                '''                Optical Signal to Noise Ratio
                ''',
                'osnr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pcr', REFERENCE_CLASS, 'Pcr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pcr', 
                [], [], 
                '''                Polarization Change Rate
                ''',
                'pcr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pdl', REFERENCE_CLASS, 'Pdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pdl', 
                [], [], 
                '''                Polarization Dependent Loss
                ''',
                'pdl',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pmd', REFERENCE_CLASS, 'Pmd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pmd', 
                [], [], 
                '''                Polarization Mode Dispersion
                ''',
                'pmd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pn', REFERENCE_CLASS, 'Pn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pn', 
                [], [], 
                '''                Phase Noise
                ''',
                'pn',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-sig-pow', REFERENCE_CLASS, 'RxSigPow' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.RxSigPow', 
                [], [], 
                '''                Rx signal power
                ''',
                'rx_sig_pow',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30-optics-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('optics-second30-optics-time-line-instance', REFERENCE_LIST, 'OpticsSecond30OpticsTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance', 
                [], [], 
                '''                port 30 second otn performance data
                ''',
                'optics_second30_optics_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30-optics-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('optics-second30-optics-time-line-instances', REFERENCE_CLASS, 'OpticsSecond30OpticsTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_second30_optics_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30-optics-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories',
            False, 
            [
            _MetaInfoClassMember('optics-second30-optics-history', REFERENCE_LIST, 'OpticsSecond30OpticsHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory', 
                [], [], 
                '''                port 30-second optics performance data
                ''',
                'optics_second30_optics_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30-optics-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30fec-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('optics-second30fec-time-line-instance', REFERENCE_LIST, 'OpticsSecond30FecTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance', 
                [], [], 
                '''                port sec-30 fec performance data
                ''',
                'optics_second30fec_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30fec-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('optics-second30fec-time-line-instances', REFERENCE_CLASS, 'OpticsSecond30FecTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_second30fec_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30fec-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories',
            False, 
            [
            _MetaInfoClassMember('optics-second30fec-history', REFERENCE_LIST, 'OpticsSecond30FecHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory', 
                [], [], 
                '''                port 30-second fec performance data
                ''',
                'optics_second30fec_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30fec-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History',
            False, 
            [
            _MetaInfoClassMember('optics-second30-optics-histories', REFERENCE_CLASS, 'OpticsSecond30OpticsHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_second30_optics_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('optics-second30fec-histories', REFERENCE_CLASS, 'OpticsSecond30FecHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_second30fec_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-second30-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Lbc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Lbc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.LbcPc' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.LbcPc',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'lbc-pc',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Opt' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Opt',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opt',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Opr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Opr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'opr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Cd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Cd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'cd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Dgd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Dgd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'dgd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pmd' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pmd',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pmd',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Osnr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Osnr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'osnr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.CenterWavelength' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.CenterWavelength',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'center-wavelength',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pdl' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pdl',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pdl',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pcr' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pcr',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pcr',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pn' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pn',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pn',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.RxSigPow' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.RxSigPow',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'rx-sig-pow',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.LowSigFreqOff' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.LowSigFreqOff',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on max
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'low-sig-freq-off',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('cd', REFERENCE_CLASS, 'Cd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Cd', 
                [], [], 
                '''                Chromatic Dispersion
                ''',
                'cd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('center-wavelength', REFERENCE_CLASS, 'CenterWavelength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.CenterWavelength', 
                [], [], 
                '''                Center Wavelength/Frequency
                ''',
                'center_wavelength',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('dgd', REFERENCE_CLASS, 'Dgd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Dgd', 
                [], [], 
                '''                Differential group Delay
                ''',
                'dgd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc', REFERENCE_CLASS, 'Lbc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Lbc', 
                [], [], 
                '''                LBC
                ''',
                'lbc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('lbc-pc', REFERENCE_CLASS, 'LbcPc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.LbcPc', 
                [], [], 
                '''                LBC in percentage
                ''',
                'lbc_pc',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('low-sig-freq-off', REFERENCE_CLASS, 'LowSigFreqOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.LowSigFreqOff', 
                [], [], 
                '''                low freq sig off
                ''',
                'low_sig_freq_off',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opr', REFERENCE_CLASS, 'Opr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Opr', 
                [], [], 
                '''                OPR
                ''',
                'opr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('opt', REFERENCE_CLASS, 'Opt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Opt', 
                [], [], 
                '''                OPT
                ''',
                'opt',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('osnr', REFERENCE_CLASS, 'Osnr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Osnr', 
                [], [], 
                '''                Optical Signal to Noise Ratio
                ''',
                'osnr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pcr', REFERENCE_CLASS, 'Pcr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pcr', 
                [], [], 
                '''                Polarization Change Rate
                ''',
                'pcr',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pdl', REFERENCE_CLASS, 'Pdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pdl', 
                [], [], 
                '''                Polarization Dependent Loss
                ''',
                'pdl',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pmd', REFERENCE_CLASS, 'Pmd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pmd', 
                [], [], 
                '''                Polarization Mode Dispersion
                ''',
                'pmd',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pn', REFERENCE_CLASS, 'Pn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pn', 
                [], [], 
                '''                Phase Noise
                ''',
                'pn',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('rx-sig-pow', REFERENCE_CLASS, 'RxSigPow' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.RxSigPow', 
                [], [], 
                '''                Rx signal power
                ''',
                'rx_sig_pow',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15-optics-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('optics-minute15-optics-time-line-instance', REFERENCE_LIST, 'OpticsMinute15OpticsTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'optics_minute15_optics_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15-optics-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('optics-minute15-optics-time-line-instances', REFERENCE_CLASS, 'OpticsMinute15OpticsTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_minute15_optics_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15-optics-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories',
            False, 
            [
            _MetaInfoClassMember('optics-minute15-optics-history', REFERENCE_LIST, 'OpticsMinute15OpticsHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory', 
                [], [], 
                '''                port 15-minute optics performance data
                ''',
                'optics_minute15_optics_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15-optics-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.EcBits' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.EcBits',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'ec-bits',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.UcWords' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.UcWords',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'uc-words',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.PreFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.PreFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'pre-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.PostFecBer' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.PostFecBer',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'post-fec-ber',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.Q' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.Q',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'q',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.Qmargin' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.Qmargin',
            False, 
            [
            _MetaInfoClassMember('average', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                average
                ''',
                'average',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum
                ''',
                'maximum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'maximum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('maximum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                maximum threshold
                ''',
                'maximum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimum
                ''',
                'minimum',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA on min
                ''',
                'minimum_tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('minimum-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                minimun threshold
                ''',
                'minimum_threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'qmargin',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('ec-bits', REFERENCE_CLASS, 'EcBits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.EcBits', 
                [], [], 
                '''                EC BITS
                ''',
                'ec_bits',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear30-sec-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear30_sec_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('post-fec-ber', REFERENCE_CLASS, 'PostFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.PostFecBer', 
                [], [], 
                '''                Post FEC BER
                ''',
                'post_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('pre-fec-ber', REFERENCE_CLASS, 'PreFecBer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.PreFecBer', 
                [], [], 
                '''                Pre FEC BER
                ''',
                'pre_fec_ber',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('q', REFERENCE_CLASS, 'Q' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.Q', 
                [], [], 
                '''                Q
                ''',
                'q',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('qmargin', REFERENCE_CLASS, 'Qmargin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.Qmargin', 
                [], [], 
                '''                Q Margin
                ''',
                'qmargin',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sec30-support', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                30 sec support
                ''',
                'sec30_support',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('uc-words', REFERENCE_CLASS, 'UcWords' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.UcWords', 
                [], [], 
                '''                UC WORDS
                ''',
                'uc_words',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15fec-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('optics-minute15fec-time-line-instance', REFERENCE_LIST, 'OpticsMinute15FecTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance', 
                [], [], 
                '''                port 15-minute fec performance data
                ''',
                'optics_minute15fec_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15fec-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('optics-minute15fec-time-line-instances', REFERENCE_CLASS, 'OpticsMinute15FecTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_minute15fec_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15fec-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories',
            False, 
            [
            _MetaInfoClassMember('optics-minute15fec-history', REFERENCE_LIST, 'OpticsMinute15FecHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory', 
                [], [], 
                '''                port 15-minute fec performance data
                ''',
                'optics_minute15fec_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15fec-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History',
            False, 
            [
            _MetaInfoClassMember('optics-minute15-optics-histories', REFERENCE_CLASS, 'OpticsMinute15OpticsHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_minute15_optics_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('optics-minute15fec-histories', REFERENCE_CLASS, 'OpticsMinute15FecHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_minute15fec_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-minute15-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('optics-hour24-history', REFERENCE_CLASS, 'OpticsHour24History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_hour24_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('optics-minute15-history', REFERENCE_CLASS, 'OpticsMinute15History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_minute15_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('optics-second30-history', REFERENCE_CLASS, 'OpticsSecond30History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History', 
                [], [], 
                '''                port current performance data
                ''',
                'optics_second30_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-port-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories',
            False, 
            [
            _MetaInfoClassMember('optics-port-history', REFERENCE_LIST, 'OpticsPortHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory', 
                [], [], 
                '''                Port performance data
                ''',
                'optics_port_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-port-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OpticsHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OpticsHistory',
            False, 
            [
            _MetaInfoClassMember('optics-port-histories', REFERENCE_CLASS, 'OpticsPortHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories', 
                [], [], 
                '''                Port performance data
                ''',
                'optics_port_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'optics-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionSefSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionSefSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-sef-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section',
            False, 
            [
            _MetaInfoClassMember('section-c-vs', REFERENCE_CLASS, 'SectionCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'section_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-ss', REFERENCE_CLASS, 'SectionESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'section_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-se-ss', REFERENCE_CLASS, 'SectionSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'section_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-sef-ss', REFERENCE_CLASS, 'SectionSefSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionSefSs', 
                [], [], 
                '''                The number of Severely Errored Framing Seconds
                ''',
                'section_sef_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'section_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line',
            False, 
            [
            _MetaInfoClassMember('line-c-vs', REFERENCE_CLASS, 'LineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-ss', REFERENCE_CLASS, 'LineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-fc-ls', REFERENCE_CLASS, 'LineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-se-ss', REFERENCE_CLASS, 'LineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'line_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ua-ss', REFERENCE_CLASS, 'LineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine',
            False, 
            [
            _MetaInfoClassMember('far-end-line-c-vs', REFERENCE_CLASS, 'FarEndLineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-ss', REFERENCE_CLASS, 'FarEndLineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-fc-ls', REFERENCE_CLASS, 'FarEndLineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'far_end_line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-se-ss', REFERENCE_CLASS, 'FarEndLineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ua-ss', REFERENCE_CLASS, 'FarEndLineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-line', REFERENCE_CLASS, 'FeLine' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine', 
                [], [], 
                '''                FarEnd LINE
                ''',
                'fe_line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line', 
                [], [], 
                '''                LINE
                ''',
                'line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section', 
                [], [], 
                '''                SECTION
                ''',
                'section',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-hour24ocn-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('oc-hour24ocn-time-line-instance', REFERENCE_LIST, 'OcHour24OcnTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance', 
                [], [], 
                '''                port 15-minute otn performance data
                ''',
                'oc_hour24ocn_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-hour24ocn-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('oc-hour24ocn-time-line-instances', REFERENCE_CLASS, 'OcHour24OcnTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'oc_hour24ocn_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-hour24ocn-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories',
            False, 
            [
            _MetaInfoClassMember('oc-hour24ocn-history', REFERENCE_LIST, 'OcHour24OcnHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory', 
                [], [], 
                '''                port 24 hour ocn performance data
                ''',
                'oc_hour24ocn_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-hour24ocn-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History',
            False, 
            [
            _MetaInfoClassMember('oc-hour24ocn-histories', REFERENCE_CLASS, 'OcHour24OcnHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'oc_hour24ocn_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-hour24-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionSefSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionSefSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-sef-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section',
            False, 
            [
            _MetaInfoClassMember('section-c-vs', REFERENCE_CLASS, 'SectionCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'section_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-e-ss', REFERENCE_CLASS, 'SectionESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'section_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-se-ss', REFERENCE_CLASS, 'SectionSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'section_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-sef-ss', REFERENCE_CLASS, 'SectionSefSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionSefSs', 
                [], [], 
                '''                The number of Severely Errored Framing Seconds
                ''',
                'section_sef_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'section_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line',
            False, 
            [
            _MetaInfoClassMember('line-c-vs', REFERENCE_CLASS, 'LineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-e-ss', REFERENCE_CLASS, 'LineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-fc-ls', REFERENCE_CLASS, 'LineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-se-ss', REFERENCE_CLASS, 'LineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                 status of the interface
                ''',
                'line_status',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line-ua-ss', REFERENCE_CLASS, 'LineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineESs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineESs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-e-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineSeSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineSeSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-se-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineCVs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineCVs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-c-vs',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineUaSs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineUaSs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-ua-ss',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineFcLs' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineFcLs',
            False, 
            [
            _MetaInfoClassMember('data', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the number in the interval
                ''',
                'data',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('tca-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                enable/disable to report TCA
                ''',
                'tca_report',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                the threshold users set
                ''',
                'threshold',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'far-end-line-fc-ls',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine',
            False, 
            [
            _MetaInfoClassMember('far-end-line-c-vs', REFERENCE_CLASS, 'FarEndLineCVs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineCVs', 
                [], [], 
                '''                The number of Coding Violations
                ''',
                'far_end_line_c_vs',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-e-ss', REFERENCE_CLASS, 'FarEndLineESs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineESs', 
                [], [], 
                '''                The number of Errored Seconds
                ''',
                'far_end_line_e_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-fc-ls', REFERENCE_CLASS, 'FarEndLineFcLs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineFcLs', 
                [], [], 
                '''                The number of Failure counts Seconds
                ''',
                'far_end_line_fc_ls',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-se-ss', REFERENCE_CLASS, 'FarEndLineSeSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineSeSs', 
                [], [], 
                '''                The number of Severely Errored Seconds
                ''',
                'far_end_line_se_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('far-end-line-ua-ss', REFERENCE_CLASS, 'FarEndLineUaSs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineUaSs', 
                [], [], 
                '''                The number of Unavailable Seconds
                ''',
                'far_end_line_ua_ss',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'fe-line',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                History Index number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('fe-line', REFERENCE_CLASS, 'FeLine' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine', 
                [], [], 
                '''                FarEnd LINE
                ''',
                'fe_line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                index
                ''',
                'index',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear15-min-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear15_min_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear24-hr-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear24_hr_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('last-clear-time', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                last clear time
                ''',
                'last_clear_time',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line', 
                [], [], 
                '''                LINE
                ''',
                'line',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section', 
                [], [], 
                '''                SECTION
                ''',
                'section',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                timestamp
                ''',
                'timestamp',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                valid
                ''',
                'valid',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-minute15ocn-time-line-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances',
            False, 
            [
            _MetaInfoClassMember('oc-minute15ocn-time-line-instance', REFERENCE_LIST, 'OcMinute15OcnTimeLineInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance', 
                [], [], 
                '''                port 15-minute ocn performance data
                ''',
                'oc_minute15ocn_time_line_instance',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-minute15ocn-time-line-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                channel number
                ''',
                'number',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('oc-minute15ocn-time-line-instances', REFERENCE_CLASS, 'OcMinute15OcnTimeLineInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances', 
                [], [], 
                '''                port current performance data
                ''',
                'oc_minute15ocn_time_line_instances',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-minute15ocn-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories',
            False, 
            [
            _MetaInfoClassMember('oc-minute15ocn-history', REFERENCE_LIST, 'OcMinute15OcnHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory', 
                [], [], 
                '''                port 15-minute ocn performance data
                ''',
                'oc_minute15ocn_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-minute15ocn-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History',
            False, 
            [
            _MetaInfoClassMember('oc-minute15ocn-histories', REFERENCE_CLASS, 'OcMinute15OcnHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories', 
                [], [], 
                '''                port current performance data
                ''',
                'oc_minute15ocn_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-minute15-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Port name
                ''',
                'name',
                'Cisco-IOS-XR-pmengine-oper', True),
            _MetaInfoClassMember('oc-hour24-history', REFERENCE_CLASS, 'OcHour24History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History', 
                [], [], 
                '''                port current performance data
                ''',
                'oc_hour24_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('oc-minute15-history', REFERENCE_CLASS, 'OcMinute15History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History', 
                [], [], 
                '''                port current performance data
                ''',
                'oc_minute15_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-port-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories',
            False, 
            [
            _MetaInfoClassMember('oc-port-history', REFERENCE_LIST, 'OcPortHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory', 
                [], [], 
                '''                Port performance data
                ''',
                'oc_port_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-port-histories',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic.OcHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic.OcHistory',
            False, 
            [
            _MetaInfoClassMember('oc-port-histories', REFERENCE_CLASS, 'OcPortHistories' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories', 
                [], [], 
                '''                Port performance data
                ''',
                'oc_port_histories',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'oc-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_.Periodic' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_.Periodic',
            False, 
            [
            _MetaInfoClassMember('dwdm-history', REFERENCE_CLASS, 'DwdmHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.DwdmHistory', 
                [], [], 
                '''                DWDM controller History performance data
                ''',
                'dwdm_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ethernet-history', REFERENCE_CLASS, 'EthernetHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.EthernetHistory', 
                [], [], 
                '''                EHERNET controller History performance data
                ''',
                'ethernet_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('ho-vc-history', REFERENCE_CLASS, 'HoVcHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.HoVcHistory', 
                [], [], 
                '''                HO_VC controller History performance data
                ''',
                'ho_vc_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('oc-history', REFERENCE_CLASS, 'OcHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OcHistory', 
                [], [], 
                '''                OC controller History performance data
                ''',
                'oc_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('odu-history', REFERENCE_CLASS, 'OduHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OduHistory', 
                [], [], 
                '''                ODU controller History performance data
                ''',
                'odu_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('optics-history', REFERENCE_CLASS, 'OpticsHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OpticsHistory', 
                [], [], 
                '''                OPTICS controller History performance data
                ''',
                'optics_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('otu-history', REFERENCE_CLASS, 'OtuHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.OtuHistory', 
                [], [], 
                '''                OTU controller History performance data
                ''',
                'otu_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sonet-history', REFERENCE_CLASS, 'SonetHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.SonetHistory', 
                [], [], 
                '''                SONET controller History performance data
                ''',
                'sonet_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('stm-history', REFERENCE_CLASS, 'StmHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StmHistory', 
                [], [], 
                '''                STM controller History performance data
                ''',
                'stm_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            _MetaInfoClassMember('sts-history', REFERENCE_CLASS, 'StsHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic.StsHistory', 
                [], [], 
                '''                STS controller History performance data
                ''',
                'sts_history',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'periodic',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory.Global_' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory.Global_',
            False, 
            [
            _MetaInfoClassMember('periodic', REFERENCE_CLASS, 'Periodic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_.Periodic', 
                [], [], 
                '''                History performace data
                ''',
                'periodic',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
    'PerformanceManagementHistory' : {
        'meta_info' : _MetaInfoClass('PerformanceManagementHistory',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper', 'PerformanceManagementHistory.Global_', 
                [], [], 
                '''                global History performace data
                ''',
                'global_',
                'Cisco-IOS-XR-pmengine-oper', False),
            ],
            'Cisco-IOS-XR-pmengine-oper',
            'performance-management-history',
            _yang_ns._namespaces['Cisco-IOS-XR-pmengine-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_pmengine_oper'
        ),
    },
}
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathESs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathEsRs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathSesRs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathEBs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathBbEs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path.PathBbeRs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.Path']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path.FePath']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths.HoVcHour24Path']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24.HoVcHour24Paths']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathESs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathEsRs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathSesRs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathEBs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathBbEs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path.PathBbeRs']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.Path']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path.FePath']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths.HoVcMinute15Path']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15.HoVcMinute15Paths']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcHour24']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent.HoVcMinute15']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort.HoVcCurrent']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts.HoVcPort']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc.HoVcPorts']['meta_info']
_meta_table['PerformanceManagement.HoVc.HoVcPorts']['meta_info'].parent =_meta_table['PerformanceManagement.HoVc']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxBitErr']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxInvTyp']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxCrc']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxLfd']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp.RxCsf']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps.OduMinute15Gfp']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses.OduMinute15Prbs.RcvPatt']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses.OduMinute15Prbs']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses.OduMinute15Prbs']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.Lbc']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.UasNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BberNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.FcNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.UasFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.BberFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn.FcFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns.OduMinute15Otn']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Gfps']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Prbses']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15.OduMinute15Otns']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses.OduHour24Prbs.RcvPatt']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses.OduHour24Prbs']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses.OduHour24Prbs']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxBitErr']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxInvTyp']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxCrc']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxLfd']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp.RxCsf']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps.OduHour24Gfp']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.Lbc']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.UasNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BberNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.FcNe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.UasFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.BberFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn.FcFe']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns.OduHour24Otn']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Prbses']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Gfps']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24.OduHour24Otns']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduMinute15']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent.OduHour24']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort.OduCurrent']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts.OduPort']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts.OduPort']['meta_info'].parent =_meta_table['PerformanceManagement.Odu.OduPorts']['meta_info']
_meta_table['PerformanceManagement.Odu.OduPorts']['meta_info'].parent =_meta_table['PerformanceManagement.Odu']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.EcBits']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.UcWords']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.Q']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs.OtuMinute15Fec']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.Lbc']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.UasNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BberNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.FcNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.UasFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.BberFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn.FcFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns.OtuMinute15Otn']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Fecs']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15.OtuMinute15Otns']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.EcBits']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.UcWords']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.Q']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs.OtuSecond30Fec']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.Lbc']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.UasNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BberNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.FcNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.UasFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.BberFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn.FcFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns.OtuSecond30Otn']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Fecs']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30.OtuSecond30Otns']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.EcBits']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.UcWords']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.Q']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs.OtuHour24Fec']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.Lbc']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.UasNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BberNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.FcNe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.UasFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.BberFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn.FcFe']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns.OtuHour24Otn']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Fecs']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24.OtuHour24Otns']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuMinute15']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuSecond30']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent.OtuHour24']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort.OtuCurrent']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts.OtuPort']['meta_info'].parent =_meta_table['PerformanceManagement.Otu.OtuPorts']['meta_info']
_meta_table['PerformanceManagement.Otu.OtuPorts']['meta_info'].parent =_meta_table['PerformanceManagement.Otu']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionESs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionEsRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionBbEs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionBbeRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionSesRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section.SectionEBs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineESs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineEsRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineBbEs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineBbeRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineSesRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line.LineEBs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineESs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineEsRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineEbbEs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineBbeRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineSesRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine.FarEndLineEBs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Section']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.Line']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm.FeLine']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms.StmHour24Stm']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24.StmHour24Stms']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionESs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionEsRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionBbEs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionBbeRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionSesRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section.SectionEBs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineESs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineEsRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineBbEs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineBbeRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineSesRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line.LineEBs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineESs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineEsRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineEbbEs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineBbeRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineSesRs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine.FarEndLineEBs']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Section']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.Line']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm.FeLine']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms.StmMinute15Stm']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15.StmMinute15Stms']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmHour24']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent.StmMinute15']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort.StmCurrent']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts.StmPort']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts.StmPort']['meta_info'].parent =_meta_table['PerformanceManagement.Stm.StmPorts']['meta_info']
_meta_table['PerformanceManagement.Stm.StmPorts']['meta_info'].parent =_meta_table['PerformanceManagement.Stm']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathESs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path.PathUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.Path']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path.FePath']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths.SonetMinute15Path']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionESs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionSefSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section.SectionCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineESs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line.LineFcLs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineESs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine.FarEndLineFcLs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Section']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.Line']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn.FeLine']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns.SonetMinute15Ocn']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Paths']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15.SonetMinute15Ocns']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionESs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionSefSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section.SectionCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineESs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line.LineFcLs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineESs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine.FarEndLineFcLs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Section']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.Line']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn.FeLine']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns.SonetHour24Ocn']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathESs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path.PathUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.Path']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path.FePath']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths.SonetHour24Path']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Ocns']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24.SonetHour24Paths']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetMinute15']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent.SonetHour24']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort.SonetCurrent']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts.SonetPort']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet.SonetPorts']['meta_info']
_meta_table['PerformanceManagement.Sonet.SonetPorts']['meta_info'].parent =_meta_table['PerformanceManagement.Sonet']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Lbc']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.LbcPc']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Opt']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Opr']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Cd']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Dgd']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pmd']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Osnr']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.CenterWavelength']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pdl']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pcr']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.Pn']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.RxSigPow']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic.LowSigFreqOff']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics.OpticsHour24Optic']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.EcBits']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.UcWords']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.Q']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs.OpticsHour24Fec']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Optics']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24.OpticsHour24Fecs']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Lbc']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.LbcPc']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Opt']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Opr']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Cd']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Dgd']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pmd']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Osnr']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.CenterWavelength']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pdl']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pcr']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.Pn']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.RxSigPow']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic.LowSigFreqOff']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics.OpticsMinute15Optic']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.EcBits']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.UcWords']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.Q']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs.OpticsMinute15Fec']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Optics']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15.OpticsMinute15Fecs']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.EcBits']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.UcWords']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.Q']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs.OpticsSecond30Fec']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Lbc']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.LbcPc']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Opt']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Opr']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Cd']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Dgd']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pmd']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Osnr']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.CenterWavelength']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pdl']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pcr']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.Pn']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.RxSigPow']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic.LowSigFreqOff']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics.OpticsSecond30Optic']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Fecs']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30.OpticsSecond30Optics']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsHour24']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsMinute15']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent.OpticsSecond30']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort.OpticsCurrent']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts.OpticsPort']['meta_info'].parent =_meta_table['PerformanceManagement.Optics.OpticsPorts']['meta_info']
_meta_table['PerformanceManagement.Optics.OpticsPorts']['meta_info'].parent =_meta_table['PerformanceManagement.Optics']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathESs']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path.PathUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.Path']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path.FePath']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths.StsMinute15Path']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15.StsMinute15Paths']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathESs']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path.PathUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.Path']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path.FePath']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths.StsHour24Path']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24.StsHour24Paths']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsMinute15']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent.StsHour24']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort.StsCurrent']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts.StsPort']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts.StsPort']['meta_info'].parent =_meta_table['PerformanceManagement.Sts.StsPorts']['meta_info']
_meta_table['PerformanceManagement.Sts.StsPorts']['meta_info'].parent =_meta_table['PerformanceManagement.Sts']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.EcBits']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.UcWords']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.Q']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs.DwdmMinute15Fec']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Lbc']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.LbcPc']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Opt']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Opr']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Cd']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Dgd']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pmd']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Osnr']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.CenterWavelength']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pdl']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pcr']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.Pn']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.RxSigPow']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic.LowSigFreqOff']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics.DwdmMinute15Optic']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.Lbc']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.UasNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BberNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.FcNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.UasFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.BberFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn.FcFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns.DwdmMinute15Otn']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Fecs']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Optics']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15.DwdmMinute15Otns']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Lbc']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.LbcPc']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Opt']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Opr']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Cd']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Dgd']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pmd']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Osnr']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.CenterWavelength']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pdl']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pcr']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.Pn']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.RxSigPow']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic.LowSigFreqOff']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics.DwdmHour24Optic']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.EcBits']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.UcWords']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.Q']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs.DwdmHour24Fec']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.Lbc']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.UasNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BberNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.FcNe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.UasFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.BberFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn.FcFe']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns.DwdmHour24Otn']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Optics']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Fecs']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24.DwdmHour24Otns']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmMinute15']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent.DwdmHour24']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort.DwdmCurrent']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts.DwdmPort']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm.DwdmPorts']['meta_info']
_meta_table['PerformanceManagement.Dwdm.DwdmPorts']['meta_info'].parent =_meta_table['PerformanceManagement.Dwdm']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionESs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionSefSs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section.SectionCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineESs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line.LineFcLs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineESs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine.FarEndLineFcLs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Section']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.Line']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn.FeLine']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns.OcHour24Ocn']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24.OcHour24Ocns']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionESs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionSefSs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section.SectionCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineESs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line.LineFcLs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineESs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineSeSs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineCVs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineUaSs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine.FarEndLineFcLs']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Section']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.Line']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn.FeLine']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns.OcMinute15Ocn']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15.OcMinute15Ocns']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcHour24']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent.OcMinute15']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort.OcCurrent']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts.OcPort']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts.OcPort']['meta_info'].parent =_meta_table['PerformanceManagement.Oc.OcPorts']['meta_info']
_meta_table['PerformanceManagement.Oc.OcPorts']['meta_info'].parent =_meta_table['PerformanceManagement.Oc']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.RxPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.StatPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OctetStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OversizePktStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.FcsErrorsStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.LongFramesStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.JabberStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether64Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether65127Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether128255Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether256511Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether5121023Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Ether10241518Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InUcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InBcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutUcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutBcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutMcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.IfInErrors']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.IfInOctets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.EtherStatMulticastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.EtherStatBroadcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.EtherStatUndersizedPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutOctets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPauseFrame']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InGoodBytes']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.In8021QFrames']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts1519MaxOctets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InGoodPkts']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropOverrun']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropAbort']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropInvalidVlan']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropInvalidDmac']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropInvalidEncap']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InDropOther']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMibGiant']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMibJabber']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InMibcrc']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorCollisions']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorSymbol']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutGoodBytes']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Out8021QFrames']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPauseFrames']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts1519MaxOctets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutGoodPkts']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutDropUnderrun']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutDropAbort']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutDropOther']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutErrorOther']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorGiant']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorRunt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorJabbers']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorFragments']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InErrorOther']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkt64Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts65To127Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts128To255Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts256To511Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts512To1023Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.InPkts1024To1518Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.Outpkt64Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts65127Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts128255Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts256511Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts5121023Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.OutPkts10241518Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.RxUtil']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxUtil']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxUndersizedPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxOversizedPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxFragments']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxJabber']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether.TxBadFcs']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers.Second30Ether']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30.Second30Ethers']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.RxPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.StatPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OctetStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OversizePktStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.FcsErrorsStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.LongFramesStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.JabberStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether64Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether65127Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether128255Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether256511Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether5121023Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Ether10241518Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InUcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InBcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutUcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutBcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutMcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.IfInErrors']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.IfInOctets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.EtherStatMulticastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.EtherStatBroadcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.EtherStatUndersizedPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutOctets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPauseFrame']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InGoodBytes']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.In8021QFrames']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts1519MaxOctets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InGoodPkts']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropOverrun']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropAbort']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropInvalidVlan']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropInvalidDmac']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropInvalidEncap']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InDropOther']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMibGiant']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMibJabber']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InMibcrc']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorCollisions']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorSymbol']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutGoodBytes']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Out8021QFrames']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPauseFrames']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts1519MaxOctets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutGoodPkts']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutDropUnderrun']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutDropAbort']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutDropOther']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutErrorOther']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorGiant']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorRunt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorJabbers']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorFragments']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InErrorOther']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkt64Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts65To127Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts128To255Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts256To511Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts512To1023Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.InPkts1024To1518Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.Outpkt64Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts65127Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts128255Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts256511Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts5121023Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.OutPkts10241518Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.RxUtil']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxUtil']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxUndersizedPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxOversizedPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxFragments']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxJabber']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether.TxBadFcs']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS.EthernetHour24Ether']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24.EthernetHour24EtherS']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.RxPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.StatPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OctetStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OversizePktStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.FcsErrorsStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.LongFramesStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.JabberStat']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether64Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether65127Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether128255Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether256511Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether5121023Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Ether10241518Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InUcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InBcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutUcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutBcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutMcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.IfInErrors']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.IfInOctets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.EtherStatMulticastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.EtherStatBroadcastPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.EtherStatUndersizedPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutOctets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPauseFrame']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InGoodBytes']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.In8021QFrames']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts1519MaxOctets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InGoodPkts']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropOverrun']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropAbort']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropInvalidVlan']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropInvalidDmac']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropInvalidEncap']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InDropOther']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMibGiant']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMibJabber']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InMibcrc']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorCollisions']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorSymbol']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutGoodBytes']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Out8021QFrames']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPauseFrames']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts1519MaxOctets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutGoodPkts']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutDropUnderrun']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutDropAbort']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutDropOther']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutErrorOther']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorGiant']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorRunt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorJabbers']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorFragments']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InErrorOther']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkt64Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts65To127Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts128To255Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts256To511Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts512To1023Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.InPkts1024To1518Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.Outpkt64Octet']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts65127Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts128255Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts256511Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts5121023Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.OutPkts10241518Octets']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.RxUtil']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxUtil']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxUndersizedPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxOversizedPkt']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxFragments']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxJabber']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether.TxBadFcs']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers.Minute15Ether']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15.Minute15Ethers']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetSecond30']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.EthernetHour24']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent.Minute15']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort.EthernetCurrent']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts.EthernetPort']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet.EthernetPorts']['meta_info']
_meta_table['PerformanceManagement.Ethernet.EthernetPorts']['meta_info'].parent =_meta_table['PerformanceManagement.Ethernet']['meta_info']
_meta_table['PerformanceManagement.HoVc']['meta_info'].parent =_meta_table['PerformanceManagement']['meta_info']
_meta_table['PerformanceManagement.Odu']['meta_info'].parent =_meta_table['PerformanceManagement']['meta_info']
_meta_table['PerformanceManagement.Otu']['meta_info'].parent =_meta_table['PerformanceManagement']['meta_info']
_meta_table['PerformanceManagement.Stm']['meta_info'].parent =_meta_table['PerformanceManagement']['meta_info']
_meta_table['PerformanceManagement.Sonet']['meta_info'].parent =_meta_table['PerformanceManagement']['meta_info']
_meta_table['PerformanceManagement.Optics']['meta_info'].parent =_meta_table['PerformanceManagement']['meta_info']
_meta_table['PerformanceManagement.Sts']['meta_info'].parent =_meta_table['PerformanceManagement']['meta_info']
_meta_table['PerformanceManagement.Dwdm']['meta_info'].parent =_meta_table['PerformanceManagement']['meta_info']
_meta_table['PerformanceManagement.Oc']['meta_info'].parent =_meta_table['PerformanceManagement']['meta_info']
_meta_table['PerformanceManagement.Ethernet']['meta_info'].parent =_meta_table['PerformanceManagement']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionSefSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section.SectionCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line.LineFcLs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine.FarEndLineFcLs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Section']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.Line']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance.FeLine']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances.SonetMinute15OcnTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory.SonetMinute15OcnTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories.SonetMinute15OcnHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path.PathUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.Path']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance.FePath']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances.SonetMinute15PathTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory.SonetMinute15PathTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories.SonetMinute15PathHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15OcnHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History.SonetMinute15PathHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path.PathUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.Path']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance.FePath']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances.SonetHour24PathTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory.SonetHour24PathTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories.SonetHour24PathHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionSefSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section.SectionCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line.LineFcLs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine.FarEndLineFcLs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Section']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.Line']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance.FeLine']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances.SonetHour24OcnTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory.SonetHour24OcnTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories.SonetHour24OcnHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24PathHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History.SonetHour24OcnHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetMinute15History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory.SonetHour24History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories.SonetPortHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory.SonetPortHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path.PathUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.Path']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance.FePath']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances.StsMinute15PathTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory.StsMinute15PathTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories.StsMinute15PathHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History.StsMinute15PathHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path.PathUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.Path']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance.FePath']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances.StsHour24PathTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory.StsHour24PathTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories.StsHour24PathHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History.StsHour24PathHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsMinute15History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory.StsHour24History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories.StsPortHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory.StsPortHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.RxPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.StatPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OctetStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OversizePktStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.FcsErrorsStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.LongFramesStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.JabberStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether64Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether65127Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether128255Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether256511Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether5121023Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Ether10241518Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InUcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InBcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutUcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutBcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutMcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.IfInErrors']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.IfInOctets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.EtherStatMulticastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.EtherStatBroadcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.EtherStatUndersizedPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutOctets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPauseFrame']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InGoodBytes']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.In8021QFrames']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts1519MaxOctets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InGoodPkts']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropOverrun']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropAbort']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropInvalidVlan']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropInvalidDmac']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropInvalidEncap']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InDropOther']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMibGiant']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMibJabber']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InMibcrc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorCollisions']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorSymbol']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutGoodBytes']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Out8021QFrames']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPauseFrames']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts1519MaxOctets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutGoodPkts']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutDropUnderrun']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutDropAbort']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutDropOther']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutErrorOther']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorGiant']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorRunt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorJabbers']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorFragments']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InErrorOther']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkt64Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts65To127Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts128To255Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts256To511Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts512To1023Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.InPkts1024To1518Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.Outpkt64Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts65127Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts128255Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts256511Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts5121023Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.OutPkts10241518Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.RxUtil']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxUtil']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxUndersizedPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxOversizedPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxFragments']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxJabber']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance.TxBadFcs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances.Second30EtherTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory.Second30EtherTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories.Second30EtherHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History.Second30EtherHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.RxPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.StatPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OctetStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OversizePktStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.FcsErrorsStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.LongFramesStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.JabberStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether64Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether65127Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether128255Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether256511Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether5121023Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Ether10241518Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InUcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InBcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutUcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutBcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutMcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.IfInErrors']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.IfInOctets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.EtherStatMulticastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.EtherStatBroadcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.EtherStatUndersizedPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutOctets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPauseFrame']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InGoodBytes']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.In8021QFrames']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts1519MaxOctets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InGoodPkts']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropOverrun']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropAbort']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropInvalidVlan']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropInvalidDmac']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropInvalidEncap']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InDropOther']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMibGiant']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMibJabber']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InMibcrc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorCollisions']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorSymbol']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutGoodBytes']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Out8021QFrames']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPauseFrames']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts1519MaxOctets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutGoodPkts']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutDropUnderrun']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutDropAbort']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutDropOther']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutErrorOther']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorGiant']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorRunt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorJabbers']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorFragments']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InErrorOther']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkt64Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts65To127Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts128To255Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts256To511Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts512To1023Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.InPkts1024To1518Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.Outpkt64Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts65127Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts128255Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts256511Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts5121023Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.OutPkts10241518Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.RxUtil']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxUtil']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxUndersizedPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxOversizedPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxFragments']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxJabber']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance.TxBadFcs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances.EthernetHour24EtherTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory.EthernetHour24EtherTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories.EthernetHour24EtherHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History.EthernetHour24EtherHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.RxPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.StatPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OctetStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OversizePktStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.FcsErrorsStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.LongFramesStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.JabberStat']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether64Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether65127Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether128255Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether256511Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether5121023Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Ether10241518Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InUcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InBcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutUcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutBcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutMcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.IfInErrors']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.IfInOctets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.EtherStatMulticastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.EtherStatBroadcastPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.EtherStatUndersizedPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutOctets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPauseFrame']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InGoodBytes']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.In8021QFrames']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts1519MaxOctets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InGoodPkts']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropOverrun']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropAbort']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropInvalidVlan']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropInvalidDmac']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropInvalidEncap']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InDropOther']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMibGiant']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMibJabber']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InMibcrc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorCollisions']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorSymbol']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutGoodBytes']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Out8021QFrames']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPauseFrames']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts1519MaxOctets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutGoodPkts']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutDropUnderrun']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutDropAbort']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutDropOther']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutErrorOther']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorGiant']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorRunt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorJabbers']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorFragments']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InErrorOther']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkt64Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts65To127Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts128To255Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts256To511Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts512To1023Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.InPkts1024To1518Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.Outpkt64Octet']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts65127Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts128255Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts256511Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts5121023Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.OutPkts10241518Octets']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.RxUtil']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxUtil']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxUndersizedPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxOversizedPkt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxFragments']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxJabber']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance.TxBadFcs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances.Minute15EtherTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory.Minute15EtherTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories.Minute15EtherHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History.Minute15EtherHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetSecond30History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetHour24History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory.EthernetMinute15History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories.EthernetPortHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory.EthernetPortHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.Lbc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.UasNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BberNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.FcNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.UasFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.BberFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance.FcFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances.DwdmMinute15OtnTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory.DwdmMinute15OtnTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories.DwdmMinute15OtnHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.EcBits']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.UcWords']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.Q']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances.DwdmMinute15FecTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory.DwdmMinute15FecTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories.DwdmMinute15FecHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Lbc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.LbcPc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Opt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Opr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Cd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Dgd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pmd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Osnr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.CenterWavelength']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pdl']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pcr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.Pn']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.RxSigPow']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance.LowSigFreqOff']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances.DwdmMinute15OpticsTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory.DwdmMinute15OpticsTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories.DwdmMinute15OpticsHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OtnHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15FecHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History.DwdmMinute15OpticsHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.Lbc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.UasNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BberNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.FcNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.UasFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.BberFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance.FcFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances.DwdmHour24OtnTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory.DwdmHour24OtnTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories.DwdmHour24OtnHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.EcBits']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.UcWords']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.Q']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances.DwdmHour24FecTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory.DwdmHour24FecTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories.DwdmHour24FecHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Lbc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.LbcPc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Opt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Opr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Cd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Dgd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pmd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Osnr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.CenterWavelength']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pdl']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pcr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.Pn']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.RxSigPow']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance.LowSigFreqOff']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances.DwdmHour24OpticsTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory.DwdmHour24OpticsTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories.DwdmHour24OpticsHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OtnHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24FecHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History.DwdmHour24OpticsHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmMinute15History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory.DwdmHour24History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories.DwdmPortHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory.DwdmPortHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionEsRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionBbEs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionBbeRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionSesRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section.SectionEBs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineEsRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineBbEs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineBbeRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineSesRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line.LineEBs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineEsRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineEbbEs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineBbeRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineSesRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine.FarEndLineEBs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Section']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.Line']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance.FeLine']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances.StmHour24StmTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory.StmHour24StmTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories.StmHour24StmHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History.StmHour24StmHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionEsRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionBbEs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionBbeRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionSesRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section.SectionEBs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineEsRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineBbEs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineBbeRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineSesRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line.LineEBs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineEsRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineEbbEs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineBbeRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineSesRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine.FarEndLineEBs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Section']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.Line']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance.FeLine']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances.StmMinute15StmTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory.StmMinute15StmTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories.StmMinute15StmHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History.StmMinute15StmHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmHour24History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory.StmMinute15History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories.StmPortHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory.StmPortHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxBitErr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxInvTyp']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxCrc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxLfd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance.RxCsf']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances.OduHour24GfpTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory.OduHour24GfpTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories.OduHour24GfpHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances.OduHour24PrbsTimeLineInstance.RcvPatt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances.OduHour24PrbsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances.OduHour24PrbsTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory.OduHour24PrbsTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories.OduHour24PrbsHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.Lbc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.UasNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BberNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.FcNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.UasFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.BberFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance.FcFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances.OduHour24OtnTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory.OduHour24OtnTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories.OduHour24OtnHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24GfpHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24PrbsHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History.OduHour24OtnHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances.OduMinute15PrbsTimeLineInstance.RcvPatt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances.OduMinute15PrbsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances.OduMinute15PrbsTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory.OduMinute15PrbsTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories.OduMinute15PrbsHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxBitErr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxInvTyp']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxCrc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxLfd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance.RxCsf']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances.OduMinute15GfpTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory.OduMinute15GfpTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories.OduMinute15GfpHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.Lbc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.UasNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BberNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.FcNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.UasFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.BberFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance.FcFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances.OduMinute15OtnTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory.OduMinute15OtnTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories.OduMinute15OtnHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15PrbsHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15GfpHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History.OduMinute15OtnHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduHour24History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory.OduMinute15History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories.OduPortHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory.OduPortHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.EcBits']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.UcWords']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.Q']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances.OtuSecond30FecTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory.OtuSecond30FecTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories.OtuSecond30FecHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.Lbc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.UasNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BberNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.FcNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.UasFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.BberFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance.FcFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances.OtuSecond30OtnTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory.OtuSecond30OtnTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories.OtuSecond30OtnHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30FecHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History.OtuSecond30OtnHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.EcBits']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.UcWords']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.Q']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances.OtuMinute15FecTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory.OtuMinute15FecTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories.OtuMinute15FecHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.Lbc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.UasNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BberNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.FcNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.UasFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.BberFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance.FcFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances.OtuMinute15OtnTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory.OtuMinute15OtnTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories.OtuMinute15OtnHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15FecHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History.OtuMinute15OtnHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.Lbc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesrNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.UasNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BbeNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BberNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.FcNe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.EsrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.SesrFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.UasFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BbeFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.BberFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance.FcFe']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances.OtuHour24OtnTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory.OtuHour24OtnTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories.OtuHour24OtnHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.EcBits']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.UcWords']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.Q']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances.OtuHour24FecTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory.OtuHour24FecTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories.OtuHour24FecHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24OtnHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History.OtuHour24FecHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuSecond30History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuMinute15History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory.OtuHour24History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories.OtuPortHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory.OtuPortHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathEsRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathSesRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathEBs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathBbEs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path.PathBbeRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.Path']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance.FePath']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances.HoVcMinute15PathTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory.HoVcMinute15PathTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories.HoVcMinute15PathHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History.HoVcMinute15PathHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathEsRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathSesRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathEBs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathBbEs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path.PathBbeRs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.Path']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance.FePath']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances.HoVcHour24PathTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory.HoVcHour24PathTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories.HoVcHour24PathHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History.HoVcHour24PathHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcMinute15History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory.HoVcHour24History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories.HoVcPortHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory.HoVcPortHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Lbc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.LbcPc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Opt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Opr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Cd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Dgd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pmd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Osnr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.CenterWavelength']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pdl']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pcr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.Pn']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.RxSigPow']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance.LowSigFreqOff']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances.OpticsHour24OpticsTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory.OpticsHour24OpticsTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories.OpticsHour24OpticsHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.EcBits']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.UcWords']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.Q']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances.OpticsHour24FecTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory.OpticsHour24FecTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories.OpticsHour24FecHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24OpticsHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History.OpticsHour24FecHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Lbc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.LbcPc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Opt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Opr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Cd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Dgd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pmd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Osnr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.CenterWavelength']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pdl']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pcr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.Pn']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.RxSigPow']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance.LowSigFreqOff']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances.OpticsSecond30OpticsTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory.OpticsSecond30OpticsTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories.OpticsSecond30OpticsHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.EcBits']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.UcWords']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.Q']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances.OpticsSecond30FecTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory.OpticsSecond30FecTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories.OpticsSecond30FecHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30OpticsHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History.OpticsSecond30FecHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Lbc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.LbcPc']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Opt']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Opr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Cd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Dgd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pmd']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Osnr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.CenterWavelength']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pdl']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pcr']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.Pn']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.RxSigPow']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance.LowSigFreqOff']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances.OpticsMinute15OpticsTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory.OpticsMinute15OpticsTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories.OpticsMinute15OpticsHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.EcBits']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.UcWords']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.PreFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.PostFecBer']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.Q']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance.Qmargin']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances.OpticsMinute15FecTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory.OpticsMinute15FecTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories.OpticsMinute15FecHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15OpticsHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History.OpticsMinute15FecHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsHour24History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsSecond30History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory.OpticsMinute15History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories.OpticsPortHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory.OpticsPortHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionSefSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section.SectionCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line.LineFcLs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine.FarEndLineFcLs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Section']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.Line']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance.FeLine']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances.OcHour24OcnTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory.OcHour24OcnTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories.OcHour24OcnHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History.OcHour24OcnHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionSefSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section.SectionCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line.LineFcLs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineESs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineSeSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineCVs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineUaSs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine.FarEndLineFcLs']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Section']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.Line']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance.FeLine']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances.OcMinute15OcnTimeLineInstance']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory.OcMinute15OcnTimeLineInstances']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories.OcMinute15OcnHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History.OcMinute15OcnHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcHour24History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory.OcMinute15History']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories.OcPortHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory.OcPortHistories']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.SonetHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StsHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.EthernetHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.DwdmHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.StmHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OduHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OtuHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.HoVcHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OpticsHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic.OcHistory']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_.Periodic']['meta_info']
_meta_table['PerformanceManagementHistory.Global_.Periodic']['meta_info'].parent =_meta_table['PerformanceManagementHistory.Global_']['meta_info']
_meta_table['PerformanceManagementHistory.Global_']['meta_info'].parent =_meta_table['PerformanceManagementHistory']['meta_info']
