


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'WredEnum' : _MetaInfoEnum('WredEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper',
        {
            'wred-cos-cmd':'wred_cos_cmd',
            'wred-dscp-cmd':'wred_dscp_cmd',
            'wred-precedence-cmd':'wred_precedence_cmd',
            'wred-discard-class-cmd':'wred_discard_class_cmd',
            'wred-mpls-exp-cmd':'wred_mpls_exp_cmd',
            'red-with-user-min-max':'red_with_user_min_max',
            'red-with-default-min-max':'red_with_default_min_max',
            'wred-dei-cmd':'wred_dei_cmd',
            'wred-ecn-cmd':'wred_ecn_cmd',
            'wred-invalid-cmd':'wred_invalid_cmd',
        }, 'Cisco-IOS-XR-qos-ma-oper', _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper']),
    'PolicyParamUnitEnum' : _MetaInfoEnum('PolicyParamUnitEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper',
        {
            'policy-param-unit-invalid':'policy_param_unit_invalid',
            'policy-param-unit-bytes':'policy_param_unit_bytes',
            'policy-param-unit-kbytes':'policy_param_unit_kbytes',
            'policy-param-unit-mbytes':'policy_param_unit_mbytes',
            'policy-param-unit-gbytes':'policy_param_unit_gbytes',
            'policy-param-unit-bitsps':'policy_param_unit_bitsps',
            'policy-param-unit-kbitsps':'policy_param_unit_kbitsps',
            'policy-param-unit-mbitsps':'policy_param_unit_mbitsps',
            'policy-param-unit-gbitsps':'policy_param_unit_gbitsps',
            'policy-param-unit-cells-ps':'policy_param_unit_cells_ps',
            'policy-param-unit-packets-ps':'policy_param_unit_packets_ps',
            'policy-param-unit-us':'policy_param_unit_us',
            'policy-param-unit-ms':'policy_param_unit_ms',
            'policy-param-unit-seconds':'policy_param_unit_seconds',
            'policy-param-unit-packets':'policy_param_unit_packets',
            'policy-param-unit-cells':'policy_param_unit_cells',
            'policy-param-unit-percent':'policy_param_unit_percent',
            'policy-param-unit-per-thousand':'policy_param_unit_per_thousand',
            'policy-param-unit-per-million':'policy_param_unit_per_million',
            'policy-param-unit-hz':'policy_param_unit_hz',
            'policy-param-unit-khz':'policy_param_unit_khz',
            'policy-param-unit-mhz':'policy_param_unit_mhz',
            'policy-param-unit-ratio':'policy_param_unit_ratio',
            'policy-param-unit-max':'policy_param_unit_max',
        }, 'Cisco-IOS-XR-qos-ma-oper', _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper']),
    'QosCapsOperationEnumEnum' : _MetaInfoEnum('QosCapsOperationEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper',
        {
            'add':'add',
            'remove':'remove',
            'replace':'replace',
            'modify':'modify',
            'unknown':'unknown',
        }, 'Cisco-IOS-XR-qos-ma-oper', _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper']),
    'CacStateEnum' : _MetaInfoEnum('CacStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper',
        {
            'unknown':'unknown',
            'admit':'admit',
            'redirect':'redirect',
            'ubrl':'ubrl',
        }, 'Cisco-IOS-XR-qos-ma-oper', _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper']),
    'QosMaSatCapsTypeEnumEnum' : _MetaInfoEnum('QosMaSatCapsTypeEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper',
        {
            'input':'input',
            'output':'output',
            'unknown':'unknown',
        }, 'Cisco-IOS-XR-qos-ma-oper', _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper']),
    'PolicyStateEnum' : _MetaInfoEnum('PolicyStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper',
        {
            'active':'active',
            'suspended':'suspended',
        }, 'Cisco-IOS-XR-qos-ma-oper', _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper']),
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Input' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node.Output' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes.Node' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes.Node',
            False, 
            [
            _MetaInfoClassMember('node-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                The node
                ''',
                'node_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'node',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Nodes' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Nodes',
            False, 
            [
            _MetaInfoClassMember('node', REFERENCE_LIST, 'Node' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes.Node', 
                [], [], 
                '''                QoS operational data for a particular node
                ''',
                'node',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nodes',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Satellite ID
                ''',
                'nv_satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds',
            False, 
            [
            _MetaInfoClassMember('satellite-id', REFERENCE_LIST, 'SatelliteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-ids',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of member interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satellite-ids', REFERENCE_CLASS, 'SatelliteIds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_ids',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'member-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.MemberInterfaces' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.MemberInterfaces',
            False, 
            [
            _MetaInfoClassMember('member-interface', REFERENCE_LIST, 'MemberInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface', 
                [], [], 
                '''                QoS policy-map member interface statistics
                ''',
                'member_interface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'member-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Satellite ID
                ''',
                'nv_satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.SatelliteIds' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.SatelliteIds',
            False, 
            [
            _MetaInfoClassMember('satellite-id', REFERENCE_LIST, 'SatelliteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-ids',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Input' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface.Output' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('member-interfaces', REFERENCE_CLASS, 'MemberInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.MemberInterfaces', 
                [], [], 
                '''                QoS policy-map member interface table
                ''',
                'member_interfaces',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('nodes', REFERENCE_CLASS, 'Nodes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Nodes', 
                [], [], 
                '''                QoS policy-map node table
                ''',
                'nodes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satellite-ids', REFERENCE_CLASS, 'SatelliteIds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface.SatelliteIds', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_ids',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvInterfaceTable' : {
        'meta_info' : _MetaInfoClass('Qos.NvInterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable.Interface', 
                [], [], 
                '''                QoS policy-map operational data for a particular
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nv-interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Satellite ID
                ''',
                'nv_satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds',
            False, 
            [
            _MetaInfoClassMember('satellite-id', REFERENCE_LIST, 'SatelliteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-ids',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of member interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satellite-ids', REFERENCE_CLASS, 'SatelliteIds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_ids',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'member-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces',
            False, 
            [
            _MetaInfoClassMember('member-interface', REFERENCE_LIST, 'MemberInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface', 
                [], [], 
                '''                QoS policy-map member interface statistics
                ''',
                'member_interface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'member-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('member-interfaces', REFERENCE_CLASS, 'MemberInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces', 
                [], [], 
                '''                QoS policy-map member interface table
                ''',
                'member_interfaces',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nv-satellite-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-interface', REFERENCE_LIST, 'NvSatelliteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface', 
                [], [], 
                '''                Operational data for a particular satellite
                interface
                ''',
                'nv_satellite_interface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nv-satellite-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId',
            False, 
            [
            _MetaInfoClassMember('satellite-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Satellite ID
                ''',
                'satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('nv-satellite-interfaces', REFERENCE_CLASS, 'NvSatelliteInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces', 
                [], [], 
                '''                Operational data of satellite interface of a
                particular satellite
                ''',
                'nv_satellite_interfaces',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nv-satellite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-id', REFERENCE_LIST, 'NvSatelliteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId', 
                [], [], 
                '''                Satellite ID information
                ''',
                'nv_satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nv-satellite-ids',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatistics' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatistics',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-ids', REFERENCE_CLASS, 'NvSatelliteIds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds', 
                [], [], 
                '''                Satellite ID table
                ''',
                'nv_satellite_ids',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nv-satellite-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Status' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Status',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'QosMaSatCapsTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'QosMaSatCapsTypeEnumEnum', 
                [], [], 
                '''                Satellite caps type
                ''',
                'direction',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message
                ''',
                'error_message',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('last-operation', REFERENCE_ENUM_CLASS, 'QosCapsOperationEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'QosCapsOperationEnumEnum', 
                [], [], 
                '''                Previous caps operation
                ''',
                'last_operation',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Status of offload
                ''',
                'status',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input',
            False, 
            [
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Status', 
                [], [], 
                '''                Policy-map status operational data for an
                interface
                ''',
                'status',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Status' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Status',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'QosMaSatCapsTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'QosMaSatCapsTypeEnumEnum', 
                [], [], 
                '''                Satellite caps type
                ''',
                'direction',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message
                ''',
                'error_message',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('last-operation', REFERENCE_ENUM_CLASS, 'QosCapsOperationEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'QosCapsOperationEnumEnum', 
                [], [], 
                '''                Previous caps operation
                ''',
                'last_operation',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Status of offload
                ''',
                'status',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output',
            False, 
            [
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Status', 
                [], [], 
                '''                Policy-map status operational data for an
                interface
                ''',
                'status',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of member interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'member-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces',
            False, 
            [
            _MetaInfoClassMember('member-interface', REFERENCE_LIST, 'MemberInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface', 
                [], [], 
                '''                Satellite member interface statistics
                ''',
                'member_interface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'member-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Status' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Status',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'QosMaSatCapsTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'QosMaSatCapsTypeEnumEnum', 
                [], [], 
                '''                Satellite caps type
                ''',
                'direction',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message
                ''',
                'error_message',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('last-operation', REFERENCE_ENUM_CLASS, 'QosCapsOperationEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'QosCapsOperationEnumEnum', 
                [], [], 
                '''                Previous caps operation
                ''',
                'last_operation',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Status of offload
                ''',
                'status',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input',
            False, 
            [
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Status', 
                [], [], 
                '''                Policy-map status operational data for an
                interface
                ''',
                'status',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Status' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Status',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'QosMaSatCapsTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'QosMaSatCapsTypeEnumEnum', 
                [], [], 
                '''                Satellite caps type
                ''',
                'direction',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message
                ''',
                'error_message',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('last-operation', REFERENCE_ENUM_CLASS, 'QosCapsOperationEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'QosCapsOperationEnumEnum', 
                [], [], 
                '''                Previous caps operation
                ''',
                'last_operation',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Status of offload
                ''',
                'status',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Status' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Status',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'QosMaSatCapsTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'QosMaSatCapsTypeEnumEnum', 
                [], [], 
                '''                Satellite caps type
                ''',
                'direction',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message
                ''',
                'error_message',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('last-operation', REFERENCE_ENUM_CLASS, 'QosCapsOperationEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'QosCapsOperationEnumEnum', 
                [], [], 
                '''                Previous caps operation
                ''',
                'last_operation',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Status of offload
                ''',
                'status',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output',
            False, 
            [
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Status', 
                [], [], 
                '''                Policy-map status operational data for an
                interface
                ''',
                'status',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('member-interfaces', REFERENCE_CLASS, 'MemberInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces', 
                [], [], 
                '''                Satellite member interface table
                ''',
                'member_interfaces',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Status', 
                [], [], 
                '''                Policy-map status operational data for an
                interface
                ''',
                'status',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nv-satellite-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-interface', REFERENCE_LIST, 'NvSatelliteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface', 
                [], [], 
                '''                QOS offload status for a particular
                satellite interface
                ''',
                'nv_satellite_interface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nv-satellite-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId',
            False, 
            [
            _MetaInfoClassMember('satellite-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Satellite ID
                ''',
                'satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('nv-satellite-interfaces', REFERENCE_CLASS, 'NvSatelliteInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces', 
                [], [], 
                '''                QOS offload status of satellite interface of
                a particular satellite
                ''',
                'nv_satellite_interfaces',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nv-satellite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-id', REFERENCE_LIST, 'NvSatelliteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId', 
                [], [], 
                '''                Satellite ID information
                ''',
                'nv_satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nv-satellite-ids',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite.NvSatelliteStatus' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite.NvSatelliteStatus',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-ids', REFERENCE_CLASS, 'NvSatelliteIds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds', 
                [], [], 
                '''                Satellite ID table
                ''',
                'nv_satellite_ids',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nv-satellite-status',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.NvSatellite' : {
        'meta_info' : _MetaInfoClass('Qos.NvSatellite',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-statistics', REFERENCE_CLASS, 'NvSatelliteStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatistics', 
                [], [], 
                '''                Satellite statistics based on Satellite ID
                ''',
                'nv_satellite_statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('nv-satellite-status', REFERENCE_CLASS, 'NvSatelliteStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite.NvSatelliteStatus', 
                [], [], 
                '''                Satellite QOS offload status based on Satellite
                ID
                ''',
                'nv_satellite_status',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nv-satellite',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Satellite ID
                ''',
                'nv_satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds',
            False, 
            [
            _MetaInfoClassMember('satellite-id', REFERENCE_LIST, 'SatelliteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-ids',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of member interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satellite-ids', REFERENCE_CLASS, 'SatelliteIds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_ids',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'member-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces',
            False, 
            [
            _MetaInfoClassMember('member-interface', REFERENCE_LIST, 'MemberInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface', 
                [], [], 
                '''                QoS policy-map member interface statistics
                ''',
                'member_interface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'member-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance',
            False, 
            [
            _MetaInfoClassMember('spi-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the shared policy instance
                ''',
                'spi_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('member-interfaces', REFERENCE_CLASS, 'MemberInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces', 
                [], [], 
                '''                QoS policy-map member interface table
                ''',
                'member_interfaces',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'shared-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.SharedPolicyInstances',
            False, 
            [
            _MetaInfoClassMember('shared-policy-instance', REFERENCE_LIST, 'SharedPolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular SPI 
                ''',
                'shared_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'shared-policy-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_',
            False, 
            [
            _MetaInfoClassMember('node-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                The node
                ''',
                'node_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'node',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_',
            False, 
            [
            _MetaInfoClassMember('node', REFERENCE_LIST, 'Node_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_', 
                [], [], 
                '''                QoS operational data for a particular node
                ''',
                'node',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nodes',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Satellite ID
                ''',
                'nv_satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds',
            False, 
            [
            _MetaInfoClassMember('satellite-id', REFERENCE_LIST, 'SatelliteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-ids',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of member interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satellite-ids', REFERENCE_CLASS, 'SatelliteIds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_ids',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'member-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces',
            False, 
            [
            _MetaInfoClassMember('member-interface', REFERENCE_LIST, 'MemberInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface', 
                [], [], 
                '''                QoS policy-map member interface statistics
                ''',
                'member_interface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'member-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Satellite ID
                ''',
                'nv_satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds',
            False, 
            [
            _MetaInfoClassMember('satellite-id', REFERENCE_LIST, 'SatelliteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-ids',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('member-interfaces', REFERENCE_CLASS, 'MemberInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces', 
                [], [], 
                '''                QoS policy-map member interface table
                ''',
                'member_interfaces',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('nodes', REFERENCE_CLASS, 'Nodes_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_', 
                [], [], 
                '''                QoS policy-map node table
                ''',
                'nodes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satellite-ids', REFERENCE_CLASS, 'SatelliteIds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_ids',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface', 
                [], [], 
                '''                QoS policy-map operational data for a particular
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node.PolicyMap' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node.PolicyMap',
            False, 
            [
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.InterfaceTable', 
                [], [], 
                '''                Operational data for all interfaces
                ''',
                'interface_table',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-policy-instances', REFERENCE_CLASS, 'SharedPolicyInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap.SharedPolicyInstances', 
                [], [], 
                '''                Operational data for all SPI
                ''',
                'shared_policy_instances',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'policy-map',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes.Node' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes.Node',
            False, 
            [
            _MetaInfoClassMember('node-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                The node
                ''',
                'node_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('policy-map', REFERENCE_CLASS, 'PolicyMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node.PolicyMap', 
                [], [], 
                '''                Operational data for policymaps
                ''',
                'policy_map',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'node',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.Nodes' : {
        'meta_info' : _MetaInfoClass('Qos.Nodes',
            False, 
            [
            _MetaInfoClassMember('node', REFERENCE_LIST, 'Node' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes.Node', 
                [], [], 
                '''                QoS operational data for a particular node
                ''',
                'node',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nodes',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'vo-q-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ',
            False, 
            [
            _MetaInfoClassMember('node-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                The node
                ''',
                'node_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('vo-q-stats', REFERENCE_CLASS, 'VoQStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats', 
                [], [], 
                '''                VoQ statistics operational data for an interface
                ''',
                'vo_q_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'locationvo-q',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs',
            False, 
            [
            _MetaInfoClassMember('locationvo-q', REFERENCE_LIST, 'LocationvoQ' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ', 
                [], [], 
                '''                QoS operational data for a particular
                location
                ''',
                'locationvo_q',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'locationvo-qs',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'vo-q-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ',
            False, 
            [
            _MetaInfoClassMember('locationvo-qs', REFERENCE_CLASS, 'LocationvoQs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs', 
                [], [], 
                '''                QoS policy-map location table
                ''',
                'locationvo_qs',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('vo-q-stats', REFERENCE_CLASS, 'VoQStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats', 
                [], [], 
                '''                VoQ statistics operational data for an interface
                ''',
                'vo_q_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output-vo-q',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'vo-q-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput',
            False, 
            [
            _MetaInfoClassMember('vo-q-stats', REFERENCE_CLASS, 'VoQStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats', 
                [], [], 
                '''                VoQ statistics operational data for an interface
                ''',
                'vo_q_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'vo-qoutput',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of member interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('vo-qoutput', REFERENCE_CLASS, 'VoQoutput' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput', 
                [], [], 
                '''                output VoQ interface
                ''',
                'vo_qoutput',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'vo-q-member-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces',
            False, 
            [
            _MetaInfoClassMember('vo-q-member-interface', REFERENCE_LIST, 'VoQMemberInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface', 
                [], [], 
                '''                QoS policy-map member interface statistics
                ''',
                'vo_q_member_interface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'vo-q-member-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('output-vo-q', REFERENCE_CLASS, 'OutputVoQ' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ', 
                [], [], 
                '''                output VoQ interface
                ''',
                'output_vo_q',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('vo-q-member-interfaces', REFERENCE_CLASS, 'VoQMemberInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces', 
                [], [], 
                '''                VoQ QoS policy-map member interface table
                ''',
                'vo_q_member_interfaces',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'vo-qinterface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces',
            False, 
            [
            _MetaInfoClassMember('vo-qinterface', REFERENCE_LIST, 'VoQinterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular interface
                ''',
                'vo_qinterface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'vo-qinterfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ.VoQStatistics' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ.VoQStatistics',
            False, 
            [
            _MetaInfoClassMember('vo-qinterfaces', REFERENCE_CLASS, 'VoQinterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces', 
                [], [], 
                '''                VoQ interface
                ''',
                'vo_qinterfaces',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'vo-q-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal.VoQ' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal.VoQ',
            False, 
            [
            _MetaInfoClassMember('vo-q-statistics', REFERENCE_CLASS, 'VoQStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ.VoQStatistics', 
                [], [], 
                '''                For VoQ statistics
                ''',
                'vo_q_statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'vo-q',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.QosGlobal' : {
        'meta_info' : _MetaInfoClass('Qos.QosGlobal',
            False, 
            [
            _MetaInfoClassMember('vo-q', REFERENCE_CLASS, 'VoQ' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal.VoQ', 
                [], [], 
                '''                For VoQ operational data
                ''',
                'vo_q',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'qos-global',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Input' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node.Output' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes.Node' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes.Node',
            False, 
            [
            _MetaInfoClassMember('node-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                The node
                ''',
                'node_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'node',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Nodes' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Nodes',
            False, 
            [
            _MetaInfoClassMember('node', REFERENCE_LIST, 'Node' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes.Node', 
                [], [], 
                '''                QoS operational data for a particular node
                ''',
                'node',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'nodes',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Satellite ID
                ''',
                'nv_satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds',
            False, 
            [
            _MetaInfoClassMember('satellite-id', REFERENCE_LIST, 'SatelliteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-ids',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of member interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satellite-ids', REFERENCE_CLASS, 'SatelliteIds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_ids',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'member-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.MemberInterfaces' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.MemberInterfaces',
            False, 
            [
            _MetaInfoClassMember('member-interface', REFERENCE_LIST, 'MemberInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface', 
                [], [], 
                '''                QoS policy-map member interface statistics
                ''',
                'member_interface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'member-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId',
            False, 
            [
            _MetaInfoClassMember('nv-satellite-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Satellite ID
                ''',
                'nv_satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.SatelliteIds' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.SatelliteIds',
            False, 
            [
            _MetaInfoClassMember('satellite-id', REFERENCE_LIST, 'SatelliteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'satellite-ids',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Input' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Input',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.ServicePolicyNames.ServicePolicyInstance' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.ServicePolicyNames.ServicePolicyInstance',
            False, 
            [
            _MetaInfoClassMember('service-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the policy instance
                ''',
                'service_policy_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.ServicePolicyNames' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.ServicePolicyNames',
            False, 
            [
            _MetaInfoClassMember('service-policy-instance', REFERENCE_LIST, 'ServicePolicyInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.ServicePolicyNames.ServicePolicyInstance', 
                [], [], 
                '''                QoS policy-map operational data for a
                particular Policy 
                ''',
                'service_policy_instance',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'service-policy-names',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.GeneralStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.GeneralStats',
            False, 
            [
            _MetaInfoClassMember('match-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming matched data rate in kbps
                ''',
                'match_data_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched bytes before applying policy
                ''',
                'pre_policy_matched_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('pre-policy-matched-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Matched pkts before applying policy
                ''',
                'pre_policy_matched_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes (packets/bytes)
                ''',
                'total_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets (packets/bytes)
                ''',
                'total_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-drop-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total drop rate (packets/bytes)
                ''',
                'total_drop_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('total-transmit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total transmit rate in kbps
                ''',
                'total_transmit_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes (packets/bytes)
                ''',
                'transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets (packets/bytes)
                ''',
                'transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'general-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.IphcStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.IphcStats',
            False, 
            [
            _MetaInfoClassMember('non-tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non Tcp Bytes saved due to compression
                ''',
                'non_tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Non Tcp Bytes sent rate
                ''',
                'non_tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp compressed pkts sent
                ''',
                'non_tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of non tcp fullheader pkts sent
                ''',
                'non_tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non Tcp Bytes sent
                ''',
                'non_tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('non-tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Non tcp pkts sent
                ''',
                'non_tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-saved', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tcp Bytes saved due to compression
                ''',
                'tcp_bytes_saved',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-bytes-sent-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Compressed Tcp Bytes sent rate
                ''',
                'tcp_bytes_sent_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-compressed-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp compressed pkts sent
                ''',
                'tcp_compressed_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-full-header-packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Num of tcp fullheader pkts sent
                ''',
                'tcp_full_header_packets_out',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TotalNum of Tcp Bytes sent
                ''',
                'tcp_total_out_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tcp-total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Num of tcp pkts sent
                ''',
                'tcp_total_out_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'iphc-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.ChildPolicy',
            False, 
            [
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.CacStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.CacStats',
            False, 
            [
            _MetaInfoClassMember('admit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted bytes (pkts/bytes)
                ''',
                'admit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admit-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC admit rate
                ''',
                'admit_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('admitpackets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Admitted packets (pkts/bytes)
                ''',
                'admitpackets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CAC dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-rates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CAC dropped rate
                ''',
                'drop_rates',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'cac-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-instance-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-average-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-max-length',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray',
            False, 
            [
            _MetaInfoClassMember('atm-clp0-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp0_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp0-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp0_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched bytes dropped
                ''',
                'atm_clp1_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('atm-clp1-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ATP CLP 0 matched packets dropped
                ''',
                'atm_clp1_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the queue rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the queue rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the queue rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the queue rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('forced-wred-stats-display', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flag to forcedisplay of WRED even when per
                WredWRED profile stats is not available
                ''',
                'forced_wred_stats_display',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with the average queue size at the
                max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-average-length', REFERENCE_LIST, 'QueueAverageLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength', 
                [], [], 
                '''                Queue average length
                ''',
                'queue_average_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tail drop threshold of the queue in bytes
                ''',
                'queue_drop_threshold',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Queue Id used for Fabric Stats
                ''',
                'queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-instance-length', REFERENCE_LIST, 'QueueInstanceLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength', 
                [], [], 
                '''                Queue instance length
                ''',
                'queue_instance_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-max-length', REFERENCE_LIST, 'QueueMaxLength' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength', 
                [], [], 
                '''                Queue maximum length
                ''',
                'queue_max_length',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes probabilistically dropped
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets probabilistically dropped
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes tail dropped
                ''',
                'tail_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('tail-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets tail dropped
                ''',
                'tail_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'queue-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats',
            False, 
            [
            _MetaInfoClassMember('conform-class-conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result conform
                ''',
                'conform_class_conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Conform rate in kbps
                ''',
                'conform_class_conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result exceed
                ''',
                'conform_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Exceed rate in kbps
                ''',
                'conform_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result conform and
                policer result violate
                ''',
                'conform_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform Class Violate rate in kbps
                ''',
                'conform_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result exceed
                ''',
                'exceed_class_exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Exceed rate in kbps
                ''',
                'exceed_class_exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result exceed and
                policer result violate
                ''',
                'exceed_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed Class Violate rate in kbps
                ''',
                'exceed_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets with classification result violate and
                policer result violate
                ''',
                'violate_class_violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-class-violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate Class Violate rate in kbps
                ''',
                'violate_class_violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'color-class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray',
            False, 
            [
            _MetaInfoClassMember('color-class-stats', REFERENCE_CLASS, 'ColorClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats', 
                [], [], 
                '''                color class stats
                ''',
                'color_class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that conform to the policed rate
                ''',
                'conform_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that conform  to the policed rate
                ''',
                'conform_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('conform-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Conform rate in kbps
                ''',
                'conform_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped bytes
                ''',
                'drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Police dropped packets
                ''',
                'drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that exceed  the policed rate
                ''',
                'exceed_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets that exceed the policed rate
                ''',
                'exceed_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('exceed-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exceed rate in kbps
                ''',
                'exceed_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes by the parent policer
                ''',
                'parent_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('parent-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped pkts by the parent policer
                ''',
                'parent_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes that violate the policed rate
                ''',
                'violate_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets violating the policed rate
                ''',
                'violate_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('violate-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Violate rate in kbps
                ''',
                'violate_rate',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'police-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray.RedLabel' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray.RedLabel',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                WRED value for this type.
                ''',
                'value',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'WredEnum', 
                [], [], 
                '''                WRED type DSCP, EXP, PREC etc.
                ''',
                'wred_type',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'red-label',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray',
            False, 
            [
            _MetaInfoClassMember('max-threshold-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped bytes with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('max-threshold-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped packets with  the average queue size at
                the max-threshold
                ''',
                'max_threshold_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('profile-title', ATTRIBUTE, 'str' , None, None, 
                [(0, 300)], [], 
                '''                ProfileTitle
                ''',
                'profile_title',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilisticallydropped bytes
                ''',
                'random_drop_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('random-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Probabilistically dropped  packets
                ''',
                'random_drop_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked bytes
                ''',
                'red_ecn_marked_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-ecn-marked-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ECN marked packets 
                ''',
                'red_ecn_marked_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-label', REFERENCE_LIST, 'RedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray.RedLabel', 
                [], [], 
                '''                Array of WRED Typevalues as in PRP stats is
                available per threshold   
                ''',
                'red_label',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted bytes
                ''',
                'red_transmit_bytes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('red-transmit-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted packets
                ''',
                'red_transmit_packets',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'wred-stats-array',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics.ClassStats',
            False, 
            [
            _MetaInfoClassMember('cac-state', REFERENCE_ENUM_CLASS, 'CacStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'CacStateEnum', 
                [], [], 
                '''                CACState
                ''',
                'cac_state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('cac-stats', REFERENCE_CLASS, 'CacStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.CacStats', 
                [], [], 
                '''                bag for cac stats
                ''',
                'cac_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                ClassName
                ''',
                'class_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('counter-validity-bitmask', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                 Bitmask to indicate which counter or counters
                are undetermined. Counters will be marked
                undetermined when one or more classes share
                queues with class-default because in such cases
                the value of counters for each class is invalid.
                Based on the flag(s) set, the following counters
                will be marked undetermined. For example, if
                value of this object returned is 0x00000101,
                counters
                TransmitPackets/TransmitBytes/TotalTransmitRate
                and DropPackets/DropBytes are undetermined
                .0x00000001 - Transmit
                (TransmitPackets/TransmitBytes/TotalTransmitRate
                ), 0x00000002 - Total drop
                (TotalDropPackets/TotalDropBytes/TotalDropRate),
                0x00000004 - Match
                (MatchDataRate/PrepolicyMatchedPackets
                /PrepolicyMatchedBytes), 0x00000100 - Police
                drop (DropPackets/DropBytes), 0x00000200 -
                Police conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00000400 - Police exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00000800 - Police violate
                (ViolatePackets/ViolateBytes/ViolateRate),
                0x00001000 - Parent policer drop
                (ParentDropPackets/ParentDropBytes), 0x00010000
                - Queueing drop (TailDropPackets/TailDropBytes),
                0x00020000 - Red queue drop
                (RandomDropPackets/RandomDropBytes), 0x00040000
                - Queue maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes),
                0x00080000 - Queue conform
                (ConformPackets/ConformBytes/ConformRate),
                0x00100000 - Queue exceed
                (ExceedPackets/ExceedBytes/ExceedRate),
                0x00200000 - CLP limit drop
                (ATM_CLP0DropPackets/ATM_CLP0DropBytes
                /ATM_CLP1DropPackets/ATM_CLP1DropBytes),
                0x01000000 - RED transmit
                (RedTransmitPackets/RedTransmitBytes),
                0x02000000 - RED drop
                (RandomDropPackets/RandomDropBytes), 0x04000000
                - RED maximum threshold drop
                (MaxThresholdPackets/MaxThresholdBytes)
                ''',
                'counter_validity_bitmask',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('general-stats', REFERENCE_CLASS, 'GeneralStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.GeneralStats', 
                [], [], 
                '''                general stats
                ''',
                'general_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('iphc-stats', REFERENCE_CLASS, 'IphcStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.IphcStats', 
                [], [], 
                '''                IPHC stats
                ''',
                'iphc_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('police-stats-array', REFERENCE_LIST, 'PoliceStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray', 
                [], [], 
                '''                array of police stats
                ''',
                'police_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-descr', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Description of queue for the class
                ''',
                'queue_descr',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('queue-stats-array', REFERENCE_LIST, 'QueueStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray', 
                [], [], 
                '''                array of queue stats
                ''',
                'queue_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('shared-queue-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                q-id of the  shared queue for this class
                ''',
                'shared_queue_id',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('wred-stats-array', REFERENCE_LIST, 'WredStatsArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray', 
                [], [], 
                '''                array of red stats
                ''',
                'wred_stats_array',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'class-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output.Statistics' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output.Statistics',
            False, 
            [
            _MetaInfoClassMember('class-stats', REFERENCE_LIST, 'ClassStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics.ClassStats', 
                [], [], 
                '''                array of classes contained in policy
                ''',
                'class_stats',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                PolicyName
                ''',
                'policy_name',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                to maintain satellite id
                ''',
                'satid',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'PolicyStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'PolicyStateEnum', 
                [], [], 
                '''                State
                ''',
                'state',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('state-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 128)], [], 
                '''                StateDescription
                ''',
                'state_description',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface.Output' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface.Output',
            False, 
            [
            _MetaInfoClassMember('service-policy-names', REFERENCE_CLASS, 'ServicePolicyNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.ServicePolicyNames', 
                [], [], 
                '''                Operational data for all Policy instance
                ''',
                'service_policy_names',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output.Statistics', 
                [], [], 
                '''                Policy-map statistics operational data for an
                interface
                ''',
                'statistics',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-qos-ma-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Input', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'input',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('member-interfaces', REFERENCE_CLASS, 'MemberInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.MemberInterfaces', 
                [], [], 
                '''                QoS policy-map member interface table
                ''',
                'member_interfaces',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('nodes', REFERENCE_CLASS, 'Nodes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Nodes', 
                [], [], 
                '''                QoS policy-map node table
                ''',
                'nodes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.Output', 
                [], [], 
                '''                A piece of QoS policy-map operational data for
                an interface
                ''',
                'output',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('satellite-ids', REFERENCE_CLASS, 'SatelliteIds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface.SatelliteIds', 
                [], [], 
                '''                Satellite ID information
                ''',
                'satellite_ids',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Qos.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable.Interface', 
                [], [], 
                '''                QoS policy-map operational data for a particular
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
    'Qos' : {
        'meta_info' : _MetaInfoClass('Qos',
            False, 
            [
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.InterfaceTable', 
                [], [], 
                '''                Operational data for all interfaces
                ''',
                'interface_table',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('nodes', REFERENCE_CLASS, 'Nodes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.Nodes', 
                [], [], 
                '''                Node-specific QoS operational data
                ''',
                'nodes',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('nv-interface-table', REFERENCE_CLASS, 'NvInterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvInterfaceTable', 
                [], [], 
                '''                Operational data for satellite interfaces
                ''',
                'nv_interface_table',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('nv-satellite', REFERENCE_CLASS, 'NvSatellite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.NvSatellite', 
                [], [], 
                '''                Satellite table
                ''',
                'nv_satellite',
                'Cisco-IOS-XR-qos-ma-oper', False),
            _MetaInfoClassMember('qos-global', REFERENCE_CLASS, 'QosGlobal' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper', 'Qos.QosGlobal', 
                [], [], 
                '''                For global registrations
                ''',
                'qos_global',
                'Cisco-IOS-XR-qos-ma-oper', False),
            ],
            'Cisco-IOS-XR-qos-ma-oper',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XR-qos-ma-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_qos_ma_oper'
        ),
    },
}
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input.Statistics']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output.Statistics']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Input']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node.Output']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes.Node']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Nodes']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Input']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface.Output']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces.MemberInterface']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Input']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId.Output']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds.SatelliteId']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input.Statistics']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Input']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output.Statistics']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface.Output']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Nodes']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.MemberInterfaces']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.SatelliteIds']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Input']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface.Output']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable.Interface']['meta_info']
_meta_table['Qos.NvInterfaceTable.Interface']['meta_info'].parent =_meta_table['Qos.NvInterfaceTable']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Statistics']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Statistics']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.SatelliteIds']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Statistics']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Statistics']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds.NvSatelliteId']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics.NvSatelliteIds']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatistics']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input.Status']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output.Status']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Input']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface.Output']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces.MemberInterface']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input.Status']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output.Status']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.MemberInterfaces']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Input']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Status']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface.Output']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces.NvSatelliteInterface']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId.NvSatelliteInterfaces']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds.NvSatelliteId']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus.NvSatelliteIds']['meta_info'].parent =_meta_table['Qos.NvSatellite.NvSatelliteStatus']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatistics']['meta_info'].parent =_meta_table['Qos.NvSatellite']['meta_info']
_meta_table['Qos.NvSatellite.NvSatelliteStatus']['meta_info'].parent =_meta_table['Qos.NvSatellite']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.SatelliteIds']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Input']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface.Output']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces.MemberInterface']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.MemberInterfaces']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Input']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance.Output']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances.SharedPolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Input']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_.Output']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_.Node_']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces.MemberInterface']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds.SatelliteId']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output.Statistics']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Nodes_']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.MemberInterfaces']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.SatelliteIds']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Input']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface.Output']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable.Interface']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.SharedPolicyInstances']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap.InterfaceTable']['meta_info'].parent =_meta_table['Qos.Nodes.Node.PolicyMap']['meta_info']
_meta_table['Qos.Nodes.Node.PolicyMap']['meta_info'].parent =_meta_table['Qos.Nodes.Node']['meta_info']
_meta_table['Qos.Nodes.Node']['meta_info'].parent =_meta_table['Qos.Nodes']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats.ClassStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ.VoQStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs.LocationvoQ']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats.ClassStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.LocationvoQs']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ.VoQStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats.ClassStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput.VoQStats']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface.VoQoutput']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces.VoQMemberInterface']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.OutputVoQ']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface.VoQMemberInterfaces']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces.VoQinterface']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics.VoQinterfaces']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ.VoQStatistics']['meta_info']
_meta_table['Qos.QosGlobal.VoQ.VoQStatistics']['meta_info'].parent =_meta_table['Qos.QosGlobal.VoQ']['meta_info']
_meta_table['Qos.QosGlobal.VoQ']['meta_info'].parent =_meta_table['Qos.QosGlobal']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input.Statistics']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output.Statistics']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Input']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node.Output']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes.Node']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes.Node']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Nodes']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Input']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId.Output']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds.SatelliteId']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input.Statistics']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output.Statistics']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.SatelliteIds']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Input']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface.Output']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces.MemberInterface']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input.Statistics']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output.Statistics']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Input']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId.Output']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds.SatelliteId']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.SatelliteIds']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.ServicePolicyNames']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input.Statistics']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input.Statistics']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Input']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.ServicePolicyNames.ServicePolicyInstance']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.ServicePolicyNames']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueInstanceLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueAverageLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray.QueueMaxLength']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray.ColorClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray.RedLabel']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.GeneralStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.IphcStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.ChildPolicy']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.CacStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.QueueStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.PoliceStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats.WredStatsArray']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics.ClassStats']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output.Statistics']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.ServicePolicyNames']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output.Statistics']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface.Output']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Nodes']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.MemberInterfaces']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.SatelliteIds']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Input']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface']['meta_info']
_meta_table['Qos.InterfaceTable.Interface.Output']['meta_info'].parent =_meta_table['Qos.InterfaceTable.Interface']['meta_info']
_meta_table['Qos.InterfaceTable.Interface']['meta_info'].parent =_meta_table['Qos.InterfaceTable']['meta_info']
_meta_table['Qos.NvInterfaceTable']['meta_info'].parent =_meta_table['Qos']['meta_info']
_meta_table['Qos.NvSatellite']['meta_info'].parent =_meta_table['Qos']['meta_info']
_meta_table['Qos.Nodes']['meta_info'].parent =_meta_table['Qos']['meta_info']
_meta_table['Qos.QosGlobal']['meta_info'].parent =_meta_table['Qos']['meta_info']
_meta_table['Qos.InterfaceTable']['meta_info'].parent =_meta_table['Qos']['meta_info']
